<?php

if ( !function_exists('jogasana_check_theme_options') ) {

	function jogasana_check_theme_options() {
		// check default options
		global $jogasana_settings;

		ob_start();
		include( get_template_directory() . '/admin/framework/theme-options/default-options.php' );
		$options = ob_get_clean();
		$default_settings = json_decode($options, true);

		foreach ( $default_settings as $key => $value ) {

			if ( is_array($value) ) {
				foreach ( $value as $key1 => $value1 ) {
					if ((!isset($jogasana_settings[$key][$key1]) || !$jogasana_settings[$key][$key1])) {
						$jogasana_settings[$key][$key1] = $default_settings[$key][$key1];
					}
				}
			} else {
				if ( !isset($jogasana_settings[$key]) ) {
					$jogasana_settings[$key] = $default_settings[$key];
				}
			}
		}

		return $jogasana_settings;
	}

}

if ( !function_exists('jogasana_options_header_types') ) {
	function jogasana_options_header_types() {
		return array(
			'ys-type-1' => array('alt' => esc_attr__('Header Type 1', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/headers/header_1.jpg')),
			'ys-type-2' => array('alt' => esc_attr__('Header Type 2', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/headers/header_2.jpg')),
			'ys-type-3' => array('alt' => esc_attr__('Header Type 3', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/headers/header_3.jpg')),
			'ys-type-4' => array('alt' => esc_attr__('Header Type 4', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/headers/header_4.jpg')),
			'ys-type-5' => array('alt' => esc_attr__('Header Type 5', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/headers/header_5.jpg')),
			'ys-type-6' => array('alt' => esc_attr__('Header Type 6', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/headers/header_6.jpg')),
		);
	}
}

if ( !function_exists('jogasana_options_wrapper') ) {
	function jogasana_options_wrapper() {
		return array(
			"ys-wide-layout-type" => array( 'alt' => esc_attr__('Wide', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/layouts/layout-wide.jpg')),
			"ys-boxed-layout-type" => array( 'alt' => esc_attr__('Boxed', 'jogasana'), 'img' => get_theme_file_uri('admin/framework/theme-options/layouts/layout-boxed.jpg')),
		);
	}
}

if ( !function_exists('jogasana_options_layouts') ) {
	function jogasana_options_layouts() {
		return array(
			"ys-no-sidebar" => array( 'alt' => esc_attr__('Without Sidebar', 'jogasana'), 'img' => get_template_directory_uri() . '/admin/framework/theme-options/layouts/layout-full.jpg' ),
			"ys-left-sidebar" => array( 'alt' => esc_attr__('Left Sidebar', 'jogasana'), 'img' => get_template_directory_uri() . '/admin/framework/theme-options/layouts/layout-left.jpg' ),
			"ys-right-sidebar" => array( 'alt' => esc_attr__('Right Sidebar', 'jogasana'), 'img' => get_template_directory_uri() . '/admin/framework/theme-options/layouts/layout-right.jpg' )
		);
	}
}

if ( !function_exists('jogasana_options_sidebars') ) {
	function jogasana_options_sidebars() {
		return array(
			"ys-left-sidebar",
			"ys-right-sidebar"
		);
	}
}

if ( !function_exists('jogasana_product_columns') ) {
	function jogasana_product_columns() {
		return array(
			"2" => "2",
			"3" => "3",
			"4" => "4",
			"5" => "5"
		);
	}
}