<?php global $post; ?>

<?php if ( post_password_required() ) : ?>
	<div class="ys-content-element">
		<p class="no-comments"><?php echo esc_html__('This post is password protected. Enter the password to view comments.', 'jogasana'); ?></p>
	</div>
<?php return; endif; 

$discussion = jogasana_get_discussion_data();
?>

	<div id="comments" class="<?php echo comments_open() ? 'comments-area' : 'comments-area comments-closed'; ?> content-element">
		
		<h4 class="comments-title">
			<?php
		if ( comments_open() ) {
			if ( have_comments() ) {
				_e( 'Join the Conversation', 'jogasana' );
			} else {
				_e( 'Leave a comment', 'jogasana' );
			}
		} else {
			if ( '1' == $discussion->responses ) {
				/* translators: %s: post title */
				printf( _x( 'One reply on &ldquo;%s&rdquo;', 'comments title', 'jogasana' ), get_the_title() );
			} else {
				printf(
					/* translators: 1: number of comments, 2: post title */
					_nx(
						'%1$s reply on &ldquo;%2$s&rdquo;',
						'%1$s replies on &ldquo;%2$s&rdquo;',
						$discussion->responses,
						'comments title',
						'jogasana'
					),
					number_format_i18n( $discussion->responses ),
					get_the_title()
				);
			}
		}
		?>
		</h4>

		<?php if ( have_comments() ): ?>
		
			<ul class="comments-list ls-none">
			<?php
			wp_list_comments(
				array(
					'walker'      => new Jogasana_Walker_Comment(),
					'avatar_size' => 100,
					'short_ping'  => true,
					'style'       => 'ul',
				)
			);
			?>
			</ul>

			<?php if (get_comment_pages_count() > 1 && get_option( 'page_comments' )): ?>
				<nav class="commenys-pagination">
					<?php paginate_comments_links(); ?>
				</nav>
			<?php endif; ?>

			<?php if (! comments_open() && '0' != get_comments_number() && post_type_supports( get_post_type(), 'comments' )): ?>
				<p class="nocomments"><?php esc_html_e('Comments are closed.', 'jogasana'); ?></p>
			<?php endif; ?>
		
		
		<?php endif; ?>
		

	</div>


<?php if ( comments_open() ): ?>

	<?php comment_form(); ?>

<?php endif; ?>
