<?php
if (!class_exists('jogasana_accordion')) {

	class jogasana_accordion {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map'));
		}

		function add_map() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Accordion Custom", 'jogasana' ),
					   "base" => "vc_mad_accordion",
					   "class" => "vc_mad_accordion",
					   "icon" => "",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Accordion', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_accordion_item'),
					   "content_element" => true,
					   "show_settings_on_create" => false,
					   "params" => array(
						   array(
							   'type' => 'textfield',
							   'heading' => esc_html__( 'Title', 'jogasana' ),
							   'param_name' => 'title',
							   'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				 			   'edit_field_class' => 'vc_col-sm-6'
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Tag for title', 'jogasana' ),
							   'param_name' => 'tag_title',
							   'value' => array(
								   'h2' => 'h2',
								   'h3' => 'h3'
							   ),
							   'std' => 'h2',
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
						   ),
						   array(
							   'type' => 'textarea',
							   'heading' => esc_html__( 'Description', 'jogasana' ),
							   'param_name' => 'description',
							   'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for description', 'jogasana' ),
							   'param_name' => 'description_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for description block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Description align", 'jogasana'),
								"param_name" => "description_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
							array(
							   "type" => "dropdown",
							   "heading" => esc_html__( 'Select type', 'jogasana' ),
							   "param_name" => "type",
							   "value" => array(
								   esc_html__('Type 1', 'jogasana') => 'style-1',
								   esc_html__('Type 2', 'jogasana') => 'style-2',
							   ),
							   "std" => 'style-1',
							   "description" => esc_html__( 'Choose type.', 'jogasana' )
						   ),
							array(
								'type' => 'checkbox',
								'heading' => esc_html__( 'Use toggle element?', 'jogasana' ),
								'param_name' => 'toggle',
								'description' => esc_html__( 'If checked, will be used toggle element.', 'jogasana' ),
								'value' => array( esc_html__( 'Yes', 'jogasana' ) => true ),
							),
							),
						"js_view" => 'VcColumnView'
					));

				vc_map(
					array(
					   "name" => esc_html__("Accordion item", 'jogasana'),
					   "base" => "vc_mad_accordion_item",
					   "class" => "vc_mad_accordion_item",
					   "icon" => "",
					   "category" => esc_html__('Accordion Custom item', 'jogasana'),
					   "content_element" => true,
					   "as_child" => array('only' => 'vc_mad_accordion'),
					   "is_container" => true,
					   "params" => array(
						   array(
							   "type" => "textarea",
							   "heading" => esc_html__( 'Title', 'jogasana' ),
							   "param_name" => "title",
							   "holder" => "h4",
							   "description" => ''
						   ),
						   array(
								   "type" => "choose_icons",
								   "heading" => esc_html__("Icon", 'jogasana'),
								   "param_name" => "icon",
								   "value" => 'none',
								   "description" => esc_html__( 'Select icon from library.', 'jogasana')
							),
						    array(
							   "type" => "vc_link",
							   "heading" => esc_html__( 'Add URL to the info block (optional)', 'jogasana' ),
							   "param_name" => "link",
						   ),
						   array(
							   'type' => 'textarea_html',
							   'holder' => 'div',
							   'heading' => esc_html__( 'Text', 'jogasana' ),
							   'param_name' => 'content',
							   'value' => wp_kses(__( '<p>Click edit button to change this text.</p>', 'jogasana' ), array('p' => array()) )
						   ),
						   array(
								'type' => 'checkbox',
								'heading' => esc_html__( 'Open', 'jogasana' ),
								'param_name' => 'open',
								'description' => esc_html__( 'If checked, will be open this element.', 'jogasana' ),
								'value' => array( esc_html__( 'Yes', 'jogasana' ) => true ),
							),
						   jogasana_vc_map_add_css_animation(),
						   jogasana_vc_map_add_animation_delay(),
						   jogasana_vc_map_add_scroll_factor()
					    )
					) 
				);							

			}
		}

	}

	if (class_exists('WPBakeryShortCodesContainer')) {

		class WPBakeryShortCode_vc_mad_accordion extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $type = $columns = '';

				extract(shortcode_atts(array(
					'title' => '',
					'tag_title' => 'h2',
					'description' => '',
					'title_color' => '',
					'description_color' => '',
					'title_align' => '',
					'type' => '',
					'toggle' => '',
					'description_align' => ''
				), $atts));

				$css_class = array(
					'wpb_content_element ys-accordion-custom'
				);
				
				global $vc_mad_accordion_args;

				$vc_mad_accordion_args[] = array (
					'title_color' => $title_color,
					'description_color' => $description_color,
					'content' => $content
				);

				ob_start(); ?>
				
				<div class="<?php echo esc_attr( implode(' ', $css_class) ); ?>">
			
            		<?php
						echo Jogasana_Vc_Config::getParamTitle(
							array(
								'title' => $title,
								'tag_title' => $tag_title,
								'description' => $description,
								'title_color' => $title_color,
								'align' => $title_align,
								'align_des' => $description_align,
								'description_color' => $description_color
							)
						);
						?>
            
					<div class="accordion <?php echo esc_attr($type) ?> <?php if($toggle) {echo 'toggle'; } ?>">
					<?php echo wpb_js_remove_wpautop ($content, false ) ?>
					</div>
						
						
                </div>
				<?php return ob_get_clean() ;

			}

		}

		class WPBakeryShortCode_vc_mad_accordion_item extends WPBakeryShortCode {

			protected function content($atts, $content = null) {

				$wrapper_attributes = array();
				$title = $style = $type = $title_item_color = $icon_color = $btn_color = $css_animation = $animation_delay = $scroll_factor = $link = '';

				extract(shortcode_atts(array(
					'title' => '',
					'link' => '',
					'open' => '',
					'icon' => 'none',
					'css_animation' => '',
					'animation_delay' => '',
					'scroll_factor' => ''
				),$atts));

				$link = ($link == '||') ? '' : $link;
				$link = vc_build_link($link);
				$a_href = $link['url'];
				$a_title = $link['title'];
				( $link['target'] != '' ) ? $a_target = $link['target'] : $a_target = '_self';
				
				$css_classes = array(
					'accordion-item'
				);

				if ( $content == null ) $content = ' ';

				global $vc_mad_info_block_args;

				if ( '' !== $css_animation  ) {
					$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
				}

				$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
				$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

				ob_start(); ?>

				<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					
					<h6 class="a-title <?php if($open) {echo 'active'; }?> ">
                    	<?php if (isset($icon) && $icon != 'none'): ?>
                            <span class="<?php echo esc_attr($icon) ?>"></span>
                        <?php endif; ?>
					<?php echo esc_html($title); ?>
                    </h6>
					
					<div class="a-content">
					
						<?php if ( !empty($content) ): ?>
							<?php echo wpb_js_remove_wpautop( $content, true ) ?>
						<?php endif; ?>
					
						<?php if ( !empty($a_href) ): ?>
						<a href="<?php echo esc_url($a_href); ?>" class="btn btn-small btn-style-2"><?php echo esc_attr($a_title) ?></a>
						<?php endif; ?>
					
					</div>
			
				</div>

				<?php return ob_get_clean();
			}

		}

	}

	new jogasana_accordion();
}