<?php
if (!class_exists('jogasana_accordion_with_image')) {

	class jogasana_accordion_with_image {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map'));
		}

		function add_map() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Accordion with image", 'jogasana' ),
					   "base" => "vc_mad_accordion_with_image",
					   "class" => "vc_mad_accordion_with_image",
					   "icon" => "",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Accordion with image', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_accordion_with_image_item'),
					   "content_element" => true,
					   "show_settings_on_create" => false,
					   "params" => array(
						   array(
							   'type' => 'textfield',
							   'heading' => esc_html__( 'Title', 'jogasana' ),
							   'param_name' => 'title',
							   'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				 			   'edit_field_class' => 'vc_col-sm-6'
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Tag for title', 'jogasana' ),
							   'param_name' => 'tag_title',
							   'value' => array(
								   'h2' => 'h2',
								   'h3' => 'h3'
							   ),
							   'std' => '',
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
						   ),
						   array(
							   'type' => 'textarea',
							   'heading' => esc_html__( 'Description', 'jogasana' ),
							   'param_name' => 'description',
							   'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for description', 'jogasana' ),
							   'param_name' => 'description_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for description block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Description align", 'jogasana'),
								"param_name" => "description_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),						
							array(
								'type' => 'attach_image',
								'heading' => esc_html__( 'Image', 'jogasana' ),
								'param_name' => 'image',
								'value' => '',
								'description' => esc_html__( 'Select image from media library.', 'jogasana' )
							),
							),
						"js_view" => 'VcColumnView'
					));

				vc_map(
					array(
					   "name" => esc_html__("Accordion with image item", 'jogasana'),
					   "base" => "vc_mad_accordion_with_image_item",
					   "class" => "vc_mad_accordion_with_image_item",
					   "icon" => "",
					   "category" => esc_html__('Accordion item', 'jogasana'),
					   "content_element" => true,
					   "as_child" => array('only' => 'vc_mad_accordion_with_image'),
					   "is_container" => true,
					   "params" => array(
						   array(
							   "type" => "textarea",
							   "heading" => esc_html__( 'Title', 'jogasana' ),
							   "param_name" => "title",
							   "holder" => "h4",
							   "description" => ''
						   ),
						   array(
							   "type" => "choose_icons",
							   "heading" => esc_html__("Icon", 'jogasana'),
							   "param_name" => "icon",
							   "value" => 'none',
							   "description" => esc_html__( 'Select icon from library.', 'jogasana')
						   ),
						    array(
							   "type" => "vc_link",
							   "heading" => esc_html__( 'Add URL to the info block (optional)', 'jogasana' ),
							   "param_name" => "link",
						   ),
						   array(
							   'type' => 'textarea_html',
							   'holder' => 'div',
							   'heading' => esc_html__( 'Text', 'jogasana' ),
							   'param_name' => 'content',
							   'value' => wp_kses(__( '<p>Click edit button to change this text.</p>', 'jogasana' ), array('p' => array()) )
						   ),
						   jogasana_vc_map_add_css_animation(),
						   jogasana_vc_map_add_animation_delay(),
						   jogasana_vc_map_add_scroll_factor()
					    )
					) 
				);							

			}
		}

	}

	if (class_exists('WPBakeryShortCodesContainer')) {

		class WPBakeryShortCode_vc_mad_accordion_with_image extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $type = $columns = '';

				extract(shortcode_atts(array(
					'title' => '',
					'tag_title' => 'h3',
					'description' => '',
					'title_color' => '',
					'description_color' => '',
					'title_align' => '',
					'image' => '',
					'description_align' => ''
				), $atts));

				$css_class = array(
					'wpb_content_element page-section-bg2 ys-accordion-with-image', 'half-bg-col'
				);
				
				$attach_id = preg_replace('/[^\d]/', '', $image);
				$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
				$img = wpb_getImageBySize(array(
					'attach_id' => $attach_id,
					'thumb_size' => '',
				));

				if ( $img['p_img_large'] == null ) {
					$img_large =  vc_asset_url( 'vc/no_image.png' );
				} else {
					$img_large = esc_url($img['p_img_large'][0]);
				}
				
				global $vc_mad_accordion_with_image_args;

				$vc_mad_accordion_with_image_args[] = array (
					'title_color' => $title_color,
					'description_color' => $description_color,
					'content' => $content
				);

				ob_start(); ?>
				
				<div class="<?php echo esc_attr( implode(' ', $css_class) ); ?>">
				
				    <div class="img-col-left"><div class="col-bg" data-bg="<?php echo esc_url($img_large); ?>"></div></div>
				
					<div class="container extra-size2">
					  <div class="row">
						<div class="col-md-6"></div>
						<div class="col-md-6">
							<?php
							echo Jogasana_Vc_Config::getParamTitle(
								array(
									'title' => $title,
									'tag_title' => $tag_title,
									'description' => $description,
									'title_color' => $title_color,
									'description_color' => $description_color,
									'align' => $title_align,
									'align_des' => $description_align,
								)
							);
							?>
							
							<div class="accordion var2">
							<?php echo wpb_js_remove_wpautop ($content, false ) ?>
							</div>
							
						</div>
					  </div>
					</div>
						
                </div>
				<?php return ob_get_clean() ;

			}

		}

		class WPBakeryShortCode_vc_mad_accordion_with_image_item extends WPBakeryShortCode {

			protected function content($atts, $content = null) {

				$wrapper_attributes = array();
				$title = $style = $type = $title_item_color = $icon_color = $btn_color = $icon = $css_animation = $animation_delay = $scroll_factor = $link = '';

				extract(shortcode_atts(array(
					'title' => '',
					'icon' => '',
					'link' => '',
					'css_animation' => '',
					'animation_delay' => '',
					'scroll_factor' => ''
				),$atts));

				$link = ($link == '||') ? '' : $link;
				$link = vc_build_link($link);
				$a_href = $link['url'];
				$a_title = $link['title'];
				( $link['target'] != '' ) ? $a_target = $link['target'] : $a_target = '_self';
				
				$css_classes = array(
					'accordion-item'
				);

				if ( $content == null ) $content = ' ';

				global $vc_mad_info_block_args;

				if ( '' !== $css_animation  ) {
					$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
				}

				$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
				$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

				ob_start(); ?>

				
				
				<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					
					<h6 class="a-title"><span class="<?php echo esc_attr($icon) ?>"></span><?php echo wp_kses_post($title); ?></h6>
					
					<div class="a-content">
					
						<?php if ( !empty($content) ): ?>
							<?php echo wpb_js_remove_wpautop( $content, true ) ?>
						<?php endif; ?>
					
						<?php if ( !empty($a_href) ): ?>
						<a href="<?php echo esc_url($a_href); ?>" class="btn btn-small"><?php echo esc_attr($a_title) ?></a>
						<?php endif; ?>
					
					</div>
			
				</div>

				<?php return ob_get_clean();
			}

		}

	}

	new jogasana_accordion_with_image();
}