<?php
if (!class_exists('jogasana_bio_with_image')) {

	class jogasana_bio_with_image {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map'));
		}

		function add_map() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Bio with image", 'jogasana' ),
					   "base" => "vc_mad_bio_with_image",
					   "class" => "vc_mad_bio_with_image",
					   "icon" => "",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Bio with image', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_tab_element'),
					   "content_element" => true,
					   "show_settings_on_create" => false,
					   "params" => array(
						   array(
							   'type' => 'textfield',
							   'heading' => esc_html__( 'Title', 'jogasana' ),
							   'param_name' => 'title',
							   'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				 			   'edit_field_class' => 'vc_col-sm-6'
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Tag for title', 'jogasana' ),
							   'param_name' => 'tag_title',
							   'value' => array(
								   'h2' => 'h2',
								   'h3' => 'h3'
							   ),
							   'std' => '',
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
						   ),
						   array(
							   'type' => 'textarea',
							   'heading' => esc_html__( 'Description', 'jogasana' ),
							   'param_name' => 'description',
							   'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for description', 'jogasana' ),
							   'param_name' => 'description_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for description block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Description align", 'jogasana'),
								"param_name" => "description_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),						
							array(
								'type' => 'attach_image',
								'heading' => esc_html__( 'Image', 'jogasana' ),
								'param_name' => 'image',
								'value' => '',
								'description' => esc_html__( 'Select image from media library.', 'jogasana' )
							),
							),
						"js_view" => 'VcColumnView'
					));						

			}
		}

	}

	if (class_exists('WPBakeryShortCodesContainer')) {

		class WPBakeryShortCode_vc_mad_bio_with_image extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $type = '';

				extract(shortcode_atts(array(
					'title' => '',
					'tag_title' => 'h3',
					'description' => '',
					'title_color' => '',
					'description_color' => '',
					'title_align' => '',
					'image' => '',
					'description_align' => ''
				), $atts));

				$css_class = array(
					'wpb_content_element page-section-bg2 ys-bio-with-image', 'half-bg-col var2'
				);
				
				$attach_id = preg_replace('/[^\d]/', '', $image);
				$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
				$img = wpb_getImageBySize(array(
					'attach_id' => $attach_id,
					'thumb_size' => '',
				));

				if ( $img['p_img_large'] == null ) {
					$img_large =  vc_asset_url( 'vc/no_image.png' );
				} else {
					$img_large = esc_url($img['p_img_large'][0]);
				}
				
				global $vc_mad_accordion_with_image_args;

				$vc_mad_accordion_with_image_args[] = array (
					'title_color' => $title_color,
					'description_color' => $description_color,
					'content' => $content
				);

				ob_start(); ?>
				
				<div class="<?php echo esc_attr( implode(' ', $css_class) ); ?>">
				
				    <div class="img-col-left"><div class="col-bg" data-bg="<?php echo esc_url($img_large); ?>"></div></div>
				
					<div class="container wide2">
					  <div class="row">
						<div class="col-lg-6 col-sm-12"></div>
						<div class="col-lg-6 col-sm-12">
							<?php
							echo Jogasana_Vc_Config::getParamTitle(
								array(
									'title' => $title,
									'tag_title' => $tag_title,
									'description' => $description,
									'title_color' => $title_color,
									'description_color' => $description_color,
									'align' => $title_align,
									'align_des' => $description_align,
								)
							);
							?>
							
							<div class="tabs-section-inner">
							<?php echo wpb_js_remove_wpautop ($content, false ) ?>
							</div>
							
						</div>
					  </div>
					</div>
						
                </div>
				<?php return ob_get_clean() ;

			}

		}



	}

	new jogasana_bio_with_image();
}