<?php
if (!class_exists('jogasana_challenge_classes_block')) {

	class jogasana_challenge_classes_block {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map'));
		}

		function add_map() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Challenge Classes", 'jogasana' ),
					   "base" => "vc_mad_challenge_classes_block",
					   "class" => "vc_mad_challenge_classes_block",
					   "icon" => "icon-wpb-mad-info-block",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Challenge classes blocks', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_challenge_classes_item'),
					   "content_element" => true,
					   "show_settings_on_create" => false,
					   "params" => array(
						   array(
							   'type' => 'textfield',
							   'heading' => esc_html__( 'Title', 'jogasana' ),
							   'param_name' => 'title',
							   'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				 			   'edit_field_class' => 'vc_col-sm-6'
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),						
						   ),
						"js_view" => 'VcColumnView'
					));

				vc_map(
					array(
					   "name" => esc_html__("Challenge Classes Item", 'jogasana'),
					   "base" => "vc_mad_challenge_classes_item",
					   "class" => "vc_mad_challenge_classes_item",
					   "icon" => "icon-wpb-mad-info-block",
					   "category" => esc_html__('Challenge Class', 'jogasana'),
					   "content_element" => true,
					   "as_child" => array('only' => 'vc_mad_challenge_classes_block'),
					   "is_container" => true,
					   "params" => array(
						   array(
							   "type" => "textarea",
							   "heading" => esc_html__( 'Title', 'jogasana' ),
							   "param_name" => "title",
							   "holder" => "h4",
							   "description" => ''
						   ),
						   array(
								'type' => 'attach_image',
								'heading' => esc_html__( 'Teacher Image', 'jogasana' ),
								'param_name' => 'image',
								'value' => '',
								'description' => esc_html__( 'Select image from media library.', 'jogasana' )
							),
							array(
								'type' => 'checkbox',
								'heading' => esc_html__( 'Check class?', 'jogasana' ),
								'param_name' => 'check_class',
								'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
							),
							array(
								'type' => 'textfield',
								'heading' => esc_html__( 'Duration', 'jogasana' ),
								'param_name' => 'duration',
								'edit_field_class' => 'vc_col-sm-12',
							),
							array(
								'type' => 'textfield',
								'heading' => esc_html__( 'Teacher', 'jogasana' ),
								'param_name' => 'teacher',
								'edit_field_class' => 'vc_col-sm-12',
							),
							array(
								'type' => 'textfield',
								'heading' => esc_html__( 'Link', 'jogasana' ),
								'param_name' => 'link',
								'edit_field_class' => 'vc_col-sm-12',
							),
						   jogasana_vc_map_add_css_animation(),
						   jogasana_vc_map_add_animation_delay(),
						   jogasana_vc_map_add_scroll_factor()
					    )
					) 
				);							

			}
		}

	}

	if (class_exists('WPBakeryShortCodesContainer')) {

		class WPBakeryShortCode_vc_mad_challenge_classes_block extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $type = $columns = $columns_class = '';

				extract(shortcode_atts(array(
					'title' => '',
					'title_align' => '',
				), $atts));

				$css_class = array(
					'challenge-classes'
				);
		
				ob_start(); ?>

				<div class="wpb_content_element challenge-classes-boxes content-element6">

					<h5 class="section-title <?php echo esc_attr($title_align) ?>"><?php echo esc_html($title) ?></h5>
					
					<div class="entry-box entry-small style-2 list-type <?php echo esc_attr( implode(' ', $css_class) ); ?>">
						<?php echo wpb_js_remove_wpautop ($content, false ) ?>
					</div>
       
				</div>

				<?php return ob_get_clean() ;

			}

		}

		class WPBakeryShortCode_vc_mad_challenge_classes_item extends WPBakeryShortCode {

			protected function content($atts, $content = null) {

				$wrapper_attributes = array();
				$title = $check_class = $image = $css_animation = $animation_delay = $scroll_factor = $link = '';

				extract(shortcode_atts(array(
					'title' => '',
					'image' => '',
					'link' => '',
					'duration' => '',
					'teacher' => '',
					'check_class' => '',
					'css_animation' => '',
					'animation_delay' => '',
					'scroll_factor' => ''
				),$atts));

				$attach_id = preg_replace('/[^\d]/', '', $image);
				$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
				$img = wpb_getImageBySize(array(
					'attach_id' => $attach_id,
					'thumb_size' => '',
				));

				if ( $img['p_img_large'] == null ) {
					$img_large =  vc_asset_url( 'vc/no_image.png' );
				} else {
					$img_large = esc_url($img['p_img_large'][0]);
				}
				
				$link = ($link == '||') ? '' : $link;
				
				$css_classes = array(
					'entry'
				);

				if ( '' !== $css_animation  ) {
					$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
				}

				$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
				$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
				 
				ob_start(); ?>

					
					<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					  
					  <a href="#" class="entry-icon <?php if($check_class) { echo 'check'; } ?> "><i class="<?php if($check_class) { echo 'licon-checkmark-circle'; } else { echo 'licon-play-circle'; } ?>"></i></a>

                      <div class="thumbnail-attachment">
                        <a href="#"><img src="<?php echo esc_url($img_large); ?>" ></a>
                      </div>
                      
                      <div class="entry-body">

                        <h6 class="entry-title"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($title) ?></a></h6>
                        <div class="entry-meta">
                  
                          <span><?php echo esc_html($duration) ?> <?php echo esc_html__('with','jogasana') ?></span>
                          <a href="<?php echo esc_url($link); ?>" class="entry-cat"><?php echo esc_html($teacher) ?></a>
                                  
                        </div>
						
                       </div>

					</div>
				
				<?php return ob_get_clean();
			}

		}

	}

	new jogasana_challenge_classes_block();
}