<?php
if (!class_exists('jogasana_info_block')) {

	class jogasana_info_block {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map'));
		}

		function add_map() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Info Boxes", 'jogasana' ),
					   "base" => "vc_mad_info_block",
					   "class" => "vc_mad_info_block",
					   "icon" => "icon-wpb-mad-info-block",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Styled info blocks', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_info_block_item'),
					   "content_element" => true,
					   "show_settings_on_create" => false,
					   "params" => array(
						   array(
							   'type' => 'textfield',
							   'heading' => esc_html__( 'Title', 'jogasana' ),
							   'param_name' => 'title',
							   'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				 			   'edit_field_class' => 'vc_col-sm-6'
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Tag for title', 'jogasana' ),
							   'param_name' => 'tag_title',
							   'value' => array(
								   'h2' => 'h2',
								   'h3' => 'h3'
							   ),
							   'std' => '',
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
						   ),
						   array(
							   'type' => 'textarea',
							   'heading' => esc_html__( 'Description', 'jogasana' ),
							   'param_name' => 'description',
							   'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for description', 'jogasana' ),
							   'param_name' => 'description_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for description block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Description align", 'jogasana'),
								"param_name" => "description_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   "type" => "dropdown",
							   "heading" => esc_html__( 'Select type', 'jogasana' ),
							   "param_name" => "type",
							   "value" => array(
								   esc_html__('Type 1', 'jogasana') => 'type1 style-2 no-gutters',
								   esc_html__('Type 2', 'jogasana') => 'type2',
								   esc_html__('Type 3', 'jogasana') => 'type3'
							   ),
							   "std" => 'type1 style-2 no-gutters',
							   "description" => esc_html__( 'Choose type for this info boxes.', 'jogasana' )
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Columns', 'jogasana' ),
							   'param_name' => 'columns',
							   'value' => array(
								   esc_html__( '1 Columns', 'jogasana' ) => 1,
								   esc_html__( '2 Columns', 'jogasana' ) => 2,
								   esc_html__( '3 Columns', 'jogasana' ) => 3,
								   esc_html__( '4 Columns', 'jogasana' ) => 4
							   ),
							   'std' => 1,
							   'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' )
						   )						),
						"js_view" => 'VcColumnView'
					));

				vc_map(
					array(
					   "name" => esc_html__("Info boxes Item", 'jogasana'),
					   "base" => "vc_mad_info_block_item",
					   "class" => "vc_mad_info_block_item",
					   "icon" => "icon-wpb-mad-info-block",
					   "category" => esc_html__('Info Boxes', 'jogasana'),
					   "content_element" => true,
					   "as_child" => array('only' => 'vc_mad_info_block'),
					   "is_container" => true,
					   "params" => array(
						   array(
							   "type" => "textarea",
							   "heading" => esc_html__( 'Title', 'jogasana' ),
							   "param_name" => "title",
							   "holder" => "h4",
							   "description" => ''
						   ),
						   array(
								'type' => 'attach_image',
								'heading' => esc_html__( 'Image', 'jogasana' ),
								'param_name' => 'image',
								'value' => '',
								'description' => esc_html__( 'Select image from media library.', 'jogasana' )
							),
						    array(
							   "type" => "vc_link",
							   "heading" => esc_html__( 'Add URL to the info block (optional)', 'jogasana' ),
							   "param_name" => "link",
						   ),
						   array(
							   'type' => 'textarea_html',
							   'holder' => 'div',
							   'heading' => esc_html__( 'Text', 'jogasana' ),
							   'param_name' => 'content',
							   'value' => ''
						   ),
						    array(
							   "type" => "dropdown",
							   "heading" => esc_html__( 'Select type', 'jogasana' ),
							   "param_name" => "type",
							   "value" => array(
								   esc_html__('Type 1', 'jogasana') => 'type1',
								   esc_html__('Type 2', 'jogasana') => 'type2',
								   esc_html__('Type 3', 'jogasana') => 'type3'
							   ),
							   "std" => 'type1',
							   "description" => esc_html__( 'Choose type for this info boxes.', 'jogasana' )
						   ),
						   jogasana_vc_map_add_css_animation(),
						   jogasana_vc_map_add_animation_delay(),
						   jogasana_vc_map_add_scroll_factor()
					    )
					) 
				);							

			}
		}

	}

	if (class_exists('WPBakeryShortCodesContainer')) {

		class WPBakeryShortCode_vc_mad_info_block extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $type = $columns = $columns_class = '';

				extract(shortcode_atts(array(
					'title' => '',
					'tag_title' => 'h3',
					'description' => '',
					'title_color' => '',
					'description_color' => '',
					'title_align' => '',
					'description_align' => '',
					'type' => 'type1 style-2 no-gutters',
					'columns' => 1
				), $atts));

				if( $columns>1 ) {
					$columns_class = 'flex-row item-col-' . absint($columns);
				}

				$css_class = array(
					'info-boxes', $type, $columns_class
				);
		
				ob_start(); ?>

				<div class="wpb_content_element ys-info-boxes">

					<?php
					echo Jogasana_Vc_Config::getParamTitle(
						array(
							'title' => $title,
							'tag_title' => $tag_title,
							'description' => $description,
							'title_color' => $title_color,
							'description_color' => $description_color,
							'align' => $title_align,
							'align_des' => $description_align,
						)
					);
					?>

					<div class="<?php echo esc_attr( implode(' ', $css_class) ); ?>">
						<?php echo wpb_js_remove_wpautop ($content, false ) ?>
					</div>
       
				</div>

				<?php return ob_get_clean() ;

			}

		}

		class WPBakeryShortCode_vc_mad_info_block_item extends WPBakeryShortCode {

			protected function content($atts, $content = null) {

				$wrapper_attributes = array();
				$title = $type = $image = $css_animation = $animation_delay = $scroll_factor = $link = '';

				extract(shortcode_atts(array(
					'title' => '',
					'image' => '',
					'link' => '',
					'type' => 'type1',
					'css_animation' => '',
					'animation_delay' => '',
					'scroll_factor' => ''
				),$atts));

				$attach_id = preg_replace('/[^\d]/', '', $image);
				$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
				$img = wpb_getImageBySize(array(
					'attach_id' => $attach_id,
					'thumb_size' => '',
				));

				if ( $img['p_img_large'] == null ) {
					$img_large =  vc_asset_url( 'vc/no_image.png' );
				} else {
					$img_large = esc_url($img['p_img_large'][0]);
				}
				
				$link = ($link == '||') ? '' : $link;
				$link = vc_build_link($link);
				$a_href = $link['url'];
				$a_title = $link['title'];
				( $link['target'] != '' ) ? $a_target = $link['target'] : $a_target = '_self';
				
				$css_classes = array(
					'ys-info-box-item', 'info-box'
				);

				if ( $content == null ) $content = ' ';

				if ( '' !== $css_animation  ) {
					$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
				}

				$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
				$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
				
				if ( $type == 'type1' ) { 
				$wrapper_attributes[] = 'data-bg="' . esc_url( $img_large ) . '"';
				} 

				ob_start(); ?>

				<?php if ( $type == 'type1' ) { ?>
					
					<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					
						<?php if ( !empty($title) ): ?>
							<h3 class="box-title">
								<?php if ( !empty($a_href) ): ?>
									<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" >
								<?php endif; ?>
									<?php echo wp_kses_post($title); ?>
								<?php if ( !empty($a_href) ): ?>
									</a>
								<?php endif; ?>	
							</h3>
						<?php endif; ?>
					
						<?php if ( !empty($content) ): ?>
							<?php echo wpb_js_remove_wpautop( $content, true ) ?>
						<?php endif; ?>
					
						<?php if ( !empty($a_title) ): ?>
							<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-style-2" ><?php echo esc_html($a_title); ?></a>
						<?php endif; ?>

					</div>
					
					<?php } elseif($type == 'type2') { ?>	
					
					<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					
					  <div class="box-img">
						<img src="<?php echo esc_url($img_large); ?>" alt="<?php echo esc_attr($title) ?>">
					  </div>
					  
					    <?php if ( !empty($title) ): ?>
							<h4 class="box-title">
								<?php if ( !empty($a_href) ): ?>
									<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" >
								<?php endif; ?>
									<?php echo wp_kses_post($title); ?>
								<?php if ( !empty($a_href) ): ?>
									</a>
								<?php endif; ?>	
							</h4>
						<?php endif; ?>
						
						<?php if ( !empty($content) ): ?>
							<?php echo wpb_js_remove_wpautop( $content, true ) ?>
						<?php endif; ?>
					
					</div>
				<?php } elseif($type == 'type3') { ?>	
					
					<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					
					  <div class="box-img">
						<img src="<?php echo esc_url($img_large); ?>" alt="<?php echo esc_attr($title) ?>">
					  </div>
					  <div class="box-inner">
					    <?php if ( !empty($title) ): ?>
							<h4 class="box-title">
								<?php if ( !empty($a_href) ): ?>
									<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" >
								<?php endif; ?>
									<?php echo wp_kses_post($title); ?>
								<?php if ( !empty($a_href) ): ?>
									</a>
								<?php endif; ?>	
							</h4>
						<?php endif; ?>
						
						<?php if ( !empty($content) ): ?>
							<?php echo wpb_js_remove_wpautop( $content, true ) ?>
						<?php endif; ?>
						
						<?php if ( !empty($link) ): ?>
							<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-style-2" ><?php echo esc_html($a_title); ?></a>
						<?php endif; ?>
						
						</div>
					</div>
				<?php }  ?>
					
				

				<?php return ob_get_clean();
			}

		}

	}

	new jogasana_info_block();
}