<?php
if ( !class_exists('jogasana_pricing_box') ) {

	class jogasana_pricing_box {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map_pricing_box'));
		}
		
		function add_map_pricing_box() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Pricing Box", 'jogasana' ),
					   "base" => "vc_mad_pricing_box",
					   "class" => "vc_mad_pricing_box",
					   "icon" => "icon-wpb-mad-pricing-box",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Styled pricing tables', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_pricing_box_item'),
					   "content_element" => true,
					   "show_settings_on_create" => true,
					   "params" => array(
						   array(
								'type' => 'textfield',
								'heading' => esc_html__( 'Title', 'jogasana' ),
								'param_name' => 'title',
								'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
								'edit_field_class' => 'vc_col-sm-6',
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Tag for title', 'jogasana' ),
							   'param_name' => 'tag_title',
							   'value' => array(
								   'h2' => 'h2',
								   'h3' => 'h3'
							   ),
							   'std' => 'h2',
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
						   ),
						   array(
							   'type' => 'textarea',
							   'heading' => esc_html__( 'Description', 'jogasana' ),
							   'param_name' => 'description',
							   'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for description', 'jogasana' ),
							   'param_name' => 'description_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
							array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Description align", 'jogasana'),
								"param_name" => "description_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   "type" => "vc_link",
							   "heading" => esc_html__( 'Add URL to the whole box (optional)', 'jogasana' ),
							   "param_name" => "link",
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Columns', 'jogasana' ),
							   'param_name' => 'columns',
							   'value' => array(
								   esc_html__( '3 Columns', 'jogasana' ) => 3,
								   esc_html__( '4 Columns', 'jogasana' ) => 4,
							   ),
							   'std' => 3,
							   'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' )
						   )
						),
						"js_view" => 'VcColumnView'
					));

				vc_map(
					array(
					   "name" => esc_html__("Pricing Box Item", 'jogasana'),
					   "base" => "vc_mad_pricing_box_item",
					   "class" => "vc_mad_pricing_box_item",
					   "icon" => "icon-wpb-mad-pricing-box",
					   "category" => esc_html__('Pricing Box', 'jogasana'),
					   "content_element" => true,
					   "as_child" => array('only' => 'vc_mad_pricing_box'),
					   "is_container" => false,
					   "params" => array(
						   array(
							   "type" => "textfield",
							   "heading" => esc_html__( 'Package Name / Title', 'jogasana' ),
							   "param_name" => "title",
							   "holder" => "h4",
							   "description" => esc_html__( 'Enter the package name or table heading.', 'jogasana' ),
							   "value" => '',
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for info', 'jogasana' ),
							   'param_name' => 'label_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for info.', 'jogasana' ),
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Background Color', 'jogasana' ),
							   'param_name' => 'bg_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for background.', 'jogasana' ),
						   ), 
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Button Color', 'jogasana' ),
							   'param_name' => 'btn_color_bg',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for button.', 'jogasana' ),
						   ),
						   array(
							   "type" => "textfield",
							   "heading" => esc_html__( 'Package Price', 'jogasana' ),
							   "param_name" => "price",
							   "holder" => "span",
							   "description" => esc_html__( 'Enter the price for this package', 'jogasana' ),
							   "value" => ''
						   ),
						   array(
							   "type" => "textfield",
							   "heading" => esc_html__( 'Label Price', 'jogasana' ),
							   "param_name" => "label_price",
							   "holder" => "h4",
							   "description" => esc_html__( 'Enter the table label for price.', 'jogasana' ),
							   "value" => '',
						   ),
						   array(
							   "type" => "textarea_html",
							   "heading" => esc_html__( 'Features', 'jogasana' ),
							   "param_name" => "content",
							   "holder" => "div",
							   "description" => esc_html__( 'Create the features list using un-ordered list elements.', 'jogasana' ),
							   "value" => ''
						   ),
						   array(
							   "type" => "vc_link",
							   "heading" => esc_html__( 'Add URL to the whole box (optional)', 'jogasana' ),
							   "param_name" => "link",
						   ),
						   array(
							   'type' => 'checkbox',
							   'heading' => esc_html__( 'Featured', 'jogasana' ),
							   'param_name' => 'add_label',
							   'description' => esc_html__( 'Adds a nice label to your pricing box.', 'jogasana' ),
							   'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
						   ),
						   jogasana_vc_map_add_css_animation(false),
						   jogasana_vc_map_add_animation_delay(),
						   jogasana_vc_map_add_scroll_factor()
					    )
					)
				);

			}
		}

	}

	if ( class_exists('WPBakeryShortCodesContainer') ) {

		class WPBakeryShortCode_vc_mad_pricing_box extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $layout = $columns = '';

				extract(shortcode_atts(array(
					'title' => '',
					'tag_title' => 'h2',
					'description' => '',
					'title_color' => '',
					'description_color' => '',
					'title_align' => '',
					'description_align' => '',
					'link' => '',
					'columns' => 3
				), $atts));

				$css_class = array(
					'pricing-tables-holder',
					'flex-row',
					'item-col-' . absint($columns)
				);
				
				$link = ($link == '||') ? '' : $link;
				$link = vc_build_link($link);
				$a_href = $link['url'];
				$a_title = $link['title'];
				( $link['target'] != '' ) ? $a_target = $link['target'] : $a_target = '_self';

				$title_align = !empty($title_align) ? $title_align : '';
				$description_align = !empty($description_align) ? $description_align : '';
		
				ob_start(); ?>

				<div class="wpb_content_element ys-pricing-tables">

					<?php
					echo Jogasana_Vc_Config::getParamTitle(
						array(
							'title' => $title,
							'tag_title' => $tag_title,
							'description' => $description,
							'title_color' => $title_color,
							'align' => $title_align,
							'align_des' => $description_align,
							'description_color' => $description_color,
						)
					);
					?>

					<div class="<?php echo esc_attr(implode(' ', $css_class)); ?>">
						<?php echo wpb_js_remove_wpautop( $content, false ) ?>
					</div>

					<?php if ( !empty($a_title) ): ?>
					<div class="align-center">
						<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-style-3" ><?php echo esc_html($a_title); ?></a>
					</div>
					<?php endif; ?>

				</div>

				<?php return ob_get_clean() ;
			}

		}

		class WPBakeryShortCode_vc_mad_pricing_box_item extends WPBakeryShortCode {

			protected function content($atts, $content = null) {
				$title = $price = $features = $add_label = $link = $label_color_bg = "";

				extract( shortcode_atts(array(
					'title' => esc_html__('Free', 'jogasana'),
					'price' => '',
					'label' => '',
					'title_color' => '',
					'label_color' => '',
					'btn_color_bg' => '',
					'bg_color' => '',
					'label_price' => '',
					'link' => '',
					'add_label' => false,
					'css_animation' => '',
					'animation_delay' => 0,
					'scroll_factor' => ''
				),$atts) );

				$link = ($link == '||') ? '' : $link;
				$link = vc_build_link($link);
				$a_href = $link['url'];
				$a_title = $link['title'];
				( $link['target'] != '' ) ? $a_target = $link['target'] : $a_target = '_self';

				$wrapper_attributes = array();
				$dop = rand(1, 100);
				$css_classes = array( 'pricing-table', 'pricing-table_'.$dop );
				
				if ( $add_label ){
					$css_classes[] = 'selected';
				}

				if ( '' !== $css_animation  ) {
					$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
				}

				$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
				$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
				$featured_color_bg = '';

				ob_start(); ?>
				
				<?php  
				if ( isset($bg_color) && !empty($bg_color) ) {
					$bg_color = 'style="border-color:'.$title_color.';background-color: ' . $bg_color . '"';
				} 
				if ( isset($title_color) && !empty($title_color) ) {
					$featured_color_bg = 'style="' . vc_get_css_color( 'background', $title_color ) . '"';
					$title_color = 'style="' . vc_get_css_color( 'color', $title_color ) . '"';	
				}
				if ( isset($label_color) && !empty($label_color) ) {
					$label_color = 'style="' . vc_get_css_color( 'color', $label_color ) . '"';
				} 
				if ( isset($btn_color_bg) && !empty($btn_color_bg) ) {
					$btn_color_bg = 'style="' . vc_get_css_color( 'background', $btn_color_bg ) . '"';
				} 
				
				?>

				<div class="pricing-col">
				
				<div <?php echo implode( ' ', $wrapper_attributes ) ?>  <?php echo sprintf('%s', $bg_color) ?> >

					<?php if ( $add_label ): ?>
						<div class="label" <?php echo sprintf('%s', $featured_color_bg) ?> ><?php echo esc_html__('Recommended', 'jogasana') ?></div>
					<?php endif; ?>

					<header class="pt-header">

						<div class="pt-type" <?php echo sprintf('%s', $title_color) ?> ><?php echo esc_html($title); ?></div>
						<div class="pt-price"  ><?php echo esc_html($price); ?></div>
						<div class="pt-period" <?php echo sprintf('%s', $label_color) ?> ><?php echo esc_html($label_price); ?></div>

					</header>

					
					<div class="pt-features-list" >
					<?php if ( !empty($content) ){ ?>
					<?php echo wpb_js_remove_wpautop ($content, true ) ?>
					<?php } ?>
					</div>

					<?php if ( !empty($a_title) ): ?>

						<footer class="pt-footer">
							<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="ys-pricing-button btn btn-style-3" <?php echo sprintf('%s', $btn_color_bg) ?>><?php echo esc_html($a_title); ?></a>
						</footer>

					<?php endif; ?>

				</div>
				</div>

				<?php return ob_get_clean() ;
			}

		}
	}

	new jogasana_pricing_box();

}