<?php
if (!class_exists('jogasana_services_list')) {

	class jogasana_services_list {

		function __construct() {
			add_action('vc_before_init', array($this, 'add_map'));
		}

		function add_map() {

			if ( function_exists('vc_map') ) {

				vc_map(
					array(
					   "name" => esc_html__("Services list", 'jogasana' ),
					   "base" => "vc_mad_services_list",
					   "class" => "vc_mad_services_list",
					   "icon" => "icon-wpb-mad-info-block",
					   "category"  => esc_html__('Jogasana', 'jogasana'),
					   "description" => esc_html__('Styled services list', 'jogasana'),
					   "as_parent" => array('only' => 'vc_mad_services_list_item'),
					   "content_element" => true,
					   "show_settings_on_create" => false,
					   "params" => array(
						   array(
							   'type' => 'textfield',
							   'heading' => esc_html__( 'Title', 'jogasana' ),
							   'param_name' => 'title',
							   'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				 			   'edit_field_class' => 'vc_col-sm-6'
						   ),
						   array(
							   'type' => 'dropdown',
							   'heading' => esc_html__( 'Tag for title', 'jogasana' ),
							   'param_name' => 'tag_title',
							   'value' => array(
								   'h2' => 'h2',
								   'h3' => 'h3'
							   ),
							   'std' => '',
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
						   ),
						   array(
							   'type' => 'textarea',
							   'heading' => esc_html__( 'Description', 'jogasana' ),
							   'param_name' => 'description',
							   'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
						   ),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for title', 'jogasana' ),
							   'param_name' => 'title_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for title block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Title align", 'jogasana'),
								"param_name" => "title_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),
						   array(
							   'type' => 'colorpicker',
							   'heading' => esc_html__( 'Color for description', 'jogasana' ),
							   'param_name' => 'description_color',
							   'group' => esc_html__( 'Styling', 'jogasana' ),
							   'edit_field_class' => 'vc_col-sm-6',
							   'description' => esc_html__( 'Select custom color for description block.', 'jogasana' ),
						   ),
						   array(
								"type" => "dropdown",
								"class" => "",
								"heading" => esc_html__("Description align", 'jogasana'),
								"param_name" => "description_align",
								'group' => esc_html__( 'Styling', 'jogasana' ),
								"value" => array(
									esc_html__("Left",'jogasana') => "align-left",
									esc_html__("Right",'jogasana') => "align-right",
									esc_html__("Center",'jogasana') => "align-center"
								)
							),						),
						"js_view" => 'VcColumnView'
					));

				vc_map(
					array(
					   "name" => esc_html__("Services List Item", 'jogasana'),
					   "base" => "vc_mad_services_list_item",
					   "class" => "vc_mad_services_list_item",
					   "icon" => "icon-wpb-mad-info-block",
					   "category" => esc_html__('Services List', 'jogasana'),
					   "content_element" => true,
					   "as_child" => array('only' => 'vc_mad_services_list'),
					   "is_container" => true,
					   "params" => array(
						   array(
							   "type" => "textarea",
							   "heading" => esc_html__( 'Title', 'jogasana' ),
							   "param_name" => "title",
							   "holder" => "h4",
							   "description" => ''
						   ),
						    array(
							   "type" => "vc_link",
							   "heading" => esc_html__( 'Add URL to the info block (optional)', 'jogasana' ),
							   "param_name" => "link",
						   ),
						   array(
							   'type' => 'textarea_html',
							   'holder' => 'div',
							   'heading' => esc_html__( 'Text', 'jogasana' ),
							   'param_name' => 'content',
							   'value' => wp_kses(__( '<p>Click edit button to change this text.</p>', 'jogasana' ), array('p' => array()) )
						   ),
						   jogasana_vc_map_add_css_animation(),
						   jogasana_vc_map_add_animation_delay(),
						   jogasana_vc_map_add_scroll_factor()
					    )
					) 
				);							

			}
		}

	}

	if (class_exists('WPBakeryShortCodesContainer')) {

		class WPBakeryShortCode_vc_mad_services_list extends WPBakeryShortCodesContainer {

			protected function content($atts, $content = null) {

				$title = $tag_title = $description = $title_color = $description_color = $columns_class = '';

				extract(shortcode_atts(array(
					'title' => '',
					'tag_title' => 'h3',
					'description' => '',
					'title_color' => '',
					'description_color' => '',
					'title_align' => '',
					'description_align' => '',
				), $atts));

				
				$css_class = array(
					'services'
				);
		
				ob_start(); ?>

				<div class="wpb_content_element ys-services-list">

					<?php
					echo Jogasana_Vc_Config::getParamTitle(
						array(
							'title' => $title,
							'tag_title' => $tag_title,
							'description' => $description,
							'title_color' => $title_color,
							'description_color' => $description_color,
							'align' => $title_align,
							'align_des' => $description_align,
						)
					);
					?>

					<div class="<?php echo esc_attr( implode(' ', $css_class) ); ?>">
						<?php echo wpb_js_remove_wpautop ($content, false ) ?>
					</div>
       
				</div>

				<?php return ob_get_clean() ;

			}

		}

		class WPBakeryShortCode_vc_mad_services_list_item extends WPBakeryShortCode {

			protected function content($atts, $content = null) {

				$wrapper_attributes = array();
				$title = $css_animation = $animation_delay = $scroll_factor = $link = '';

				extract(shortcode_atts(array(
					'title' => '',
					'link' => '',
					'css_animation' => '',
					'animation_delay' => '',
					'scroll_factor' => ''
				),$atts));
				
				$link = ($link == '||') ? '' : $link;
				$link = vc_build_link($link);
				$a_href = $link['url'];
				$a_title = $link['title'];
				( $link['target'] != '' ) ? $a_target = $link['target'] : $a_target = '_self';
				
				$css_classes = array(
					'secvice-item'
				);

				if ( $content == null ) $content = ' ';

				if ( '' !== $css_animation  ) {
					$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
				}

				$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
				$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
				
				ob_start(); ?>
					
					<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
					
						<?php if ( !empty($title) ): ?>
							<h5 class="service-title">
								<?php if ( !empty($a_href) ): ?>
									<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" >
								<?php endif; ?>
									<?php echo wp_kses_post($title); ?>
								<?php if ( !empty($a_href) ): ?>
									</a>
								<?php endif; ?>	
							</h5>
						<?php endif; ?>
					
						<?php if ( !empty($content) ): ?>
							<?php echo wpb_js_remove_wpautop( $content, true ) ?>
						<?php endif; ?>
					
					</div>
		
				<?php return ob_get_clean();
			}

		}

	}

	new jogasana_services_list();
}