<?php

class WPBakeryShortCode_VC_mad_about_author extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image' => '',
			'link'   => "",
			'title'   => ""
		), $atts, 'vc_mad_about_author');

		$this->content = $content;
		
		return $this->html();
	}

	public function html() {

		$image = $link = $title = '';

		extract($this->atts);
		
		$attach_id = preg_replace('/[^\d]/', '', $image);
		$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
		$img = Jogasana_Helper::get_post_attachment_image( $attach_id, 'full');

		if ( $img == null ) {
			$img_large =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large = esc_url($img);
		}
		
		$link = ( '||' === $link ) ? '' : $link;
		$link = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $link['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $link['url'];
			$a_title = $link['title'];
			$a_target = $link['target'];
			$a_rel = $link['rel'];
		}
		
		ob_start(); ?>
		
		<div class="wpb_content_element about_author" >
		
		<div class="img-bg bg-move" data-bg="<?php echo esc_url($img_large); ?>"></div>
		
        <div class="container">
        <div class="align-center">
		
			<div class="content-element5">
              
              <h3 class="section-title style-2"><?php echo esc_html($title) ?></h3>
              <div class="icon-divider"><i class="svg divider1"></i></div>
           
            </div>
			
			<?php if (!empty($this->content)): ?>
             <?php echo wpb_js_remove_wpautop($this->content, true) ?>
            <?php endif; ?>
         
			<?php  if ( $use_link ) {
					$attributes = array();
					$attributes[] = 'href="' . trim( $a_href ) . '"';
					$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
					$attributes[] = 'class="' . esc_attr( 'btn btn-style-2' ) . '"';
					if ( ! empty( $a_target ) ) {
						$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
					}
					if ( ! empty( $a_rel ) ) {
						$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
					}
					$attributes = implode( ' ', $attributes );
					
					echo '<div class="content-element1"><a ' . $attributes . '>' . esc_html($a_title) . '</a></div>';
				} ?>

		</div>
		</div>
		
		</div>
	
		<?php return ob_get_clean();
	}

}