<?php

class WPBakeryShortCode_VC_mad_about_mp_event extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'output_level'   => "",
			'teacher_link'   => "",
			'output_size'   => "",
			'output_duration' => "",
			'output_price' => "",
			'custom_link1' => "",
			'custom_link2' => ""
		), $atts, 'vc_mad_about_mp_event');

		$this->content = $content;
		
		return $this->html();
	}

	public function html() {

		global $post, $jogasana_settings;

		$output_level = $teacher_link = $output_size = $output_duration = $custom_link1 = $custom_link2 = $output_price = '';

		extract($this->atts);
		
		$id = get_the_author_meta('ID');
		$name  = get_the_author_meta('display_name', $id);
		$this_id = get_the_ID();
		$teacher = get_post_meta($this_id, 'jogasana_mp_teacher', true);
		$class_size = get_post_meta($this_id, 'jogasana_mp_class_size', true);
		$teacher_position = get_post_meta($this_id, 'jogasana_mp_teacher_position', true);
		$teacher_image = get_post_meta($this_id, 'jogasana_mp_teacher_image', true);
		$teacher_info = get_post_meta($this_id, 'jogasana_mp_teacher_info', true);
		$duration = get_post_meta($this_id, 'jogasana_mp_duration', true);
		$price = get_post_meta($this_id, 'jogasana_mp_price', true);

		$teacher_link = vc_build_link( $teacher_link );
		
		$custom_link1 = ( '||' === $custom_link1 ) ? '' : $custom_link1;
		$custom_link1 = vc_build_link( $custom_link1 );
		$use_link = false;
		if ( strlen( $custom_link1['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $custom_link1['url'];
			$a_title = $custom_link1['title'];
			$a_target = $custom_link1['target'];
			$a_rel = $custom_link1['rel'];
		}
		$custom_link2 = ( '||' === $custom_link2 ) ? '' : $custom_link2;
		$custom_link2 = vc_build_link( $custom_link2 );
		$use_link2 = false;
		if ( strlen( $custom_link2['url'] ) > 0 ) {
			$use_link2 = true;
			$a_href2 = $custom_link2['url'];
			$a_title2 = $custom_link2['title'];
			$a_target2 = $custom_link2['target'];
			$a_rel2 = $custom_link2['rel'];
		}
		
		ob_start(); ?>
		
		<div class="wpb_content_element about_mp-event single-post">
			
			<div class="widget">
						
				<div class="widget-bg">
					<div class="team-holder our-info">
					  
					  <div class="team-item">
								
						<a href="<?php echo esc_url( $teacher_link['url'] ) ?>" class="member-photo">
						  <?php if ( !empty($teacher_image) && $teacher_image != '' ) { 
						  $current_image = wp_get_attachment_image_src($teacher_image, 'thumbnail');
						  ?>
						  <img src="<?php echo esc_url($current_image[0]); ?>" alt="<?php echo esc_attr(trim(strip_tags($teacher))); ?>">
						  <?php } ?>
						</a>
						<div class="team-desc">
						  <div class="member-info">
							<h6 class="member-name"><a href="<?php echo esc_url( $teacher_link['url'] ) ?>"><?php echo esc_html($teacher) ?></a></h6>
							<h6 class="member-position"><?php echo esc_html($teacher_position) ?></h6>
						  </div>
						</div>
					
					  </div>
					  
					  <?php if (!empty($this->content)): ?>
					  <div class="content-element3 info-item ">
						 
						<?php echo wpb_js_remove_wpautop($this->content, true) ?>
						
					  </div>
					  <?php endif; ?>
					  
					  
					  <?php if ($output_level == 'yes'): ?>
					   <div class="info-item ">
					   <i class="licon-signal"></i><span><?php echo esc_html__('Level', 'jogasana') ?></span>
					   <?php $cur_tags = wp_get_post_terms($this_id, 'mp-event_tag'); ?>
					    <div class="wrapper">
						<?php 
						if ( !empty($cur_tags) ) {
						foreach( $cur_tags as $cur_tag ){
							echo '<a href="'. get_term_link( (int)$cur_tag->term_id, $cur_tag->taxonomy ) .'">'. esc_attr($cur_tag->name) .'</a> ';
						}
						}
						?>	
						</div>
					   </div>
					  <?php endif; ?>
					  
					  <?php if ($output_size == 'yes'): ?>
					   <div class="info-item ">
					   <i class="licon-users"></i><span><?php echo esc_html__('Class Size', 'jogasana') ?></span>
					  
					    <div class="wrapper">
						<?php 
						echo esc_html($class_size);
						?>	
						</div>
					   </div>
					  <?php endif; ?>
					  
					   <?php if ($output_duration == 'yes'): ?>
					   <div class="info-item ">
					   <i class="licon-clock3"></i><span><?php echo esc_html__('Duration', 'jogasana') ?></span>
					  
					    <div class="wrapper">
						<?php 
						echo esc_html($duration);
						?>	
						</div>
					   </div>
					  <?php endif; ?>
					  
					  <?php if ($output_price == 'yes'): ?>
					   <div class="info-item ">
					   <i class="licon-credit-card"></i><span><?php echo esc_html__('Price', 'jogasana') ?></span>
					  
					    <div class="wrapper">
						<?php 
						echo esc_html($price);
						?>	
						</div>
					   </div>
					  <?php endif; ?>
					
					</div>
					
				</div>
				 
				<div class="button-item ">
					<?php if (  $use_link ) { 
						$attributes = array();
						$attributes[] = 'href="' . trim( $a_href ) . '"';
						$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
						if ( ! empty( $a_target ) ) {
							$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
						}
						if ( ! empty( $a_rel ) ) {
							$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
						}
						$attributes = implode( ' ', $attributes );
						
						echo '<a class="btn btn-style-3" ' . $attributes . '>' . esc_attr($a_title) . '</a>';
					 } ?>
				
					<?php if (  $use_link2 ) { 
						$attributes2 = array();
						$attributes2[] = 'href="' . trim( $a_href2 ) . '"';
						$attributes2[] = 'title="' . esc_attr( trim( $a_title2 ) ) . '"';
						if ( ! empty( $a_target2 ) ) {
							$attributes2[] = 'target="' . esc_attr( trim( $a_target2 ) ) . '"';
						}
						if ( ! empty( $a_rel2 ) ) {
							$attributes2[] = 'rel="' . esc_attr( trim( $a_rel2 ) ) . '"';
						}
						$attributes2 = implode( ' ', $attributes2 );
						
						echo '<a class="btn btn-style-2" ' . $attributes2 . '>' . esc_attr($a_title2) . '</a>';
					 } ?>
					
				</div>

				 
		    </div>
		
        </div>
		  
		<?php return ob_get_clean();
	}

}