<?php

class WPBakeryShortCode_VC_mad_about_portfolio extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'type'   => "type1",
			'output_date'   => "yes",
			'output_tag'   => "yes",
			'output_author' => "yes",
			'output_category' => "yes"
		), $atts, 'vc_mad_about_portfolio');

		$this->content = $content;
		
		return $this->html();
	}

	public function html() {

		global $post, $jogasana_settings;

		$output_author = $output_date = $output_category = $output_tag = '';

		extract($this->atts);
		
		$id = get_the_author_meta('ID');
		$name  = get_the_author_meta('display_name', $id);

		ob_start(); ?>

		<?php if ($type == 'type1') { ?>
		
		<div class="wpb_content_element about_portfolio single-post">
		
        <div class="content-element4">
         
		 <h6 class="event-title"><?php esc_html_e('Description', 'jogasana') ?></h6>
		  <?php if (!empty($this->content)): ?>
             <?php echo wpb_js_remove_wpautop($this->content, true) ?>
          <?php endif; ?>

		</div>
		
		<div class="content-element4">
		<h6 class="event-title"><?php esc_html_e('Details', 'jogasana') ?></h6>
		
		<ul class="custom-list ls-none">
			
			<?php if ($output_date == 'yes'): ?>
			  <li>
				<span>
				  <?php esc_html_e('Date', 'jogasana') ?>:
				</span>
				<?php echo get_the_date(); ?>
			  </li>
			<?php endif; ?>
			
			<?php if ($output_category == 'yes'): 
			  $categories = get_the_term_list($post->ID, 'portfolio_categories', '', ', ','');
			  ?>
			  <li class="tag-list" >
				<span>
				  <?php esc_html_e('Category', 'jogasana') ?>:
				</span>
				 <?php echo wp_kses_post($categories); ?>
			  </li>
			<?php endif; ?>
			
			<?php if ($output_author == 'yes'): ?>
			  <li>
				<span>
				  <?php esc_html_e('Author', 'jogasana') ?>:
				</span>
				<?php
					printf( '<a class="link-text" href="%1$s">%2$s</a>',
						esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
						get_the_author()
					);
				?>
			  </li>
			<?php endif; ?>
			
			<?php if ($output_tag == 'yes'): 
			  $tag_list = get_the_tag_list( '', ', ', '');
			  ?>
			  <?php if ( !empty($tag_list) ): ?>
			  <li class="tag-list" >
				<span>
				  <?php esc_html_e('Tags', 'jogasana') ?>:
				</span>
				 <?php echo wp_kses_post($tag_list); ?>
			  </li>
			  <?php endif; ?>
			<?php endif; ?>
			
		</ul>
		
		</div>
	
			
		<?php if ( $jogasana_settings['portfolio-single-share'] ): ?>
				<?php if ( function_exists('jogasana_portfolio_content_share') ): ?>
				
					<?php jogasana_portfolio_content_share(); ?>
				
				<?php endif; ?>
		<?php endif; ?>

        </div>
		  
		<?php } else { ?>  
		<div class="wpb_content_element about_portfolio">
		<div class="row">
		
			<div class="col-md-8 col-sm-12">
			
				<div class="content-element2">
			 
				 <h6 class="event-title"><?php esc_html_e('Description', 'jogasana') ?></h6>
				  <?php if (!empty($this->content)): ?>
					 <?php echo wpb_js_remove_wpautop($this->content, true) ?>
				  <?php endif; ?>

				</div>
				
				<?php if ( $jogasana_settings['portfolio-single-share'] ): ?>
				<?php if ( function_exists('jogasana_portfolio_content_share') ): ?>
				
					<?php jogasana_portfolio_content_share(); ?>
				
				<?php endif; ?>
				<?php endif; ?>
			
			</div>
			
		<div class="col-md-4 col-sm-12">
		
		<h6 class="event-title"><?php esc_html_e('Details', 'jogasana') ?></h6>
		
		<ul class="custom-list ls-none">
			
			<?php if ($output_date == 'yes'): ?>
			  <li>
				<span>
				  <?php esc_html_e('Date', 'jogasana') ?>:
				</span>
				<?php echo get_the_date(); ?>
			  </li>
			<?php endif; ?>
			
			<?php if ($output_category == 'yes'): 
			  $categories = get_the_term_list($post->ID, 'portfolio_categories', '', ', ','');
			  ?>
			  <li class="tag-list" >
				<span>
				  <?php esc_html_e('Category', 'jogasana') ?>:
				</span>
				 <?php echo wp_kses_post($categories); ?>
			  </li>
			<?php endif; ?>
			
			<?php if ($output_author == 'yes'): ?>
			  <li>
				<span>
				  <?php esc_html_e('Author', 'jogasana') ?>:
				</span>
				<?php
					printf( '<a class="link-text" href="%1$s">%2$s</a>',
						esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
						get_the_author()
					);
				?>
			  </li>
			<?php endif; ?>
			
			<?php if ($output_tag == 'yes'): 
			  $tag_list = get_the_tag_list( '', ', ', '');
			  ?>
			  <?php if ( !empty($tag_list) ): ?>
			  <li class="tag-list" >
				<span>
				  <?php esc_html_e('Tags', 'jogasana') ?>:
				</span>
				 <?php echo wp_kses_post($tag_list); ?>
			  </li>
			  <?php endif; ?>
			<?php endif; ?>
			
		</ul>
		
		</div>
	
		</div>
		</div>
		<?php } ?> 

		<?php return ob_get_clean();
	}

}