<?php

class WPBakeryShortCode_VC_mad_about_team extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'output_address'   => "yes",
			'output_phone'   => "yes",
			'output_fax'   => "yes",
			'output_mail' => "yes",
			'output_card' => "yes"
		), $atts, 'vc_mad_about_team');

		$this->content = $content;
		
		return $this->html();
	}

	public function html() {

		global $post, $jogasana_settings;

		$output_address = $output_phone = $output_fax = $output_mail = $output_card = '';

		extract($this->atts);
		
		$this_id = get_the_ID();
		$name = get_the_title($this_id);
		$link = get_permalink($this_id);
		$image_size = 'jogasana-masonry2';
		$position = get_post_meta($this_id, 'jogasana_tm_position', true);
		$address = get_post_meta($this_id, 'jogasana_tm_address', true);
		$phone = get_post_meta($this_id, 'jogasana_tm_phone', true);
		$fax = get_post_meta($this_id, 'jogasana_tm_fax', true);
		$email = get_post_meta($this_id, 'jogasana_tm_email', true);
		$download = get_post_meta($this_id, 'jogasana_tm_download', true);
		
		$thumbnail_atts = array(
			'alt'	=> trim(strip_tags(get_the_excerpt($this_id))),
			'title'	=> trim(strip_tags(get_the_title($this_id)))
		);

		ob_start(); ?>
		
		<div class="wpb_content_element about_team">
		
       
	    	<div class="team-item team-single">
				
				<div class="member-info">
                  <h1 class="member-name"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></h1>
                  <?php if ( !empty($position) ): ?><h6 class="member-position"><?php echo esc_html($position) ?></h6><?php endif; ?>
                </div>
				
				<?php if ( has_post_thumbnail()  ) : ?>
					<div class="member-photo">
						<?php 
						$thumbnail = Jogasana_Helper::get_the_post_thumbnail( $this_id, $image_size, true, '', $thumbnail_atts );
						echo wp_kses_post($thumbnail);
						?>
					</div>
				<?php endif; ?>
			
				<div class="team-desc">
					
					<div class="our-info vr-type">
                    
						<?php if ( !empty($address) && $output_address == 'yes'): ?>
						<div class="info-item">
						  <i class="licon-map-marker"></i>
						  <div class="wrapper">
							<?php echo esc_html($address) ?>
						  </div>
						</div>
						<?php endif; ?>
						<?php if ( !empty($phone) && $output_phone == 'yes' ): ?>
						<div class="info-item">
						  <i class="licon-telephone"></i>
						  <div class="wrapper">
							<span content="telephone=no"><?php echo esc_html($phone) ?></span>
						  </div>
						</div>
						<?php endif; ?>
						<?php if ( !empty($fax) && $output_fax == 'yes' ): ?>
						<div class="info-item">
						  <i class="licon-printer"></i>
						  <div class="wrapper">
							<span content="telephone=no"><?php echo esc_html($fax) ?></span>
						  </div>
						</div>
						<?php endif; ?>
						<?php if ( !empty($email) && $output_mail == 'yes' ): ?>
						<div class="info-item">
						  <i class="licon-at-sign"></i>
						  <div class="wrapper">
							<a href="mailto:<?php echo esc_html($email) ?>"><?php echo esc_html($email) ?></a>
						  </div>
						</div>
						<?php endif; ?>
						<?php if ( !empty($download) && $output_card == 'yes' ): ?>
						<div class="info-item">
						  <i class="licon-profile"></i>
						  <div class="wrapper">
							<a href="<?php echo esc_url($download) ?>"><?php echo esc_html__( 'Download vCard', 'jogasana' ) ?></a>
						  </div>
						</div>
						<?php endif; ?>
                  
                    </div>
					
					
					<?php if ( function_exists('jogasana_team_content_share') ): ?>
				
						<?php  jogasana_team_content_share(); ?>
				
					<?php endif; ?>
					
				</div>
				
			</div>

        </div>
	

		<?php return ob_get_clean();
	}

}