<?php

class WPBakeryShortCode_VC_mad_banner extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image1' => '',
			'subtitle1' => '',
			'title1' => '',
			'link_1' => '',
			'css_animation' => '',
		), $atts, 'vc_mad_banner');

		return $this->html($content);
	}

	public function html($content) {

		$wrapper_attributes = array();
		$image1 = $css_animation = '';

		extract($this->atts);

		$attach_id1 = preg_replace('/[^\d]/', '', $image1);
		$alt1 = trim( strip_tags( get_post_meta( $attach_id1, '_wp_attachment_image_alt', true ) ) );
		$img1 = wpb_getImageBySize(array(
			'attach_id' => $attach_id1,
			'thumb_size' => '',
		));
		if ( $img1['p_img_large'] == null ) {
			$img_large1 =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large1 = esc_url($img1['p_img_large'][0]);
		}
		
		$css_classes = array(
			'ys-banner-area', 'banners', 'type-2'
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
        
			<div class="banner-inner" data-bg="<?php echo esc_url($img_large1); ?>" >

                  <h3 class="banner-title"><?php echo esc_html($title1); ?></h3>
                  <p><?php echo esc_html($subtitle1); ?></p>
                  <a href="<?php echo esc_url($link_1); ?>" class="btn btn-style-4 btn-big"><?php echo esc_html__('Learn More','jogasana'); ?></a>

            </div>
        	
		</div>

		<?php return ob_get_clean();
	}

}