<?php

class WPBakeryShortCode_VC_mad_banners extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image1' => '',
			'subtitle1' => '',
			'title1' => '',
			'link_1' => '',
			'image2' => '',
			'subtitle2' => '',
			'title2' => '',
			'link_2' => '',
			'css_animation' => '',
		), $atts, 'vc_mad_banners');

		return $this->html($content);
	}

	public function html($content) {

		$wrapper_attributes = array();
		$image1 = $image2 = $css_animation = '';

		extract($this->atts);

		$attach_id1 = preg_replace('/[^\d]/', '', $image1);
		$alt1 = trim( strip_tags( get_post_meta( $attach_id1, '_wp_attachment_image_alt', true ) ) );
		$img1 = wpb_getImageBySize(array(
			'attach_id' => $attach_id1,
			'thumb_size' => '',
		));
		if ( $img1['p_img_large'] == null ) {
			$img_large1 =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large1 = esc_url($img1['p_img_large'][0]);
		}
		
		$attach_id2 = preg_replace('/[^\d]/', '', $image2);
		$alt2 = trim( strip_tags( get_post_meta( $attach_id2, '_wp_attachment_image_alt', true ) ) );
		$img2 = wpb_getImageBySize(array(
			'attach_id' => $attach_id2,
			'thumb_size' => '',
		));
		if ( $img2['p_img_large'] == null ) {
			$img_large2 =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large2 = esc_url($img2['p_img_large'][0]);
		}

		$css_classes = array(
			'ys-banners-area', 'banners'
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
        
        	<div class="bg-col-left" data-bg="<?php echo esc_url($img_large1); ?>"></div>
            <div class="bg-col-right" data-bg="<?php echo esc_url($img_large2); ?>"></div>
            
            <div class="container">

              <div class="row">
                <div class="col-md-6">
                  
                  <div class="banner-inner">
                    <div class="left-side">
                      <h2 class="banner-title"><?php echo esc_html($subtitle1); ?></h2>
                      <p><?php echo esc_html($title1); ?></p>
                    </div>
                    <div class="right-side">
                      <a href="<?php echo esc_url($link_1); ?>" class="btn btn-style-5 btn-big"><?php echo esc_html__('Learn More','jogasana'); ?></a>
                    </div>
                  </div>
    
                </div>
                
                <div class="col-md-6">
                  
                  <div class="banner-inner">
                    <div class="left-side">
                      <h2 class="banner-title"><?php echo esc_html($subtitle2); ?></h2>
                      <p><?php echo esc_html($title2); ?></p>
                    </div>
                    <div class="right-side">
                      <a href="<?php echo esc_url($link_2); ?>" class="btn btn-style-4 btn-big"><?php echo esc_html__('Learn More','jogasana'); ?></a>
                    </div>
                  </div>
    
                </div>
              </div>
    
            </div>
            
		</div>

		<?php return ob_get_clean();
	}

}