<?php

class WPBakeryShortCode_VC_mad_blockquotes extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$style = '';
		$description = '';
		$info = '';

		$this->atts = shortcode_atts(array(
			'style' => 'with-bg-image',
			'image' => '',
			'description' => '',
			'info' => ''
		), $atts, 'vc_mad_blockquotes');

		$wrapper_attributes = array();
		extract($this->atts);
		
		$attach_id = preg_replace('/[^\d]/', '', $image);
		$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
		$img = wpb_getImageBySize(array(
			'attach_id' => $attach_id,
			'thumb_size' => '',
		));
		if ( $img == null ) {
			$img_large =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large = esc_url(esc_url($img['p_img_large'][0]));
		}

		$css_classes = array( 'ys-blockquote', 'blockquote-holder', $style );

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?> <?php if($style == 'with-bg-image' && $img != null ) { ?> data-bg="<?php echo esc_url($img_large); ?>" <?php } ?> >
		<blockquote class="blockquote_custom" >
			<?php if ( !empty($content) ): ?>
				<p><?php echo wpb_js_remove_wpautop( $content, false ) ?></p>
			<?php endif; ?>
			
			<?php if ( !empty($description) ): ?>
			<div class="author"><?php echo esc_html($description); ?>
			
				<?php if ( !empty($info) ): ?>
				<span class="blockquote_info"><?php echo esc_html($info); ?></span>
				<?php endif; ?>
				
			</div>
			<?php endif; ?>
			
		</blockquote>	
		</div>

		<?php return ob_get_clean();
	}

}