<?php

class WPBakeryShortCode_VC_mad_blog_posts extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'subtitle' => '',
			'tag_title' => 'h2',
			'description' => '',
			'title_color' => '',
			'title_align' => '',
			'pagination_align' => '',
			'divider_color' => '',
			'divider' => '',
			'layout' => 'ys-type-2',
			'style' => 'ys-small-thumbs',
			'carousel' => '',
			'sort' => '',
			'show_masonry' => '',
			'show_author' => '',
			'show_date' => '',
			'show_comments' => '',
			'categories' => array(),
			'orderby' => 'date',
			'order' => 'DESC',
			'columns' => 3,
			'items' => 8,
			'ignore_sticky_posts' => 0,
			'paginate' => 'none',
			'custom_links' => '',
			'autoplay' => '',
			'autoplaytimeout' => 5000,
			'css_animation' => ''
		), $atts, 'vc_mad_blog_posts');

		$this->query_entries();
		$html = $this->html();

		return $html;
	}

	public function get_sort_class( $id ) {
		$classes = "";
		$item_categories = get_the_terms( $id, 'category' );
		if ( is_object($item_categories) || is_array($item_categories) ) {
			foreach ( $item_categories as $cat ) {
				$classes .= $cat->slug . ' ';
			}
		}
		return str_replace( '%', '', $classes );
	}
	
	protected function sort_links( $entries, $params ) {

		$categories = get_categories(array(
			'taxonomy'	=> 'category',
			'hide_empty'=> 0
		));
		$current_cats = array();
		$display_cats = is_array($params['categories']) ? $params['categories'] : array_filter(explode(',', $params['categories']));
		$align_sort = !empty($params['title_align']) ? $params['title_align'] : 'align-left';

		foreach ( $entries as $entry ) {
			if ( $current_item_cats = get_the_terms( $entry->ID, 'category' ) ) {
				if ( !empty($current_item_cats) ) {
					foreach ($current_item_cats as $current_item_cat) {
						if (empty($display_cats) || in_array($current_item_cat->term_id, $display_cats)) {
							$current_cats[$current_item_cat->term_id] = $current_item_cat->term_id;
						}
					}
				}
			}
		}

		$css_classes = array(
			'ys-filter', $align_sort
		);

		$wrapper_attributes = array();
		if ( '' !== $params['css_animation'] ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $params['css_animation'], 0, '-80' );
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		ob_start(); ?>

		<div id="options" class="<?php echo esc_attr( trim($css_class) ) ?>" <?php echo implode( ' ', $wrapper_attributes ) ?>>
			<div id="filters" class="isotope-nav">
			    <button class="is-checked" data-filter="*"><?php esc_attr_e('All', 'jogasana') ?></button>

				<?php foreach ( $categories as $category ): ?>
					<?php if ( in_array($category->term_id, $current_cats) ): ?>
						<?php $nicename = str_replace('%', '', $category->category_nicename); ?>
						<button data-filter=".<?php echo esc_attr($nicename) ?>"><?php echo esc_html(trim($category->cat_name)); ?></button>
					<?php endif; ?>

				<?php endforeach ?>

			</div>
		</div>

		<?php return ob_get_clean();
	}
	
	public function query_entries() {

		$params = $this->atts;

		$query = array(
			'post_type' => 'post',
			'posts_per_page' => $params['items'],
			'orderby' => $params['orderby'],
			'order' => $params['order'],
			'ignore_sticky_posts'=> $params['ignore_sticky_posts'],
			'post_status' => array('publish')
		);

		if ( !empty($params['categories']) ) {
			$categories = explode(',', $params['categories']);
			$query['category__in'] = $categories;
		}

		$paged = get_query_var( 'page' ) ? get_query_var( 'page' ) : ( get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1 );
		$query['paged'] = $paged;

		$this->entries = new WP_Query($query);
		$this->prepare_entries($params);
	}

	public function html() {

		if ( empty($this->loop) ) return;
		
		$items_length = count($this->loop);

		global $jogasana_settings;
		$entries = $this->entries;
		$params = $this->atts;

		$post_loop = 1;
		$wrapper_attributes = array();
		$title = !empty($params['title']) ? $params['title'] : '';
		$tag_title = !empty($params['tag_title']) ? $params['tag_title'] : 'h2';
		$title_color = !empty($params['title_color']) ? $params['title_color'] : '';
		$title_align = !empty($params['title_align']) ? $params['title_align'] : '';
		$pagination_align = !empty($params['pagination_align']) ? $params['pagination_align'] : '';
		$css_animation = !empty($params['css_animation']) ? $params['css_animation'] : '';
		$sort = $params['sort'] == 'yes' ? true : false;
	
		$layout = $style = $columns = $carousel = $show_masonry = $custom_links = $paginate = $before_content = $content = $autoplay = $autoplaytimeout = '';

		extract($params);
		$atts = array();
		
		if ( isset($divider_color) && !empty($divider_color) ) {
			$divider_color = 'style="' . vc_get_css_color( 'background', $divider_color ) . '"';
		}
		
		$custom_links = ( '||' === $custom_links ) ? '' : $custom_links;
		$custom_links = vc_build_link( $custom_links );
		$use_link = false;
		if ( strlen( $custom_links['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $custom_links['url'];
			$a_title = $custom_links['title'];
			$a_target = $custom_links['target'];
			$a_rel = $custom_links['rel'];
		}

		$defaults = array(
			'id' => '', 'link' => '', 'title' => 10, 'post_format' => '', 'sort_classes' => '', 'format_class' => '', 'item_size' => '', 'content' => '', 'image_size' => '', 'image_size_masonry' => '', 'post_content' => '', 'before_content' => ''
		);

		$col_classes = '';
		
		$css_classes = array(
			'ys-blog-holder',
			$layout,
			'ys-paginate-' . $paginate
		);
		$css_container = '';
		
		switch ( $layout ) {
			case 'ys-type-1':
				$excerpt_count_blog = 70;
				if ( !$carousel ) {
					$css_classes[] = 'entry-box';
					
					if($show_masonry) {
						
						switch ( $columns ) {
							case '2':
								$css_classes[] = 'isotope two-collumn';
								break;
							case '3':
								$css_classes[] = 'isotope three-collumn';
								break;
							case '4':
								$css_classes[] = 'isotope fourth-collumn';
								break;	
						}	
					
					$col_classes  = 'item';
					} else {
					$css_classes[] = 'row isotope_no';	
						switch ( $columns ) {
							case '2':
								$col_classes = 'item col-md-6 col-sm-12';
								break;
							case '3':
								$col_classes = 'item col-md-4 col-sm-12';
								break;
							case '4':
								$col_classes = 'item col-md-3 col-sm-12';
								break;	
						}
					}
					
					$css_classes[] = 'clearfix';
					$atts['isotope-options'] = '{"itemSelector" : ".item","layoutMode" : "masonry","transitionDuration":"1.2s","masonry" : {"columnWidth":".item"}}';
					
				} else{
					$css_classes[] = 'carousel-type-2';
				}

				break;
			case 'ys-type-2':
				$css_classes[] = $style;
				$css_classes[] = 'blog-type';
				$css_classes[] = 'entry-box';
				$columns = 1;

				switch ( $style ) {
					case 'ys-big-thumbs':
						$excerpt_count_blog = $jogasana_settings['excerpt-count-big-thumbs'];
						break;
					case 'ys-small-thumbs':
						$excerpt_count_blog = $jogasana_settings['excerpt-count-small-thumbs'];
						$css_classes[] = 'list-type';
						$css_classes[] = 'half-col';
						break;
				}

				break;
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		$wrapper_attributes[] = jogasana_create_data_string($atts);
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
		
		ob_start(); ?>

		<div class="wpb_content_element ys-blog-posts <?php echo esc_attr($css_container); ?>">

			<?php if ( $subtitle != '' ): ?>
        	<h5 class="section-sub-title <?php echo esc_attr($title_align) ?>"><?php echo esc_html($subtitle) ?></h5>
            <?php endif; ?>

			<?php if ( $title != '' ) { ?>
			
				<?php
				echo Jogasana_Vc_Config::getParamTitle(
					array(
						'title' => $title,
						'tag_title' => $tag_title,
						'description' => '',
						'title_color' => $title_color,
						'align' => $title_align,
						'description_color' => '',
					)
				);
				?>
			<?php	
			if ( $divider ) {	
			echo '<div class="icon-divider '. esc_attr($title_align) .'" ><i '. sprintf('%s', $divider_color) .' class="svg divider1"></i></div>';
			}
			 ?>
				
			<?php } ?>

			<?php $i = 1; ?>

			<?php if($sort) {
				echo sprintf('%s', $this->sort_links( $this->entries->posts, $params ));
			}
			?>
			
			<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

				<?php if ( $carousel && $layout == 'ys-type-1' ): ?>
					<div class="<?php if($items_length > 2) { echo 'owl-carousel'; } else { echo $col_classes; } ?> flex-row entry-box align-center" data-max-items="<?php echo absint($columns) ?>" data-item-margin="30" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-timeout="<?php echo esc_attr($autoplaytimeout); ?>">
				<?php endif; ?>

					<?php foreach ( $this->loop as $entry ): extract( array_merge($defaults, $entry) ); ?>

						<?php switch ( $layout ):

							case 'ys-type-1': 
							$show_content = true;
							?>

								<?php if ( !$carousel ) { ?>
								<div id="post-<?php echo (int) $id; ?>"  class="<?php echo esc_attr($sort_classes) ?> <?php echo esc_attr($col_classes) ?> <?php echo ( '' !== $css_animation ) ? Jogasana_Helper::create_data_string_animation( $css_animation, 0, '' ) : '' ?> ">

									<div class="entry <?php echo esc_attr($format_class) ?>">
									
										<?php if ( is_sticky($id) ): ?>
											<?php printf( '<div class="sticky-post label-top">%s</div>', esc_html__( 'Featured', 'jogasana' ) ); ?>
										<?php endif; ?>
										
										<?php if ( !empty($before_content) && $post_format != 'link' && $post_format != 'quote' ): ?>
											<div class="thumbnail-attachment">
											   
												<?php $image_size_masonry = get_post_meta( $id, 'jogasana_image_size', true );
												if ($image_size_masonry && $image_size_masonry == 'jogasana-masonry3' && $show_masonry  && $post_format == 'standard') { 
												$show_content = false;
												?>
												
													<?php echo sprintf( '%s', $before_content ); 
													
													echo '<div class="entry-body with_bg">';
														if ( in_array('cats', $jogasana_settings['post-metas']) ) { 
															$categories_post = get_the_category_list(' ', '', $id);
															if ( !empty($categories_post) ): 
															echo '<div class="entry-label">';
															echo wp_kses_post($categories_post); 
															echo '</div>';
															endif; 
														} 
													echo '<h5 class="ys-entry-title entry-title"><a href="'. esc_url($link) .'">'. esc_html($title) .'</a></h5>';
													echo '<div class="flex-row justify-content-between">';
													echo jogasana_blog_post_meta($id,
															array(
																'author' => $show_author,
																'date' => $show_date,
																'comments' => $show_comments
															));  
															echo jogasana_base_post_share_btn(get_the_ID());  
													echo '</div></div>';
													?>
												
												<?php } else { ?>
												
													<?php echo sprintf( '%s', $before_content ) ?>
													
													<?php  if($post_format != 'link' && $post_format != 'quote' && $post_format != 'audio') { ?>
														<?php if ( in_array('cats', $jogasana_settings['post-metas']) ) { ?>
															<?php $categories_post = get_the_category_list(' ', '', $id);?>
															<?php if ( !empty($categories_post) ): ?>
															<div class="entry-label">
															<?php echo wp_kses_post($categories_post); ?>	
															</div>
															<?php endif; ?>
														<?php  } ?>
													<?php  } ?>
												
												<?php } ?>
												
											</div>
										<?php endif; ?>
                                        
                                <?php if( !empty($before_content) && ($post_format == 'quote') ) {
									echo '<div class="thumbnail-attachment testimonial-holder style-2">';
									echo "<div class='blockquote-holder testimonial' >";
									echo sprintf( '%s', $before_content ); 
									
										echo '<div class="entry-body"><div class="flex-row justify-content-between">';
										echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  
												echo jogasana_base_post_share_btn(get_the_ID());  
										echo '</div></div>';
									
									echo '</div>';
									echo '</div>';
								} ?>
								
								<?php if( !empty($before_content) && ($post_format == 'link') ) {
									echo '<div class="thumbnail-attachment"><div class="link-attachment">';
										echo sprintf( '%s', $before_content ); 
									
										echo '<div class="entry-body"><div class="flex-row justify-content-between">';
										echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  
												echo jogasana_base_post_share_btn(get_the_ID());  
										echo '</div></div>';
									echo '</div></div>';
								} ?>	

                                	<?php  if($post_format != 'link' && $post_format != 'quote' && $show_content) { ?>
                                     <div class="entry-body">  
                                        <h5 class="ys-entry-title entry-title">
                                            <a href="<?php echo esc_url($link) ?>"><?php echo esc_html($title) ?></a>
                                        </h5>
                                        
										<?php echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  ?>
                                        
                                        <?php 
										if ( has_excerpt($id) ) {
											echo jogasana_get_excerpt( $post_content, $excerpt_count_blog );
										} else {
											echo apply_filters( 'the_content', $content );
											wp_link_pages(array(
											'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages', 'jogasana' ) . ':</span>',
											'after'       => '</div>',
											'link_before' => '<span>',
											'link_after'  => '</span>',
											'pagelink'    => '%',
											'separator'   => ''
											));
										}  ?>
                                        
                                        <div class="flex-row justify-content-between">
										  <a href="<?php echo esc_url($link) ?>" class="btn btn-small btn-style-4"><?php echo esc_html__('Read More','jogasana') ?></a>
										  <?php echo jogasana_base_post_share_btn(get_the_ID());  ?>
										</div>
                                        
                                    </div>
									<?php  } ?>

									</div>

								</div>
								
								<?php } else { ?>
								
								<div class="entry <?php echo esc_attr($format_class) ?> <?php echo esc_attr($sort_classes) ?>">

									<?php if ( !empty($before_content) ): ?>
                                    <div class="thumbnail-attachment">
                                        <?php echo sprintf( '%s', $before_content ) ?>
                                    </div>
									<?php endif; ?>
									
									<div class="entry-body">  
                                        <h5 class="ys-entry-title entry-title">
                                            <a href="<?php echo esc_url($link) ?>"><?php echo esc_html($title) ?></a>
                                        </h5>
                                        
										<?php echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  ?>
                                        
                                        <?php 
										if ( has_excerpt($id) ) {
											echo jogasana_get_excerpt( $post_content, $excerpt_count_blog );
										}  ?>
                                        
                                    </div>

								</div>
								
								<?php } ?>

								<?php $i++; ?>

							<?php break; ?>

							
							<?php case 'ys-type-2': ?>
							
							<?php if ( $style == 'ys-big-thumbs' ) { ?>
							<div id="post-<?php echo (int) $id; ?>" class="entry <?php echo esc_attr($format_class) ?> <?php echo ( '' !== $css_animation ) ? Jogasana_Helper::create_data_string_animation( $css_animation, 0, '' ) : '' ?> ">

								<?php if ( is_sticky($id) ): ?>
									<?php printf( '<div class="sticky-post label-top">%s</div>', esc_html__( 'Featured', 'jogasana' ) ); ?>
								<?php endif; ?>
							
								<?php if ( !empty($before_content) && $post_format != 'link' && $post_format != 'quote' ): ?>
                                    <div class="thumbnail-attachment">
                                        <?php echo sprintf( '%s', $before_content ) ?>
										
										<?php  if($post_format != 'link' && $post_format != 'quote' && $post_format != 'audio') { ?>
											<?php if ( in_array('cats', $jogasana_settings['post-metas']) ) { ?>
												<?php $categories_post = get_the_category_list(' ', '', $id);?>
												<?php if ( !empty($categories_post) ): ?>
												<div class="entry-label">
												<?php echo wp_kses_post($categories_post); ?>	
												</div>
												<?php endif; ?>
											<?php  } ?>
										<?php  } ?>
										
                                    </div>
                                <?php endif; ?>
                                
                                <?php if( !empty($before_content) && ($post_format == 'quote') ) {
									echo '<div class="thumbnail-attachment testimonial-holder style-2">';
									echo "<div class='blockquote-holder testimonial' >";
									echo sprintf( '%s', $before_content ); 
									
										echo '<div class="entry-body"><div class="flex-row justify-content-between">';
										echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  
												echo jogasana_base_post_share_btn(get_the_ID());  
										echo '</div></div>';
									
									echo '</div>';
									echo '</div>';
								} ?>
								
								<?php if( !empty($before_content) && ($post_format == 'link') ) {
									echo '<div class="thumbnail-attachment"><div class="link-attachment">';
										echo sprintf( '%s', $before_content ); 
									
										echo '<div class="entry-body"><div class="flex-row justify-content-between">';
										echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  
												echo jogasana_base_post_share_btn(get_the_ID());  
										echo '</div></div>';
									echo '</div></div>';
								} ?>	

                                	<?php  if($post_format != 'link' && $post_format != 'quote') { ?>
                                     <div class="entry-body">  
                                        <h5 class="ys-entry-title entry-title">
                                            <a href="<?php echo esc_url($link) ?>"><?php echo esc_html($title) ?></a>
                                        </h5>
                                        
										<?php echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  ?>
                                        
                                        <?php 
										if ( has_excerpt($id) ) {
											echo jogasana_get_excerpt( $post_content, $excerpt_count_blog );
										} else {
											echo apply_filters( 'the_content', $content );
											wp_link_pages(array(
											'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages', 'jogasana' ) . ':</span>',
											'after'       => '</div>',
											'link_before' => '<span>',
											'link_after'  => '</span>',
											'pagelink'    => '%',
											'separator'   => ''
											));
										}  ?>
                                        
                                        <div class="flex-row justify-content-between">
										  <a href="<?php echo esc_url($link) ?>" class="btn btn-small btn-style-4"><?php echo esc_html__('Read More','jogasana') ?></a>
										  <?php echo jogasana_base_post_share_btn(get_the_ID());  ?>
										</div>
                                        
                                    </div>
									<?php  } ?>
									
								</div>
							
							<?php } elseif( $style == 'ys-small-thumbs' ) { ?>

							<div id="post-<?php echo (int) $id; ?>" class="entry <?php echo ( '' !== $css_animation ) ? Jogasana_Helper::create_data_string_animation( $css_animation, 0, '' ) : '' ?> <?php echo esc_attr($format_class) ?>">
								
								<?php if ( is_sticky($id) ): ?>
                                        <?php printf( '<div class="sticky-post label-top">%s</div>', esc_html__( 'Featured', 'jogasana' ) ); ?>
                                <?php endif; ?>
								
								<?php if ( !empty($before_content) && $post_format != 'link' && $post_format != 'quote' ){ ?>
                                    <div class="thumbnail-attachment">
                                        <?php echo sprintf( '%s', $before_content ) ?>
										
										<?php  if($post_format != 'link' && $post_format != 'quote' && $post_format != 'audio') { ?>
											<?php if ( in_array('cats', $jogasana_settings['post-metas']) ) { ?>
												<?php $categories_post = get_the_category_list(' ', '', $id);?>
												<?php if ( !empty($categories_post) ): ?>
												<div class="entry-label">
												<?php echo wp_kses_post($categories_post); ?>	
												</div>
												<?php endif; ?>
											<?php  } ?>
										<?php  } ?>
										
                                    </div>
                                <?php } ?>

								<?php if( !empty($before_content) && ($post_format == 'quote') ) {
									echo '<div class="thumbnail-attachment testimonial-holder style-2 full">';
									echo "<div class='blockquote-holder testimonial' >";
									echo sprintf( '%s', $before_content ); 
									
										echo '<div class="entry-body"><div class="flex-row justify-content-between">';
										echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  
												echo jogasana_base_post_share_btn(get_the_ID());  
										echo '</div></div>';
									
									echo '</div>';
									echo '</div>';
								} ?>
								
								<?php if( !empty($before_content) && ($post_format == 'link') ) {
									echo '<div class="thumbnail-attachment full"><div class="link-attachment">';
										echo sprintf( '%s', $before_content ); 
									
										echo '<div class="entry-body"><div class="flex-row justify-content-between">';
										echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                ));  
												echo jogasana_base_post_share_btn(get_the_ID());  
										echo '</div></div>';
									echo '</div></div>';
								} ?>	
								
							    <?php  if($post_format != 'link' && $post_format != 'quote') { ?>
                                    <div class="entry-body">  
                                        <h5 class="ys-entry-title entry-title">
                                            <a href="<?php echo esc_url($link) ?>"><?php echo esc_html($title) ?></a>
                                        </h5>
                                        
										<?php echo jogasana_blog_post_meta($id,
                                                array(
                                                    'author' => $show_author,
                                                    'date' => $show_date,
                                                    'comments' => $show_comments
                                                )); 
										?>
                                       
                                        <?php 
										if ( has_excerpt($id) ) {
											
											echo jogasana_get_excerpt( $post_content, $excerpt_count_blog );
										} else {
											echo apply_filters( 'the_content', $content );
											wp_link_pages(array(
											'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages', 'jogasana' ) . ':</span>',
											'after'       => '</div>',
											'link_before' => '<span>',
											'link_after'  => '</span>',
											'pagelink'    => '%',
											'separator'   => ''
											));
										}  ?>
                                        
                                        <div class="flex-row justify-content-between">
										  <a href="<?php echo esc_url($link) ?>" class="btn btn-small btn-style-4"><?php echo esc_html__('Read More','jogasana') ?></a>
										  <?php echo jogasana_base_post_share_btn(get_the_ID());  ?>
										</div>
                                        
                                    </div>
								<?php  } ?>
								
							</div>
 										
							<?php } ?>

								<?php $i++; ?>

							<?php break; ?>

						<?php endswitch; ?>

						<?php $post_loop ++; ?>

					<?php endforeach; ?>

					<?php wp_reset_postdata(); ?>

				<?php if ( $carousel && $layout == 'ys-type-1' ): ?>
				</div>
					<div class="owl-custom-buttons">
			        	<div class="custom-owl-prev"></div>
			        	<div class="custom-owl-next"></div>
			        </div>
				<?php endif; ?>
				
			</div>
            
			<?php if (  $use_link ) { 
					$attributes = array();
					$attributes[] = 'href="' . trim( $a_href ) . '"';
					$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
					if ( ! empty( $a_target ) ) {
						$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
					}
					if ( ! empty( $a_rel ) ) {
						$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
					}
					$attributes = implode( ' ', $attributes );
					
					echo '<div class="align-center" ><a class="btn btn-style-6" ' . $attributes . '>' . esc_attr($a_title) . '</a></div>';
				?>
					
				<?php } ?>
			
		</div>
		
		    <?php if ( !$carousel && $paginate == "pagination" && $jogasana_pagination = jogasana_pagination($entries) ) : ?>
			<div class="blog_pagination <?php echo esc_attr($pagination_align) ?>"> 
				<?php echo wp_kses_post($jogasana_pagination); ?>
			</div>	
			<?php endif; ?>
		

		<?php return ob_get_clean();
	}

	public function prepare_entries($params) {
		$this->loop = array();

		if ( empty($params )) $params = $this->atts;
		if ( empty($this->entries) || empty($this->entries->posts) ) return;

		$style = $params['style'];
		$layout = $params['layout'];
		$columns = $params['columns'];
		$carousel = $params['carousel'];
		$show_masonry = $params['show_masonry'];

		foreach ( $this->entries->posts as $key => $entry ) {
			$this->loop[$key]['id'] = $id = $entry->ID;
			$this->loop[$key]['link'] = get_permalink($id);
			$this->loop[$key]['title'] = get_the_title($id);
			$this->loop[$key]['sort_classes'] = $this->get_sort_class($id);
			$this->loop[$key]['post_format'] = $format = get_post_format($id) ? get_post_format($id) : 'standard';

			if ( $carousel ) {
				$format = 'standard';
			}

			$this->loop[$key]['image_size'] = jogasana_blog_alias( $format, '', $style, $layout, $columns, $id );
			
			$image_size_masonry = get_post_meta( $id, 'jogasana_image_size', true );
			
			if( $layout == 'ys-type-1' && $show_masonry && $image_size_masonry) {
			$this->loop[$key]['image_size'] = $image_size_masonry;
			}
			
			$this->loop[$key]['content'] = $entry->post_content;

			switch ( $format ) {
				case 'standard': $format_class = 'ys-image-entry-format'; break;
				case 'gallery':  $format_class = 'ys-slideshow-entry-format'; break;
				case 'video': 	 $format_class = 'ys-video-entry-format'; break;
				case 'link': 	 $format_class = 'ys-link-entry-format'; break;
				case 'audio': 	 $format_class = 'ys-audio-entry-format'; break;
				case 'quote': 	 $format_class = 'ys-quote-entry-format'; break;
				default: 		 $format_class = 'ys-image-entry-format'; break;
			}

			$this->loop[$key]['format_class'] = $format_class;

			$this_post = apply_filters( 'jogasana-entry-format-'. $format, $this->loop[$key] );

			$this->loop[$key]['post_content'] = has_excerpt( $id ) ? $entry->post_excerpt : $this_post['content'];

			if ( isset($this_post['before_content']) && !empty($this_post['before_content']) ) {
				$this->loop[$key]['before_content'] = $this_post['before_content'];
			}

		}
	}
}