<?php

class WPBakeryShortCode_VC_mad_brands_logo extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => "",
			'tag_title' => 'h2',
			'title_color' => '',
			'description'   => '',
			'title_align' => '',
			'description_align' => '',
			'images' => "",
			'links' => "",
			'carousel' => '',
			'autoplay' => '',
			'autoplaytimeout' => 5000,
			'css_animation' => ""
		), $atts, 'vc_mad_brands_logo');

		return $this->html();
	}

	public function html() {

		$wrapper_attributes = array();
		$css_classes = array('brand-holder');
		$title = $tag_title = $title_color = $description_color = $description = $images = $links = $carousel = $autoplay = $autoplaytimeout = $css_animation = '';

		extract($this->atts);

		$links = !empty($links) ? explode('|', $links) : '';
		$images = explode( ',', $images);

		if ( $carousel ) {
			$css_classes[] = 'brands-carousel';
			$css_classes[] = 'owl-carousel';
			$wrapper_attributes[] = 'data-timeout="' . esc_attr( $autoplaytimeout ) . '"';
			$wrapper_attributes[] = 'data-max-items="6"';
			$wrapper_attributes[] = 'data-item-margin="30"';
			$wrapper_attributes[] = 'data-autoplay="' . esc_attr( $autoplay ) . '"';
			$css_item = 'item-carousel brand-item';
		} else {
			$css_classes[] = 'row';
			$css_item = 'col-md-2 col-sm-4 col-6 col-no-space brand-item';
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, 0 );
		}

		ob_start(); ?>

		<div class="carousel-type-2 brand-box">
		
		<?php
		echo Jogasana_Vc_Config::getParamTitle(
			array(
				'title' => $title,
				'tag_title' => $tag_title,
				'description' => $description,
				'align' => $title_align,
				'align_des' => $description_align,
				'title_color' => $title_color,
				'description_color' => $description_color,
			)
		);
		?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?> >

			<?php $i = 0; $img = array(); ?>

			<?php foreach ( $images as $id => $attach_id ): ?>

				<?php if ( $attach_id > 0 ): ?>

					<?php $img = wpb_getImageBySize( array( 'attach_id' => (int) $attach_id, 'thumb_size' => 'large' ) ); ?>

				<?php else: ?>

					<?php $img['thumbnail'] = '<img alt="'. esc_attr__('image', 'jogasana') .'" src="' . vc_asset_url( 'vc/no_image.png' ) . '" />'; ?>

				<?php endif; ?>

				<?php $link = ( isset($links[$i]) && !empty($links[$i]) ) ? trim($links[$i]) : ''; ?>

				<div class="<?php echo esc_attr( $css_item ) ?>">
					<?php if ( isset($link) && !empty($link) ): ?>
						<a href="<?php echo esc_url($link) ?>" class="ys-brand ">
					<?php endif; ?>

						<?php echo wp_kses_post($img['thumbnail']); ?>

					<?php if ( isset($link) && !empty($link) ): ?>
						</a>
					<?php endif; ?>
				</div>

				<?php $i++; ?>

			<?php endforeach; ?>

		</div>

		</div>
		<?php return ob_get_clean();
	}

}