<?php

class WPBakeryShortCode_VC_mad_challenge extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' 	 => '',
			'subtitle' 	 => '',
			'tag_title'  => 'h2',
			'description' 	 => '',
			'title_color' => '',
			'description_color' => '',
			'title_align' => '',
			'description_align' => '',
			'items' => -1,
			'columns' => 2,
			'orderby' => 'date',
			'order' => 'DESC',
			'css_animation' => ''
		), $atts, 'vc_mad_challenge');

		return $this->html();
	}

	public function html() {

		$params = $this->atts;
		$wrapper_attributes = array();
		$items = $categories = $orderby = $order = $style = '';

		$title = $tag_title = $type = $columns = $filter = $pagination = '';
		$description = !empty($params['description']) ? $params['description'] : '';
		$title_color = !empty($params['title_color']) ? $params['title_color'] : '';
		$description_color = !empty($params['description_color']) ? $params['description_color'] : '';
		$css_animation = !empty($params['css_animation']) ? $params['css_animation'] : '';
		$title_align = !empty($params['title_align']) ? $params['title_align'] : '';
		$description_align = !empty($params['description_align']) ? $params['description_align'] : '';
		$paginate = !empty($atts['paginate']) ? $atts['paginate'] : 'pagination';
		$align_pagination = !empty($atts['align_pagination']) ? $atts['align_pagination'] : 'align-left';
		$columns = !empty($atts['columns']) ? $atts['columns'] : 2;

		extract($this->atts);

		$css_classes = array(
			'challenge', 'wpb_content_element', 'paginate_'.$paginate
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, 0 );
		}
		$counter = 0;
		
		$categories = get_categories( array(
		'parent'       => '',
		'orderby'      => $params['orderby'],
		'order'        => $params['order'],
		'hide_empty'   => 0,
		'exclude'      => '',
		'include'      => '',
		'number'       => $params['items'],
		'taxonomy'     => 'challenges',
		'pad_counts'   => false,
		) );

		ob_start(); ?>

		<?php if($categories) { ?>
		
		<div <?php echo implode( ' ', $wrapper_attributes ) ?> >
        	
			<?php if ( $subtitle != '' ): ?>
        	<h5 class="section-sub-title <?php echo esc_attr($title_align) ?>" <?php echo sprintf('%s', $style) ?>><?php echo esc_attr($subtitle) ?></h5>
            <?php endif; ?>

			<?php
			echo Jogasana_Vc_Config::getParamTitle(
				array(
					'title' => $title,
					'tag_title' => $tag_title,
					'description' => $description,
					'title_color' => $title_color,
					'align' => $title_align,
					'align_des' => $description_align,
					'description_color' => $description_color,
				)
			);
			
			?>
                
                <div class="challenges flex-row item-col-<?php echo esc_attr($columns) ?>">

					<?php foreach( $categories as $cat ){
						$id = $cat->term_id;
						$name = $cat->name;
						$content = $cat->description;
						$link  = get_category_link( $id );
						$post_count  = $cat->category_count;
						$thumb = get_metadata('challenges', $id, 'cat_image', true);
						$level = get_metadata('challenges', $id, 'level', true);
						?>
						
						<div class="item-col" >
                        	<div class="challenge-item">
                                <div class="bg-img" data-bg="<?php echo esc_url($thumb); ?>" ></div>
                            	<a href="<?php echo esc_url($link) ?>" class="link"></a>
								<div class="inner">
                
									<h3 class="item-title"><a href="<?php echo esc_url($link) ?>"><?php echo esc_html($name) ?></a></h3>
									<div class="our-info style-3">
										  
									  <div class="info-item">
										<i class="licon-play-circle"></i>
										<div class="wrapper">
										  <a href="<?php echo esc_url($link) ?>"><?php echo esc_html($post_count); ?> <?php echo esc_html__( 'Classes
', 'jogasana' ); ?></a>
										</div>
									  </div>
									  <div class="info-item">
										<i class="licon-signal"></i>
										<div class="wrapper">
										<?php if ( !empty($level) ){ ?>
											<?php 
											echo '<a href="'. esc_url($link) .'">'. esc_attr($level) .'</a>,';
											?>		
										<?php } ?>
										</div>
									  </div>
									
									</div>

								</div>
							
                            </div>
						</div>

					<?php } ?>
                    
                  </div>
				
		</div>	
		 
	<?php } ?>

		<?php return ob_get_clean();
	}

}