<?php

class WPBakeryShortCode_VC_mad_classes extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';
	public $settings = array();

	protected function content($atts, $content = null) {

		global $jogasana_config;
		$sidebar_position = isset($jogasana_config['sidebar_position']) ? $jogasana_config['sidebar_position'] : 'sp-no-sidebar';

		$this->atts = shortcode_atts(array(
			'title' => '',
			'tag_title' => 'h3',
			'description' => '',
			'title_color' => '',
			'item_bg_color' => '',
			'description_color' => '',
			'title_align' => '',
			'description_align' => '',
			'divider_color' => '',
			'divider' => '',
			'layout' => 'grid',
			'sort' => '',
			'categories' => array(),
			'orderby' => 'date',
			'order' => 'DESC',
			'columns' 	=> 3,
			'img_size' => 'jogasana-masonry1',
			'items' 	=> 6,
			'paginate' => 'none',
			'link_btn' => '',
			'align_pagination' => 'align-left',
			'css_animation' => '',
			'animation_delay' => 0,
			'autoplay' => '',
			'autoplaytimeout' => 5000,
		), $atts, 'vc_mad_classes');

		$this->query_entries();
		$html = $this->html();

		return $html;
	}

	protected function sort_links( $entries, $params ) {

		$categories = get_categories(array(
			'taxonomy'	=> 'class_category',
			'hide_empty'=> 0
		));
		$current_cats = array();
		$display_cats = is_array($params['categories']) ? $params['categories'] : array_filter(explode(',', $params['categories']));

		foreach ( $entries as $entry ) {
			if ( $current_item_cats = get_the_terms( $entry->ID, 'class_category' ) ) {
				if ( !empty($current_item_cats) ) {
					foreach ($current_item_cats as $current_item_cat) {
						if (empty($display_cats) || in_array($current_item_cat->term_id, $display_cats)) {
							$current_cats[$current_item_cat->term_id] = $current_item_cat->term_id;
						}
					}
				}
			}
		}

		$css_classes = array(
			'ys-classes-filter', 'content-element6'
		);

		$wrapper_attributes = array();
		if ( '' !== $params['css_animation'] ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $params['css_animation'], 0, '-80' );
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		ob_start(); ?>

		<!-- - - - - - - - - - - - - - Filter - - - - - - - - - - - - - - - - -->

		<div class="<?php echo esc_attr( trim($css_class) ) ?>" <?php echo implode( ' ', $wrapper_attributes ) ?>>
			
			<form role="search" method="get" action="<?php echo esc_url(home_url( '/' )); ?>">
			<?php
			$search_type = 'classes';
			$taxonomy = 'class_category';
			
			?>
			
			<div class="content-element3">		
				<input type="search"  name="s" value="<?php echo get_search_query() ?>" placeholder="<?php echo esc_attr__('Search Classes','jogasana') ?>">
				<input type="hidden" value="classes" name="post_type" />
			</div>
			
			<div class="content-element3">		
			<div class="classes-option flex-row align-items-end">
			
				<div class="item-form">	
				<?php 
				$args = array(
					'taxonomy' => 'class_level_category',
					'hide_empty' => 1,
					'hierarchical' => true,
					'depth' => 2,
					'title_li' => '',
					'orderby'=> 'name',
					'show_option_all' => esc_html__( 'Select All', 'jogasana' ),
					);

				$cats = get_categories($args); ?>
				<?php if($cats) { ?>
				<label><?php echo esc_html__( 'Level', 'jogasana' ) ?></label>
				<select name="class_level_category" class="taxonomies-filter-top chosen-select-search">
				<option value="0" ><?php echo esc_html__( 'Select All', 'jogasana' ) ?></option>
				<?php foreach ($cats as $cat) : ?>
				<option value="<?php echo esc_attr($cat->slug); ?>"><?php echo esc_html($cat->name); ?></option>
				<?php endforeach; ?>
				</select>
				<?php } ?>
				
				</div>
				
				<div class="item-form">	
				<?php 
				$args1 = array(
					'taxonomy' => 'class_category',
					'hide_empty' => 1,
					'hierarchical' => true,
					'depth' => 2,
					'title_li' => '',
					'orderby'=> 'name',
					'show_option_all' => esc_html__( 'Select All', 'jogasana' ),
					);

				$cats = get_categories($args1); ?>
				
				<?php if($cats) { ?>
				<label><?php echo esc_html__( 'Category', 'jogasana' ) ?></label>
				<select name="class_category" class="taxonomies-filter-top chosen-select-search">
				<option value="0" ><?php echo esc_html__( 'Select All', 'jogasana' ) ?></option>
				<?php foreach ($cats as $cat) : ?>
				<option value="<?php echo esc_attr($cat->slug); ?>"><?php echo esc_html($cat->name); ?></option>
				<?php endforeach; ?>
				</select>
				<?php } ?>
				
				</div>
				
				<div class="item-form">	
				<label><?php echo esc_html__( 'Duration', 'jogasana' ) ?></label>
				<input type="search"  name="jogasana_mp_duration" value="<?php echo get_search_query() ?>" placeholder="<?php echo esc_attr__('All','jogasana') ?>">
				</div>
				
				
				<div class="item-form">	
				<?php 
				$args2 = array(
					'taxonomy' => 'class_teacher_category',
					'hide_empty' => 1,
					'hierarchical' => true,
					'depth' => 2,
					'title_li' => '',
					'orderby'=> 'name',
					'show_option_all' => esc_html__( 'Select All', 'jogasana' ),
					);

				$cats2 = get_categories($args2); ?>
				<?php //if($cats2) { ?>
				<label><?php echo esc_html__( 'Teacher', 'jogasana' ) ?></label>
				<select name="class_teacher_category" class="taxonomies-filter-top chosen-select-search">
				<option value="0" ><?php echo esc_html__( 'All Teachers', 'jogasana' ) ?></option>
				<?php foreach ($cats2 as $cat) : ?>
				<option value="<?php echo esc_attr($cat->slug); ?>"><?php echo esc_html($cat->name); ?></option>
				<?php endforeach; ?>
				</select>
				<?php //} ?>
				</div>
				
				<div class="item-form">	
				<label><?php echo esc_html__( 'Focus', 'jogasana' ) ?></label>
				<select name="jogasana_mp_open" class="taxonomies-filter-top chosen-select-search">
				<option value="done" ><?php echo esc_html__( 'Done', 'jogasana' ) ?></option>
				<option value="open" ><?php echo esc_html__( 'Open', 'jogasana' ) ?></option>
				</select>
				</div>
				
				<div id="search-classes-button" >
				<button name="ref-search" type="submit" data-label="Search" class="btn btn-big btn-style-3"><?php echo esc_html__('Search','jogasana') ?></button>
                </div>
			
			</div>
			</div>
			
			</form>
		
		</div>

		<!-- - - - - - - - - - - - - - End of Filter - - - - - - - - - - - - - - - - -->

		<?php return ob_get_clean();
	}

	public function query_entries($params = array()) {

		if ( empty($params) ) $params = $this->atts;

		$tax_query = array();

		$page = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : get_query_var( 'page' );
		if ( !$page || $params['paginate'] == 'none' ) $page = 1;

		if ( !empty($params['categories']) ) {
			$categories = explode(',', $params['categories']);
			$tax_query = array(
				'relation' => 'AND',
				array(
					'taxonomy' => 'class_category',
					'field' => 'id',
					'terms' => $categories
				)
			);
		}

		$query = array(
			'post_type' => 'classes',
			'post_status'  => 'publish',
			'posts_per_page' => $params['items'],
			'orderby' => $params['orderby'],
			'order' => $params['order'],
			'paged' => $page,
			'tax_query' => $tax_query
		);

		$this->entries = new WP_Query($query);
		$this->prepare_entries($params);
	}

	public function html() {

		if ( empty($this->loop) ) return;

		$atts = $this->atts;
		extract($this->atts);
		
		$attributes = $wrapper_attributes = array();
		$title = !empty($atts['title']) ? $atts['title'] : '';
		$img_size = !empty($atts['img_size']) ? $atts['img_size'] : '334*312';
		$description = !empty($atts['description']) ? $atts['description'] : '';
		$tag_title = !empty($atts['tag_title']) ? $atts['tag_title'] : 'h2';
		$title_color = !empty($atts['title_color']) ? $atts['title_color'] : '';
		$item_bg_color = !empty($atts['item_bg_color']) ? $atts['item_bg_color'] : '';
		$title_align = !empty($atts['title_align']) ? $atts['title_align'] : '';
		$description_color = !empty($atts['description_color']) ? $atts['description_color'] : '';
		$description_align = !empty($atts['description_align']) ? $atts['description_align'] : '';
		$layout = !empty($atts['layout']) ? $atts['layout'] : 'grid';
		$columns = !empty($atts['columns']) ? $atts['columns'] : 4;
		$sort = $atts['sort'] == 'yes' ? true : false;
		$css_animation = !empty($atts['css_animation']) ? $atts['css_animation'] : '';
		$paginate = !empty($atts['paginate']) ? $atts['paginate'] : 'pagination';
		$align_pagination = !empty($atts['align_pagination']) ? $atts['align_pagination'] : 'align-left';
		$link_btn = !empty($atts['link_btn']) ? $atts['link_btn'] : '';

		$divider = $atts['divider'] == 'yes' ? true : false;
		$divider_color = !empty($atts['divider_color']) ? $atts['divider_color'] : '';
		if ( isset($divider_color) && !empty($divider_color) ) {
			$divider_color = 'style="' . vc_get_css_color( 'background', $divider_color ) . '"';
		}
		
		$css_classes = array(
			'ys-classes-holder',
			$layout, 
			'ys-paginate-' . $paginate
		);
		
		$defaults = array(
			'id' => '',
			'link' => '',
			'cur_terms' => '',
			'img_size' => $img_size
		);	
		
		if ( isset($item_bg_color) && !empty($item_bg_color) ) {
			$item_bg_color = 'style="' . vc_get_css_color( 'background', $item_bg_color ) . '"';
		}
		
		$link_btn = ($link_btn == '||') ? '' : $link_btn;
		$link_btn = vc_build_link($link_btn);
		$a_href = $link_btn['url'];
		$a_title = $link_btn['title'];
		( $link_btn['target'] != '' ) ? $a_target = $link_btn['target'] : $a_target = '_self';

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<div class="wpb_content_element ys_classes">

			<?php if ( $title != '' ) { ?>
			<div class="classes_title container">
			<?php
			echo Jogasana_Vc_Config::getParamTitle(
				array(
					'title' => $title,
					'tag_title' => $tag_title,
					'description' => $description,
					'title_color' => $title_color,
					'description_color' => $description_color,
					'align' => $title_align,
					'align_des' => $description_align,
				)
			);
			?>
			
			<?php	
			if ( $divider ) {	
			echo '<div class="icon-divider '. esc_attr($title_align) .'" ><i '. sprintf('%s', $divider_color) .' class="svg divider1"></i></div>';
			}
			 ?>
			 
			</div>
			<?php } ?>

			<div class="<?php echo esc_attr( trim($css_class) ) ?>" >

			<?php if ( $layout == 'carousel'  ): ?>
			<div class="owl-custom">
			<div class="carousel-type-2">
			<div class="owl-carousel flex-row entry-box" data-max-items="<?php echo esc_attr( $columns ) ?>" data-item-margin="30" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-timeout="<?php echo esc_attr($autoplaytimeout); ?>">
			
				<?php foreach ( $this->loop as $entry ): extract(array_merge($defaults, $entry));?>
				<?php 
				$teacher = get_post_meta($id, 'jogasana_mp_teacher', true);
				$teacher_position = get_post_meta($id, 'jogasana_mp_teacher_position', true);
				$teacher_image = get_post_meta($id, 'jogasana_mp_teacher_image', true);
				$teacher_info = get_post_meta($id, 'jogasana_mp_teacher_info', true);
				$teacher_video = get_post_meta($id, 'jogasana_mp_teacher_video', true);
				$open = get_post_meta($id, 'jogasana_mp_open', true);
				$duration = get_post_meta($id, 'jogasana_mp_duration', true);
				$video_class= '';
					if($teacher_video != '') {
					$video_class= 'video-holder';	
					}
				?>
				
				<div class="entry" <?php echo sprintf('%s', $item_bg_color) ?> >
				
					<div class="thumbnail-attachment <?php echo esc_attr($video_class) ?>">
						<?php echo Jogasana_Helper::get_the_post_thumbnail( $id, $img_size, true, array(), array( 'alt' => esc_attr($title) ) ); ?>
						<?php if($teacher_video != '') {?>
						<div class="overlay">
							<a href="<?php echo esc_url($teacher_video); ?>" class="video-btn size-2" data-fancybox="video"></a>
						</div>
						<?php } ?>
					</div>
					
					<div class="entry-body">
						<h5 class="entry-title">
							<a href="<?php echo esc_url($link) ?>"><?php echo esc_html($title) ?></a>
						</h5>
								<div class="flex-row justify-content-between align-items-center">
									<div class="entry-meta">
													
									    <?php $cur_terms = wp_get_post_terms($id, 'class_category'); ?>
										<?php if ( !empty($cur_terms) ): ?>
										
										<?php 
										foreach( $cur_terms as $cur_term ){
											echo '<a href="'. get_term_link( (int)$cur_term->term_id, $cur_term->taxonomy ) .'">'. esc_html($cur_term->name) .'</a> ';
										}
										?>		
										<?php endif; ?>
										
										<?php
											printf( '<span>%1$s</span><span class="entry-cat entry-author" >%2$s</span>',
														esc_html__('with ', 'jogasana'),
														$teacher
													);
										?>
											  
									</div>
									<div class="our-info">
										
									  <div class="info-item">
										<i class="licon-clock3"></i>
										<div class="wrapper">
										  <span><?php echo esc_html($duration) ?></span>
										</div>
									  </div>
									  
									  <?php $cur_tags = wp_get_post_terms($id, 'class_level_category'); ?>
									  <?php if ( !empty($cur_tags) ): ?>
									  <div class="info-item">
										<i class="licon-signal"></i>
										<div class="wrapper">
										  <?php 
											foreach( $cur_tags as $cur_tag ){
												echo '<a href="'. get_term_link( (int)$cur_tag->term_id, $cur_tag->taxonomy ) .'">'. esc_html($cur_tag->name) .'</a> ';
											}
											?>	
										</div>
									  </div>
									  <?php endif; ?>
									
									</div>
								</div>
					</div>
				
				
				</div>
				<?php endforeach; ?>
				
				<?php wp_reset_postdata(); ?>
				
			</div>
			
				<div class="owl-custom-buttons">
					<div class="custom-owl-prev"></div>
					<div class="custom-owl-next"></div>
				</div>
			
			
			<?php if ( !empty($a_href) ): ?>
					<div class="align-center btn-classes">
						<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-style-6" ><?php echo esc_html($a_title); ?></a>
					</div>
			<?php endif; ?>
			
			</div>
			</div>
			
			
			
			
			<?php elseif ( $layout == 'grid' ): ?>
			
			
				<?php if($sort) {
				echo sprintf( '%s', $this->sort_links( $this->entries->posts, $atts )); 
				}
				?>

				<?php 
				$i = 1; 
				?>

				<div class="content-element6">
				<div class="entry-box flex-row item-col-3" >

					<?php foreach ( $this->loop as $entry ): extract(array_merge($defaults, $entry));?>

					<?php 
					$teacher = get_post_meta($id, 'jogasana_mp_teacher', true);
					$teacher_position = get_post_meta($id, 'jogasana_mp_teacher_position', true);
					$teacher_image = get_post_meta($id, 'jogasana_mp_teacher_image', true);
					$teacher_info = get_post_meta($id, 'jogasana_mp_teacher_info', true);
					$teacher_video = get_post_meta($id, 'jogasana_mp_teacher_video', true);
					$open = get_post_meta($id, 'jogasana_mp_open', true);
					$duration = get_post_meta($id, 'jogasana_mp_duration', true);
					$video_class= '';
					if($teacher_video != '') {
					$video_class= 'video-holder';	
					}
					?>
						<!-- - - - - - - - - - - - - - Project - - - - - - - - - - - - - - - - -->

						<div class="entry-col">
						<div class="entry" <?php echo sprintf('%s', $item_bg_color) ?> >

							<div class="thumbnail-attachment <?php echo esc_attr($video_class) ?>">
								<?php echo Jogasana_Helper::get_the_post_thumbnail( $id, $img_size, true, array(), array( 'alt' => esc_attr($title) ) ); ?>
								<?php if($teacher_video != '') {?>
								<div class="overlay">
									<a href="<?php echo esc_url($teacher_video); ?>" class="video-btn size-2" data-fancybox="video"></a>
								</div>
								<?php } ?>
							</div>

							<div class="entry-body">
								<h6 class="entry-title">
									<a href="<?php echo esc_url($link) ?>"><?php echo esc_html($title) ?></a>
								</h6>
								<div class="flex-row justify-content-between align-items-center">
									<div class="entry-meta">
													
									    <?php $cur_terms = wp_get_post_terms($id, 'class_category'); ?>
										<?php if ( !empty($cur_terms) ): ?>
										
										<?php 
										foreach( $cur_terms as $cur_term ){
											echo '<a href="'. get_term_link( (int)$cur_term->term_id, $cur_term->taxonomy ) .'">'. esc_html($cur_term->name) .'</a> ';
										}
										?>		
										<?php endif; ?>
										
										<?php
											printf( '<span>%1$s</span><span class="entry-cat entry-author" >%2$s</span>',
														esc_html__('with ', 'jogasana'),
														$teacher
													);
										?>
											  
									</div>
									<div class="our-info">
										
									  <div class="info-item">
										<i class="licon-clock3"></i>
										<div class="wrapper">
										  <span><?php echo esc_html($duration) ?></span>
										</div>
									  </div>
									  
									  <?php $cur_tags = wp_get_post_terms($id, 'class_level_category'); ?>
									  <?php if ( !empty($cur_tags) ): ?>
									  <div class="info-item">
										<i class="licon-signal"></i>
										<div class="wrapper">
										  <?php 
											foreach( $cur_tags as $cur_tag ){
												echo '<a href="'. get_term_link( (int)$cur_tag->term_id, $cur_tag->taxonomy ) .'">'. esc_html($cur_tag->name) .'</a> ';
											}
											?>	
										</div>
									  </div>
									  <?php endif; ?>
									
									</div>
								</div>
							</div>
								

						</div>
						</div>
						
						<?php $i++; ?>

					<?php endforeach; ?>

					<?php wp_reset_postdata(); ?>

				</div>
				</div>

				<?php if ( $paginate == "pagination" && $jogasana_pagination = jogasana_pagination($this->entries) ) : ?>
					<div class="<?php echo esc_attr( $align_pagination ) ?>">
					<?php echo wp_kses_post($jogasana_pagination); ?>
					</div>
				<?php endif; ?>

				
				<?php if ( !empty($a_href) ): ?>
					<div class="align-center btn-classes">
						<a href="<?php echo esc_url($a_href); ?>" title="<?php echo esc_attr($a_title) ?>" target="<?php echo esc_attr($a_target) ?>" class="btn btn-style-6" ><?php echo esc_html($a_title); ?></a>
					</div>
				<?php endif; ?>
				
			<?php endif; ?>
				
				
			</div>

		</div>

		<?php return ob_get_clean();
	}

	public function prepare_entries($params) {
		$this->loop = array();

		if ( empty($params )) $params = $this->atts;
		if ( empty($this->entries) || empty($this->entries->posts) ) return;

		foreach ($this->entries->posts as $key => $entry) {
			$this->loop[$key]['id'] = $id = $entry->ID;
			$this->loop[$key]['link'] = get_permalink($id);
			$this->loop[$key]['title'] = get_the_title($id);
			$this->loop[$key]['cur_terms'] = get_the_terms( $id, 'class_category' );
			$this->loop[$key]['post_content'] = has_excerpt($id) ? $entry->post_excerpt : '';

		}

	}
	
}