<?php

class WPBakeryShortCode_VC_mad_classes_featured extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';
	public $settings = array();

	protected function content($atts, $content = null) {

		global $jogasana_config;
		$sidebar_position = isset($jogasana_config['sidebar_position']) ? $jogasana_config['sidebar_position'] : 'sp-no-sidebar';

		$this->atts = shortcode_atts(array(
			'title' => '',
			'item_id' => '',
			'css_animation' => '',
			'animation_delay' => 0,
		), $atts, 'vc_mad_classes_featured');

		$this->query_entries();
		$html = $this->html();

		return $html;
	}

	
	public function query_entries($params = array()) {

		if ( empty($params) ) $params = $this->atts;

		$query = array(
			'post_type' => 'classes',
			'post_status'  => 'publish',
			'p' => $params['item_id'],
		);

		$this->entries = new WP_Query($query);
		$this->prepare_entries($params);
	}

	public function html() {

		if ( empty($this->loop) ) return;

		$atts = $this->atts;
		$attributes = $wrapper_attributes = array();
		$title_featured = !empty($atts['title']) ? $atts['title'] : '';
		$css_animation = !empty($atts['css_animation']) ? $atts['css_animation'] : '';

		$css_classes = array(
			'ys-classes-featured'
		);
		
		$defaults = array(
			'id' => '',
			'link' => '',
			'cur_terms' => '',
			'post_content' => '',
		);	

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<div class="wpb_content_element align-center text-color-light <?php echo esc_attr( trim($css_class) ) ?>">

			
			<?php foreach ( $this->loop as $entry ): extract(array_merge($defaults, $entry));?>
				<?php 
				$teacher = get_post_meta($id, 'jogasana_mp_teacher', true);
				$teacher_position = get_post_meta($id, 'jogasana_mp_teacher_position', true);
				$teacher_image = get_post_meta($id, 'jogasana_mp_teacher_image', true);
				$teacher_info = get_post_meta($id, 'jogasana_mp_teacher_info', true);
				$teacher_video = get_post_meta($id, 'jogasana_mp_teacher_video', true);
				$open = get_post_meta($id, 'jogasana_mp_open', true);
				$duration = get_post_meta($id, 'jogasana_mp_duration', true);
				?>
				<div class="content-element4">
                  <div class="section-pre-title style-2"><?php echo esc_html($title_featured) ?></div>
                  
                  <h2 class="section-title no-bts"><?php echo esc_html($title) ?></h2>
                  
                    <div  class="btn btn-label">
				  
						<?php $cur_terms = wp_get_post_terms($id, 'class_category'); ?>
						<?php if ( !empty($cur_terms) ): ?>
						
						<?php 
						foreach( $cur_terms as $cur_term ){
							echo '<a href="'. get_term_link( (int)$cur_term->term_id, $cur_term->taxonomy ) .'">'. esc_html($cur_term->name) .'</a> ';
						}
						?>		
						<?php endif; ?>
						
						<?php
							printf( '<span>%1$s</span><a class="entry-cat entry-author" href="%2$s">%3$s</a>',
										esc_html__('with ', 'jogasana'),
										esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
										get_the_author()
									);
						?>
				  
				    </div>
                </div>
				
				<?php 
					echo jogasana_get_excerpt( $post_content, 100 );
				?>
				
				<div class="content-element4">
                    <div class="our-info">
										
					  <div class="info-item">
						<i class="licon-clock3"></i>
						<div class="wrapper">
						  <span><?php echo esc_html($duration) ?></span>
						</div>
					  </div>
					  
					  <?php $cur_tags = wp_get_post_terms($id, 'class_level_category'); ?>
					  <?php if ( !empty($cur_tags) ): ?>
					  <div class="info-item">
						<i class="licon-signal"></i>
						<div class="wrapper">
						  <?php 
							foreach( $cur_tags as $cur_tag ){
								echo '<a href="'. get_term_link( (int)$cur_tag->term_id, $cur_tag->taxonomy ) .'">'. esc_html($cur_tag->name) .'</a> ';
							}
							?>	
						</div>
					  </div>
					  <?php endif; ?>
					
					</div>
                </div>
				
				<?php if($teacher_video != '') { ?>
				<a href="<?php echo esc_url($teacher_video); ?>" class="btn btn-big btn-style-3" data-fancybox="video">
				<i class="licon-play-circle"></i>
				<?php echo esc_html__(' Watch Video', 'jogasana'); ?>
				</a>
				<?php } ?>
				
				<?php endforeach; ?>
				
				<?php wp_reset_postdata(); ?>
				
		</div>

		<?php return ob_get_clean();
	}

	public function prepare_entries($params) {
		$this->loop = array();

		if ( empty($params )) $params = $this->atts;
		if ( empty($this->entries) || empty($this->entries->posts) ) return;

		foreach ($this->entries->posts as $key => $entry) {
			$this->loop[$key]['id'] = $id = $entry->ID;
			$this->loop[$key]['link'] = get_permalink($id);
			$this->loop[$key]['title'] = get_the_title($id);
			$this->loop[$key]['cur_terms'] = get_the_terms( $id, 'mp-event_category' );
			$this->loop[$key]['post_content'] = has_excerpt($id) ? $entry->post_excerpt : '';

		}

	}
	
}