<?php

class WPBakeryShortCode_VC_mad_contact_info extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title'   => "",
			'phone'   => "",
			'mail' => "",
			'type' => "type1",
			'description_color' => "",
			'link' => "",
			'time' => "",
			'website' => "",
			'social_facebook' => "",
			'social_twitter' => "",
			'social_gplus' => "",
			'social_linkedin' => "",
			'social_instagram' => "",
			'social_youtube' => "",
			'social_pinterest' => "",
		), $atts, 'vc_mad_contact_info');

		$this->content = $content;
		
		return $this->html();
	}

	public function html() {

		$social_facebook = $social_twitter = $social_gplus = $social_linkedin = $social_instagram = $social_youtube = $social_pinterest = $type = $title = $style = $phone = $mail = $website = $time = '';

		extract($this->atts);
		
		$custom_links = ( '||' === $link ) ? '' :$link;
		$custom_links = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $custom_links['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $custom_links['url'];
			$a_title = $custom_links['title'];
			$a_target = $custom_links['target'];
			$a_rel = $custom_links['rel'];
		}
		
		if ( $description_color ) {
			$style = 'style="' . vc_get_css_color( 'color', $description_color ) . '"';
		}

		ob_start(); ?>

		<?php if ($type == 'type1') { ?>
		
		<div class="wpb_content_element contact_details contact_details_type1 map-info map-section">

			<?php if (!empty($title)) { ?>
			<h4 class="title"><?php echo esc_html($title); ?></h4>
			<?php } ?>
			
			<div class="our-info vr-type">
			
				<?php if (!empty($this->content)): ?>
				<div class="info-item">
				  <i class="licon-map-marker"></i>
				  <span class="post"><?php esc_html_e('Postal Address', 'jogasana') ?></span>
				  
					<?php echo wpb_js_remove_wpautop($this->content, true) ?>
				   
					<?php if ( $use_link ) {  ?>
					  <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="link-text" ><?php echo esc_html($a_title); ?></a>
					<?php }  ?>
				   
				</div>
				<?php endif; ?>
                 
                <?php if (!empty($phone)) { ?>
				<div class="info-item">
                  <i class="licon-telephone"></i>
				  <span class="post"><?php esc_html_e('Phone Number', 'jogasana') ?></span>
                 
                  <h6 content="telephone=no" <?php echo sprintf('%s', $style) ?>><?php echo rawurldecode( base64_decode($phone)); ?></h6>
                  
                </div>
				<?php } ?>
				
				<?php if (!empty($website)) { ?>
				<div class="info-item">
                  <i class="licon-link"></i>
				  <span class="post"><?php esc_html_e('Website', 'jogasana') ?></span>
                 
                  <h6  <?php echo sprintf('%s', $style) ?>><?php echo $website; ?></h6>
                  
                </div>
				<?php } ?>
				
                 <?php if (!empty($mail)) { ?>
				<div class="info-item">
                  <i class="licon-at-sign"></i>
				  <span class="post"><?php esc_html_e('Email Address', 'jogasana') ?></span>
                  <h6 <?php echo sprintf('%s', $style) ?>><?php echo rawurldecode( base64_decode($mail)); ?></h6>
                  
                </div>
				 <?php } ?>
				
                <?php if (!empty($time)) { ?>
				<div class="info-item">
                  <i class="licon-clock3"></i>
				  <span class="post"><?php esc_html_e('Opening Hours', 'jogasana') ?></span>
                  <h6 class="info-title" <?php echo sprintf('%s', $style) ?>><?php echo wpb_js_remove_wpautop($time, false); ?></h6>
                  
                </div>
				<?php } ?>
				
				<?php if (!empty($social_facebook) || !empty($social_twitter)  || !empty($social_gplus) || !empty($social_linkedin) || !empty($social_instagram) || !empty($social_youtube) || !empty($social_pinterest)  ) { ?>
				<div class="info-item">
                  <i class="licon-clock3"></i>
				  <span class="post"><?php esc_html_e('STAY CONNECTED', 'jogasana') ?></span>
                  
				  <ul class="social-icons var2 ls-none">
				  
				    <?php if ( $social_facebook != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_facebook); ?>"><i class="icon-facebook"></i></a></li>
					<?php endif; ?>
					
				    <?php if ( $social_twitter != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_twitter); ?>"><i class="icon-twitter"></i></a></li>
					<?php endif; ?>
				  
				   <?php if ( $social_gplus != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_gplus); ?>"><i class="icon-gplus-3"></i></a></li>
					<?php endif; ?>
					
				   <?php if ( $social_linkedin != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_linkedin); ?>"><i class="icon-linkedin"></i></a></li>
					<?php endif; ?>
					
				    <?php if ( $social_instagram != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_instagram); ?>"><i class="icon-instagram-5"></i></a></li>
					<?php endif; ?>
					
				   <?php if ( $social_youtube != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_youtube); ?>"><i class="icon-youtube-play"></i></a></li>
					<?php endif; ?>
				  
				  <?php if ( $social_pinterest != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_pinterest); ?>"><i class="icon-pinterest"></i></a></li>
					<?php endif; ?>
				  
				  </ul>
                  
                </div>
				<?php } ?>
				
			</div>	
        </div>  
		<?php } elseif ($type == 'type2') { ?>	

				<div class="wpb_content_element contact_details contact_details_type2">

			<?php if (!empty($title)) { ?>
			<h4 class="title"><?php echo esc_html($title); ?></h4>
			<?php } ?>
			
			<div class="our-info style-2 vr-type var2">
			
				<?php if (!empty($this->content)): ?>
				<div class="info-item">
				  <i class="licon-map-marker"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Postal Address', 'jogasana') ?></span></div>
				  
					<?php echo wpb_js_remove_wpautop($this->content, true) ?>
				   
					<?php if ( $use_link ) {  ?>
					  <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-small btn-style-6" ><?php echo esc_html($a_title); ?></a>
					<?php }  ?>
				   
				</div>
				<?php endif; ?>
                 
                <?php if (!empty($phone)) { ?>
				<div class="info-item">
                  <i class="licon-telephone"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Phone Number', 'jogasana') ?></span></div>
                 
                  <h5 class="info-title" content="telephone=no" <?php echo sprintf('%s', $style) ?>><?php echo rawurldecode( base64_decode($phone)); ?></h5>
                  
                </div>
				<?php } ?>
				
				<?php if (!empty($website)) { ?>
				<div class="info-item">
                  <i class="licon-link"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Website', 'jogasana') ?></span></div>
                 
                  <h5 class="info-title" <?php echo sprintf('%s', $style) ?>><?php echo $website; ?></h5>
                  
                </div>
				<?php } ?>
				
                <?php if (!empty($mail)) { ?>
				<div class="info-item">
                  <i class="licon-at-sign"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Email Address', 'jogasana') ?></span></div>
                  <h5 class="info-title" <?php echo sprintf('%s', $style) ?>><?php echo rawurldecode( base64_decode($mail)); ?></h5>
                  
                </div>
				<?php } ?>
				
                <?php if (!empty($time)) { ?>
				<div class="info-item">
                  <i class="licon-clock3"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Opening Hours', 'jogasana') ?></span></div>
                  <h5 class="info-title" <?php echo sprintf('%s', $style) ?>><?php echo wpb_js_remove_wpautop($time, false); ?></h5>
                  
                </div>
				<?php } ?>
				
				<?php if (!empty($social_facebook) || !empty($social_twitter)  || !empty($social_gplus) || !empty($social_linkedin) || !empty($social_instagram) || !empty($social_youtube) || !empty($social_pinterest)  ) { ?>
				<div class="info-item">
                  <i class="licon-clock3"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('STAY CONNECTED', 'jogasana') ?></span></div>
                  
				  <ul class="social-icons var2 ls-none">
				  
				    <?php if ( $social_facebook != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_facebook); ?>"><i class="icon-facebook"></i></a></li>
					<?php endif; ?>
					
				    <?php if ( $social_twitter != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_twitter); ?>"><i class="icon-twitter"></i></a></li>
					<?php endif; ?>
				  
				   <?php if ( $social_gplus != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_gplus); ?>"><i class="icon-gplus-3"></i></a></li>
					<?php endif; ?>
					
				   <?php if ( $social_linkedin != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_linkedin); ?>"><i class="icon-linkedin"></i></a></li>
					<?php endif; ?>
					
				    <?php if ( $social_instagram != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_instagram); ?>"><i class="icon-instagram-5"></i></a></li>
					<?php endif; ?>
					
				   <?php if ( $social_youtube != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_youtube); ?>"><i class="icon-youtube-play"></i></a></li>
					<?php endif; ?>
				  
				  <?php if ( $social_pinterest != '' ) : ?>
						<li ><a target="_blank" href="<?php echo esc_url($social_pinterest); ?>"><i class="icon-pinterest"></i></a></li>
					<?php endif; ?>
				  
				  </ul>
                  
                </div>
				<?php } ?>
				
			</div>	
        </div> 
				<?php } elseif ($type == 'type3') { ?>	

				<div class="wpb_content_element contact_details contact_details_type3">

			<?php if (!empty($title)) { ?>
			<h4 class="title"><?php echo esc_html($title); ?></h4>
			<?php } ?>
			
			<div class="our-info style-2 vr-type var2">
			
				 <?php if (!empty($phone)) { ?>
				<div class="info-item">
                   <div class="info-label">
				   <i class="licon-telephone"></i>
				   <div class="wrapper"><span class="info-cat"><?php esc_html_e('Phone Number', 'jogasana') ?></span></div>
				  </div>
                 
                  <h6 class="info-title" content="telephone=no" <?php echo sprintf('%s', $style) ?>><?php echo rawurldecode( base64_decode($phone)); ?></h6>
                  
                </div>
				<?php } ?>
				
				<?php if (!empty($website)) { ?>
				<div class="info-item">
                   <div class="info-label">
				   <i class="licon-link"></i>
				   <div class="wrapper"><span class="info-cat"><?php esc_html_e('Website', 'jogasana') ?></span></div>
				  </div>
                 
                  <h6 class="info-title" <?php echo sprintf('%s', $style); ?>><?php echo $website; ?></h6>
                  
                </div>
				<?php } ?>
				
				<?php if (!empty($this->content)): ?>
				<div class="info-item">
				  <div class="info-label">
				 <i class="licon-map-marker"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Postal Address', 'jogasana') ?></span></div>
				  </div>
				  
					<?php echo wpb_js_remove_wpautop($this->content, true) ?>
				   
					<?php if ( $use_link ) {  ?>
					  <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-small btn-style-6" ><?php echo esc_html($a_title); ?></a>
					<?php }  ?>
				</div>
				<?php endif; ?>
                 
                <?php if (!empty($mail)) { ?>
				<div class="info-item">
				 <div class="info-label">
                  <i class="licon-at-sign"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Email Address', 'jogasana') ?></span></div>
				  </div>
                  <h6 class="info-title" <?php echo sprintf('%s', $style) ?>><?php echo rawurldecode( base64_decode($mail)); ?></h6>
                  
                </div>
				<?php } ?>
				
                <?php if (!empty($time)) { ?>
				<div class="info-item">
                   <div class="info-label">
				  <i class="licon-clock3"></i>
				  <div class="wrapper"><span class="info-cat"><?php esc_html_e('Opening Hours', 'jogasana') ?></span></div>
				  </div>
                  <h6 class="info-title" <?php echo sprintf('%s', $style) ?>><?php echo wpb_js_remove_wpautop($time, false); ?></h6>
                  
                </div>
				<?php } ?>
				
			</div>	
        </div> 
		<?php }  ?>	

		<?php return ob_get_clean();
	}

}