<?php

class WPBakeryShortCode_VC_mad_counter extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'tag_title' => 'h2',
			'description' => '',
			'title_color' => '',
			'number_color' => '',
			'label_color' => '',
			'info_color' => '',
			'icon_color' => '',
			'type' => 'style-1',
			'description_color' => '',
			'info' => '',
			'values' => '',
			'css_animation' => ''
		), $atts, 'vc_mad_counter');

		$html = $this->html();

		return $html;
	}

	public function html() {

		$title = $tag_title = $description = $title_color = $number_color = $label_color = $info_color = $icon_color = $description_color = $info = $values = $icon = $css_animation = '';

		extract($this->atts);
		$values = (array) vc_param_group_parse_atts( $values );

		$css_classes = array(
			'ys-counters-holder'
		);
		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<?php if ( !empty($values) ): ?>

			<div class="wpb_content_element">

				<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

						<?php if ( !empty($title) ) { ?>
							<<?php echo esc_attr($tag_title); ?> <?php if($title_color != '') { ?>style="color:<?php echo esc_attr($title_color); ?>"<?php } ?> class="section-title"><?php echo esc_html($title); ?></<?php echo esc_attr($tag_title); ?> >
						<?php } ?>
                            
							<?php if ( !empty($description) ) { ?>
							<p <?php if($description_color != '') { ?>style="color:<?php echo esc_attr($description_color); ?>"<?php } ?> ><?php echo esc_html($description); ?></p>
							<?php } ?>
                    
                    <div class="counter-wrap item-col-4 <?php echo esc_attr($type); ?>">
	
					<?php foreach( $values as $value ): ?>

						<?php if ( isset($type) && $type == 'style-1' ) { ?>
						
						<?php if ( isset($value['icon']) ): ?>
							<?php $icon = trim($value['icon']); ?>
						<?php endif; ?>

                        <div class="counter">
                        	<div class="count-item">
                                 <?php if ( !empty($icon) ): ?>
                                 <span>
								  <i <?php if($icon_color != '') { ?>style="background:<?php echo esc_attr($icon_color); ?>"<?php } ?> class="<?php echo trim($value['icon']) ?>"></i>
                                 </span>
								 <?php endif; ?>
                                 
                                  <?php if ( isset($value['value']) ){ ?>
								  <h3 <?php if($number_color != '') { ?>style="color:<?php echo esc_attr($number_color); ?>"<?php } ?> class="timer count-number" data-to="<?php echo esc_attr($value['value']) ?>" data-speed="1500"><?php echo esc_html($value['value']) ?></h3>
								  <?php } ?>
								  
                                  <?php if ( isset($value['label']) ){ ?>
								  <p <?php if($label_color != '') { ?>style="color:<?php echo esc_attr($label_color); ?>"<?php } ?> class="pre"><?php echo esc_html($value['label']) ?></p>
								  <?php } ?>
                            
							</div>
							
                               <?php if ( isset($value['info']) ){ ?>
							   <p <?php if($info_color != '') { ?>style="color:<?php echo esc_attr($info_color); ?>"<?php } ?> ><?php echo esc_html($value['info']) ?></p>
							   <?php } ?>
							   
						
						</div>
						
						<?php } else { ?>
						
						<?php if ( isset($value['icon']) ): ?>
							<?php $icon = trim($value['icon']); ?>
						<?php endif; ?>

                        <div class="counter">
                        	<div class="count-item">
                                 <?php if ( !empty($icon) ): ?>
                                 <span>
								  <i <?php if($icon_color != '') { ?>style="background:<?php echo esc_attr($icon_color); ?>"<?php } ?> class="<?php echo trim($value['icon']) ?>"></i>
                                 </span>
								 <?php endif; ?>
								  
								  <?php if ( isset($value['value']) ){ ?>
								  <h3 <?php if($number_color != '') { ?>style="color:<?php echo esc_attr($number_color); ?>"<?php } ?> class="timer count-number" data-to="<?php echo esc_attr($value['value']) ?>" data-speed="1500"><?php echo esc_html($value['value']) ?></h3>
								  <?php } ?>
                                 
                                  <?php if ( isset($value['label']) ){ ?>
								  <p <?php if($label_color != '') { ?>style="color:<?php echo esc_attr($label_color); ?>"<?php } ?> class="pre"><?php echo esc_html($value['label']) ?></p>
								  <?php } ?>
                                 
                            </div>
							
								<?php if ( isset($value['info']) ){ ?>
                               <p <?php if($info_color != '') { ?>style="color:<?php echo esc_attr($info_color); ?>"<?php } ?> ><?php echo esc_html($value['info']) ?></p>
							   <?php } ?>
						
						</div>
						
						<?php } ?>

					<?php endforeach; ?>
						
					</div>
		
				</div>

			</div>

		<?php endif; ?>

		<?php return ob_get_clean();
	}

}