<?php

class WPBakeryShortCode_VC_mad_cta extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';
	
	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'subtitle' => '',
			'title' => '',
			'title_color' => '',
			'subheading_text_color' => '',
			'type' => 'type1',
			'link' => '',
			'image1' => '',
			'custom_button_color' => '',
			'custom_bg_color' => '',
			'second_link' => '',
			'css_animation' => '',
		), $atts, 'vc_mad_banner');

		return $this->html($content);
	}
	
	public function html($content) {

		$wrapper_attributes = array();
		$title = $subtitle = $image1 = $second_link = $style = $style2 = $style3 = $css_animation = '';

		extract($this->atts);
		
		$css_classes = array(
			'ys-cta-area', $type
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		$custom_links = ( '||' === $link ) ? '' :$link;
		$custom_links = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $custom_links['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $custom_links['url'];
			$a_title = $custom_links['title'];
			$a_target = $custom_links['target'];
			$a_rel = $custom_links['rel'];
		}
		
		$attach_id = preg_replace('/[^\d]/', '', $image1);
		$alt1 = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
		$img1 =  wp_get_attachment_image_src( $attach_id, 'full' );
		if ( $img1 == null ) {
			$img_large1 =  '';
		} else {
			$img_large1 = $img1[0];
		}
		
		if ( $title_color ) {
			$style = 'style="' . vc_get_css_color( 'color', $title_color ) . '"';
		}
		if ( $subheading_text_color ) {
			$style2 = 'style="' . vc_get_css_color( 'color', $subheading_text_color ) . '"';
		}
		if ( $custom_button_color ) {
			$style3 = 'style="' . vc_get_css_color( 'color', $custom_button_color ) . '"';
		}
		if ( $custom_bg_color ) {
			$style4 = 'style="' . vc_get_css_color( 'background', $custom_bg_color ) . '"';
		}
		
		ob_start(); ?>
		
		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
        
			<?php if ( $type == 'type1' ): ?>
			<div class="call-out bg-section" data-bg="<?php echo esc_url($img_large1); ?>" <?php echo sprintf('%s', $style4) ?>>
			
			<div class="container"  >
			  <div class="col-lg-7 col-md-12">
                
                <div class="align-center">
                  <h2 class="call-title var2" <?php echo sprintf('%s', $style) ?>><?php echo esc_html($title); ?></h2>
                  <p <?php echo sprintf('%s', $style2) ?>><?php echo wp_kses_post($subtitle); ?></p>
				  
				  <?php if ( $use_link ) {  ?>
                  <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-style-6 btn-big" <?php echo sprintf('%s', $style3) ?>><?php echo esc_html($a_title); ?></a>
				  <?php }  ?>
				   
                </div>

              </div>
            </div>
			
            </div>
			<?php elseif ( $type == 'type2' ): ?>
			<div class="call-out parallax-section size-2" data-bg="<?php echo esc_url($img_large1); ?>" <?php echo sprintf('%s', $style4) ?>>
			<div class="container"  >
			
			<div class="row align-items-center"  >
			  <div class="col-lg-6 offset-lg-6">
                
                  <h2 class="call-title" <?php echo sprintf('%s', $style) ?>><?php echo esc_html($title); ?></h2>
                  <p  class="content-element4 text-size-small" <?php echo sprintf('%s', $style2) ?>><?php echo wp_kses_post($subtitle); ?></p>
				  
				  <?php if ( $use_link ) {  ?>
                  <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-style-3 btn-big" <?php echo sprintf('%s', $style3) ?>><?php echo esc_html($a_title); ?></a>
				  <?php }  ?>
				 
              </div>
            </div>
			
			</div>
			</div>
			<?php elseif ( $type == 'type3' ): ?>
			<div class="call-out wide bg-section" data-bg="<?php echo esc_url($img_large1); ?>" <?php echo sprintf('%s', $style4) ?>>
			<div class="container"  >
			
			<div class="row align-items-center"  >
			  <div class="col-lg-8 col-md-12">
                
                  <h2 class="call-title var2" <?php echo sprintf('%s', $style) ?>><?php echo esc_html($title); ?></h2>
                  <p <?php echo sprintf('%s', $style2) ?>><?php echo wp_kses_post($subtitle); ?></p>
				  
              </div>
			  
			  <div class="col-lg-4 col-md-12">
                  <?php if ( $use_link ) {  ?>
                  <div class="align-right">
                    <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-style-6 btn-lg" <?php echo sprintf('%s', $style3) ?>><?php echo esc_html($a_title); ?></a>
                  </div>
				  <?php }  ?>
                </div>

            </div>
			
			</div>
			</div>
			
			<?php elseif ( $type == 'type4' ): ?>
			<div class="call-out parallax-section size-2 wide text-color-dark" data-bg="<?php echo esc_url($img_large1); ?>" <?php echo sprintf('%s', $style4) ?>>
			<div class="container"  >
			
			<div class="align-center"  >
			  <div class="content-element3">
                
                  <h1 class="call-title" <?php echo sprintf('%s', $style) ?>><?php echo esc_html($title); ?></h1>
                  <p <?php echo sprintf('%s', $style2) ?>><?php echo wp_kses_post($subtitle); ?></p>
				  
              </div>
			  
			  <div class="content-element1">
			      <?php if ( $use_link ) {  ?>
                  <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-style-3 btn-lg" <?php echo sprintf('%s', $style3) ?>><?php echo esc_html($a_title); ?></a>
				  <?php }  ?>
              </div>
			  <span><?php echo esc_html($second_link); ?></span>

            </div>
			
			</div>
			</div>
			
			<?php elseif ( $type == 'type5' ): ?>
			<div class="call-out var2 bg-section" data-bg="<?php echo esc_url($img_large1); ?>" <?php echo sprintf('%s', $style4) ?>>
			<div class="container"  >
			
			<div class="row align-items-center"  >
			  <div class="col-lg-8 col-md-12">
                
                  <h2 class="call-title var2" <?php echo sprintf('%s', $style) ?>><?php echo esc_html($title); ?></h2>
                  <p <?php echo sprintf('%s', $style2) ?>><?php echo wp_kses_post($subtitle); ?></p>
				  
              </div>
			  
			  <div class="col-lg-4 col-md-12">
                  <?php if ( $use_link ) {  ?>
                  <div class="align-right">
                    <a href="<?php echo esc_url($a_href); ?>" target="<?php echo esc_attr($a_target); ?>" class="btn btn-style-6 btn-lg" <?php echo sprintf('%s', $style3) ?>><?php echo esc_html($a_title); ?></a>
                  </div>
				  <?php }  ?>
                </div>

            </div>
			
			</div>
			</div>
			
			<?php endif; ?>
        	
		</div>

		<?php return ob_get_clean();	
	}	


}