<?php

class WPBakeryShortCode_VC_mad_custom_title extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => '',
			'tag_title' 	 => 'h2',
			'title_color' => '',
			'divider_color' => '',
			'top_title' => '',
			'type_divider' => 'type-1',
			'divider' => '',
			'title_align' => '',
			'css_animation' => '',
			'margin_bottom_title' => 0,
			'margin_bottom_description' => 0,
			'animation_delay' => 0,
			'scroll_factor' => ''
		), $atts, 'vc_mad_custom_title');

		$this->content = $content;
		$html = $this->html();

		return $html;
	}

	protected function html() {

		$title = $style = $output = $top_title = $class = $css_animation = $animation = $animation_delay = $scroll_factor = "";

		extract($this->atts);
		
		ob_start();

		$position = $style_title = $margin_title = $margin_description = '';

			if ( '' !== $css_animation  ) {
				$animation = Jogasana_Helper::create_data_string_animation( $css_animation, $animation_delay, $scroll_factor );
			}
			
			if ( $title_color ) {
				$style_title = 'style="' . vc_get_css_color( 'color', $title_color ) . '"';
			}
			
			if ( $margin_bottom_title ) {
				$margin_title = 'style="margin-bottom:' . $margin_bottom_title . 'px"';
			}
			if ( $margin_bottom_description ) {
				$margin_description = 'style="margin-bottom:' . $margin_bottom_description . 'px"';
			}
			
			if ( isset($title) && !empty($title) ) {
				$position .= ' with_title ';
			} else {
				$position .= ' no_title ';
			}
			
			if ( isset($divider_color) && !empty($divider_color) ) {
				$position .= ' with_divider ';
					$divider_color = 'style="' . vc_get_css_color( 'background', $divider_color ) . '"';
				}

			echo  "<div class='wpb_content_element custom-title ". esc_attr($position) ."' ". $animation .">";
			
			if ( $top_title != '') {	
			echo '<div class="section-pre-title">'. esc_html($top_title) .'</div>';
			}
			
			echo  '<div class="custom-title-inner '. esc_attr($title_align) .'" '.$margin_title.'>';
			
			if ( $title != '') {	
			echo  '<'. esc_attr($tag_title) .' '.$style_title.' class="section-title" >'.wp_kses_post($title).'</'. esc_attr($tag_title) .'>';
			}

				
			if ( $divider && $type_divider == 'type-1') {	
			echo '<div class="icon-divider '. esc_attr($title_align) .'" ><i '. sprintf('%s', $divider_color) .' class="svg divider1"></i></div>';
			} elseif ( $divider && $type_divider == 'type-2') {	
			echo '<div class="icon-divider '. esc_attr($title_align) .'" ><i '. sprintf('%s', $divider_color) .' class="svg divider2"></i></div>';
			}
			
			echo '</div>';	
			
			echo  '<div class="content_inner text-size-medium" '.$margin_description.' >';
			echo  wpb_js_remove_wpautop($this->content, true);
			echo '</div>';
			echo '</div>';
		

		return ob_get_clean();
	}

}