<?php

class WPBakeryShortCode_VC_mad_events extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'subtitle' 	 => '',
			'title' 	 => '',
			'tag_title'  => 'h2',
			'title_color' => '',
			'description_color' => '',
			'title_align' => '',
			'image1' => '',
			'image2' => '',
			'layout' => 'type-1',
			'link' => '',
			'columns' => '2',
			'items' => -1,
			'categories' => array(),
			'orderby' => 'date',
			'order' => 'DESC',
			'autoplay' => '',
			'pagination' => '',
			'autoplaytimeout' => 5000,
			'css_animation' => ''
		), $atts, 'vc_mad_events');

		return $this->html();
	}

	public function query_entries() {
		$params = $this->atts;
		$page = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : get_query_var( 'page' );
		if (!$page || $params['pagination'] == 'none') $page = 1;

		$tax_query = array();

		if ( !empty($params['categories']) ) {
			$categories = explode(',', $params['categories']);
			$tax_query = array(
				'relation' => 'AND',
				array(
					'taxonomy' => 'tribe_events_cat',
					'field' => 'id',
					'terms' => $categories
				)
			);
		}

		$query = array(
			'post_type' => 'tribe_events',
			'orderby' => $params['orderby'],
			'order' => $params['order'],
			'paged' => $page,
			'posts_per_page' => $params['items'],
			'tax_query' 	 => $tax_query
		);

		$this->entries = new WP_Query($query);
	}

	public function html() {

		if ( ! function_exists('tribe_get_venue_details')  ) return;
		
		global $post;
		
		$params = $this->atts;
		
		$tax_query = array();

		if ( !empty($params['categories']) ) {
			$categories = explode(',', $params['categories']);
			$tax_query = array(
				'relation' => 'AND',
				array(
					'taxonomy' => 'tribe_events_cat',
					'field' => 'id',
					'terms' => $categories
				)
			);
		}
		
		$myposts = tribe_get_events( array(
		'posts_per_page' => $params['items'],
		'orderby' => $params['orderby'],
		'order' => $params['order'],
		'tax_query' 	 => $tax_query,
		'start_date' => date( 'Y-m-d H:i:s' )
		) );

		$items_length = count($myposts);
		if(empty($myposts)) return; 


		$wrapper_attributes = array();
		$layout = $items = $categories = $orderby = $order = $image1 = $image2 = $style = $autoplay = $autoplaytimeout = '';

		$title = $tag_title = $columns = $filter = $pagination = '';
		$title_color = !empty($params['title_color']) ? $params['title_color'] : '';
		$description_color = !empty($params['description_color']) ? $params['description_color'] : '';
		$css_animation = !empty($params['css_animation']) ? $params['css_animation'] : '';
		
		$title_align = !empty($params['title_align']) ? $params['title_align'] : '';
		
		extract($this->atts);

		$attach_id1 = preg_replace('/[^\d]/', '', $image1);
		$alt1 = trim( strip_tags( get_post_meta( $attach_id1, '_wp_attachment_image_alt', true ) ) );
		$img1 =  wp_get_attachment_image_src( $attach_id1, 'full' );
		if ( $img1 == null ) {
			$img_large1 =  '';
		} else {
			$img_large1 = $img1[0];
		}
		
		$attach_id2 = preg_replace('/[^\d]/', '', $image2);
		$alt2 = trim( strip_tags( get_post_meta( $attach_id2, '_wp_attachment_image_alt', true ) ) );
		$img2 =  wp_get_attachment_image_src( $attach_id2, 'full' );
		if ( $img2 == null ) {
			$img_large2 =  '';
		} else {
			$img_large2 = $img2[0];
		}
		
		$custom_links = ( '||' === $link ) ? '' :$link;
		$custom_links = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $custom_links['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $custom_links['url'];
			$a_title = $custom_links['title'];
			$a_target = $custom_links['target'];
			$a_rel = $custom_links['rel'];
		}
		
		$css_classes = array(
			'ys_events_slider', 'wpb_content_element', 'col_'.$columns, $layout
		);
		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, 0 );
		}
		
		if ( $title_color ) {
			$style = 'style="' . vc_get_css_color( 'color', $title_color ) . '"';
		}
		if ( $description_color ) {
			$style2 = 'style="' . vc_get_css_color( 'color', $description_color ) . '"';
		}

		$col_classes = '';
		switch ( $columns ) {
			case '2':
				$col_classes = 'item col-md-6 col-sm-12';
				break;
			case '3':
				$col_classes = 'item col-md-4 col-sm-12';
				break;
			case '4':
				$col_classes = 'item col-md-3 col-sm-12';
				break;	
		}
		
		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

			
			<?php if ( $layout == 'type-1' ) { ?>
			
			<?php if ( $subtitle != '' ) { ?>
        	<div class="section-pre-title <?php echo esc_attr($title_align) ?>" <?php echo sprintf('%s', $style2) ?>><?php echo esc_html($subtitle) ?></div>
            <?php } ?>
			
			
			<?php if ( $title != '' ) { ?>
			
				<?php
				echo Jogasana_Vc_Config::getParamTitle(
					array(
						'title' => $title,
						'tag_title' => $tag_title,
						'title_color' => $title_color,
						'align' => $title_align,
					)
				);
				?>
				<div class="icon-divider <?php echo esc_attr($title_align) ?>"><i class="svg divider1"></i></div>
			
			<?php } ?>
            
              <div class="carousel-type-2">
              <div class="<?php if($items_length > 2) { echo 'owl-carousel'; } else { echo $col_classes; } ?> flex-row entry-box style-2" data-max-items-min="<?php echo esc_attr($columns) ?>" data-max-items="<?php echo esc_attr($columns) ?>" data-item-margin="30" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-timeout="<?php echo esc_attr($autoplaytimeout); ?>">

				<?php foreach( $myposts as $post ) : setup_postdata($post);
						$id = $post->ID;
						$name = get_the_title($id);
						$link = get_permalink($id);
						$currency = get_post_meta( $id, 'jogasana_coupon_currency', true );
						$venue_details = tribe_get_venue_details($id);
						$event_day = tribe_get_start_date( $id, false, 'D M y' );
						$event_day_time = tribe_get_start_date( $id, false, DATE_W3C );
						$thumbnail_size = 'post-thumbnail';
						$post_thumbnail = get_the_post_thumbnail( $id, $thumbnail_size );
						?>
						
						<div class="item-carousel entry">
                       
							<div class="thumbnail-attachment">
							  <a href="<?php echo esc_url($link) ?>">
							  <?php echo tribe_event_featured_image( $id, 'jogasana-gallery-small', false ) ?>
							  </a>
							</div>

							<div class="entry-body">

							  <h6 class="entry-title"><a href="<?php echo esc_url($link) ?>"><?php echo esc_html($name); ?></a></h6>
							  <div class="our-info vr-type">

								<div class="info-item">
								  <i class="licon-clock3"></i>
								  <div class="wrapper">
									<span><?php echo tribe_events_event_schedule_details($id) ?></span>
								  </div>
								</div>
								<div class="info-item">
								  <i class="licon-map-marker"></i>
								  <div class="wrapper">
									<span><?php
											$address_delimiter =' ';
											echo implode( $address_delimiter, $venue_details );
										?></span>
								  </div>
								</div>

							  </div>

							  <div class="entry-price">

								<!-- Event Cost -->
								<?php if ( tribe_get_cost($id) ) { ?>
									<span class="product-price"><?php echo tribe_get_cost( $id, true ); ?></span>
								<?php } else { ?>
									<span class="product-price free"><?php esc_html_e( 'Free', 'jogasana' ) ?></span>
								<?php } ?>
								
								<a href="<?php echo esc_url($link) ?>" class="btn btn-small"><?php esc_html_e( 'Register', 'jogasana' ) ?></a>

							  </div>

							</div>
	
						</div>

					<?php endforeach; ?>

                </div>
                </div>
				
				
					<?php if ( $use_link ) { 
								$attributes = array();
								$attributes[] = 'href="' . trim( $a_href ) . '"';
								$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
								if ( ! empty( $a_target ) ) {
									$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
								}
								if ( ! empty( $a_rel ) ) {
									$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
								}
								$attributes = implode( ' ', $attributes );
					
								echo '<div class="events-btn '. esc_attr($title_align) .'"><a class="btn btn-style-6" ' . $attributes . '>' . esc_html($a_title) . '</a></div>';
						} ?>

			<?php } elseif ( $layout == 'type-2' ) { ?>
				
		<div class="page-section-bg half-bg-col text-color-light">

        <div class="img-col-left"><div class="col-bg" data-bg="<?php echo esc_url($img_large1); ?>" ></div></div>
        <div class="img-col-right"><div class="col-bg" data-bg="<?php echo esc_url($img_large2); ?>" ></div></div>

        <div class="container wide2">

          <div class="row align-content-center">

            <div class="col-lg-5">

              <div class="content-element4">

                <?php if ( $subtitle != '' ): ?>
				<div class="section-pre-title <?php echo esc_attr($title_align) ?>" <?php echo sprintf('%s', $style2) ?>><?php echo esc_html($subtitle) ?></div>
				<?php endif; ?>
				
               <?php
				echo Jogasana_Vc_Config::getParamTitle(
					array(
						'title' => $title,
						'tag_title' => $tag_title,
						'title_color' => $title_color,
						'align' => $title_align,
					)
				);
				?>

              </div>

              <div class="carousel-type-2">

                <div class="<?php if($items_length > 1) { echo 'owl-carousel'; } ?>   flex-row entry-box style-2" data-max-items-min="1" data-max-items="<?php echo esc_attr($columns) ?>" data-item-margin="30" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-timeout="<?php echo esc_attr($autoplaytimeout); ?>">

				  	<?php foreach( $myposts as $post ) : setup_postdata($post);
						$id = $post->ID;
						$name = get_the_title($id);
						$link = get_permalink($id);
						$currency = get_post_meta( $id, 'jogasana_coupon_currency', true );
						$venue_details = tribe_get_venue_details($id);
						$event_day = tribe_get_start_date( $id, false, 'D M y' );
						$event_day_time = tribe_get_start_date( $id, false, DATE_W3C );
						$thumbnail_size = 'post-thumbnail';
						$post_thumbnail = get_the_post_thumbnail( $id, $thumbnail_size );
						?>
						
						<div class="item-carousel entry">
                       
							<div class="thumbnail-attachment">
							  <a href="<?php echo esc_url($link) ?>">
							  <?php echo tribe_event_featured_image( $id, 'jogasana-gallery-small', false ) ?>
							  </a>
							</div>

							<div class="entry-body">

							  <h6 class="entry-title"><a href="<?php echo esc_url($link) ?>"><?php echo esc_html($name); ?></a></h6>
							  <div class="our-info vr-type">

								<div class="info-item">
								  <i class="licon-clock3"></i>
								  <div class="wrapper">
									<span><?php echo tribe_events_event_schedule_details($id) ?></span>
								  </div>
								</div>
								<div class="info-item">
								  <i class="licon-map-marker"></i>
								  <div class="wrapper">
									<span><?php
											$address_delimiter =' ';
											echo implode( $address_delimiter, $venue_details );
										?></span>
								  </div>
								</div>

							  </div>

							  <div class="entry-price">

								<?php if ( tribe_get_cost($id) && tribe_get_cost( $id, true ) != 'Free' ) { ?>
									<span class="product-price"><?php echo tribe_get_cost( $id, true ); ?></span>
								<?php } else { ?>
									<span class="product-price free"><?php esc_html_e( 'Free', 'jogasana' ) ?></span>
								<?php } ?>
								
								<a href="<?php echo esc_url($link) ?>" class="btn btn-small"><?php esc_html_e( 'Register', 'jogasana' ) ?></a>

							  </div>

							</div>
	
						</div>

					<?php endforeach; ?>
					
				</div>
				
					<?php if ( $use_link ) { 
								$attributes = array();
								$attributes[] = 'href="' . trim( $a_href ) . '"';
								$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
								if ( ! empty( $a_target ) ) {
									$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
								}
								if ( ! empty( $a_rel ) ) {
									$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
								}
								$attributes = implode( ' ', $attributes );
					
								echo '<div class="events-btn"><a class="btn btn-style-2" ' . $attributes . '>' . esc_html($a_title) . '</a></div>';
						} ?>

              </div>

            </div>
            <div class="col-lg-6 offset-lg-1"></div>

          </div>

        </div>

        </div>
				
		<?php } elseif ( $layout == 'type-3' ) { ?>
			
			<?php if ( $subtitle != '' ) { ?>
        	<div class="section-pre-title <?php echo esc_attr($title_align) ?>" <?php echo sprintf('%s', $style2) ?>><?php echo esc_html($subtitle) ?></div>
            <?php } ?>
			
			
			<?php if ( $title != '' ) { ?>
			
				<?php
				echo Jogasana_Vc_Config::getParamTitle(
					array(
						'title' => $title,
						'tag_title' => $tag_title,
						'title_color' => $title_color,
						'align' => $title_align,
					)
				);
				?>
				<div class="icon-divider <?php echo esc_attr($title_align) ?>"><i class="svg divider1"></i></div>
			
			<?php } ?>
            
              <div class="grid-ewents ">
              <div class=" flex-row item-col-<?php  echo $columns;  ?> entry-box style-2" >

				<?php foreach( $myposts as $post ) : setup_postdata($post);
						$id = $post->ID;
						$name = get_the_title($id);
						$link = get_permalink($id);
						$currency = get_post_meta( $id, 'jogasana_coupon_currency', true );
						$venue_details = tribe_get_venue_details($id);
						$event_day = tribe_get_start_date( $id, false, 'D M y' );
						$event_day_time = tribe_get_start_date( $id, false, DATE_W3C );
						$thumbnail_size = 'post-thumbnail';
						$post_thumbnail = get_the_post_thumbnail( $id, $thumbnail_size );
						?>
						
						<div class="ewents-col">
						<div class="entry">
                       
							<div class="thumbnail-attachment">
							  <a href="<?php echo esc_url($link) ?>">
							  <?php echo tribe_event_featured_image( $id, 'jogasana-gallery-small', false ) ?>
							  </a>
							</div>

							<div class="entry-body">

							  <h6 class="entry-title"><a href="<?php echo esc_url($link) ?>"><?php echo esc_html($name); ?></a></h6>
							  <div class="our-info vr-type">

								<div class="info-item">
								  <i class="licon-clock3"></i>
								  <div class="wrapper">
									<span><?php echo tribe_events_event_schedule_details($id) ?></span>
								  </div>
								</div>
								<div class="info-item">
								  <i class="licon-map-marker"></i>
								  <div class="wrapper">
									<span><?php
											$address_delimiter =' ';
											echo implode( $address_delimiter, $venue_details );
										?></span>
								  </div>
								</div>

							  </div>

							  <div class="entry-price">

								<!-- Event Cost -->
								<?php if ( tribe_get_cost($id) ) { ?>
									<span class="product-price"><?php echo tribe_get_cost( $id, true ); ?></span>
								<?php } else { ?>
									<span class="product-price free"><?php esc_html_e( 'Free', 'jogasana' ) ?></span>
								<?php } ?>
								
								<a href="<?php echo esc_url($link) ?>" class="btn btn-small"><?php esc_html_e( 'Register', 'jogasana' ) ?></a>

							  </div>

							</div>
	
						</div>
						</div>

					<?php endforeach; ?>
					<?php wp_reset_postdata(); ?>

                </div>
                </div>
				
				
				<?php if ( $pagination  && $jogasana_pagination = jogasana_pagination($this->entries) ) : ?>
				<div class="ewent-pagination <?php echo esc_attr( $title_align ) ?>">
				<?php echo wp_kses_post($jogasana_pagination); ?>
				</div>
				<?php endif; ?>
				
				
					<?php if ( $use_link ) { 
								$attributes = array();
								$attributes[] = 'href="' . trim( $a_href ) . '"';
								$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
								if ( ! empty( $a_target ) ) {
									$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
								}
								if ( ! empty( $a_rel ) ) {
									$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
								}
								$attributes = implode( ' ', $attributes );
					
								echo '<div class="events-btn '. esc_attr($title_align) .'"><a class="btn btn-style-6" ' . $attributes . '>' . esc_html($a_title) . '</a></div>';
						} ?>
			
		<?php } ?>
				
						
				
		</div>		

		<?php return ob_get_clean();
	}

}