<?php

class WPBakeryShortCode_VC_mad_gallery extends WPBakeryShortCode {

	public $atts = array();

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' => "",
			'tag_title' => 'h2',
			'title_color' => '',
			'images' => "",
			'autoplay' => '',
			'autoplaytimeout' => 5000,
			'css_animation' => ""
		), $atts, 'vc_mad_mad_gallery');

		return $this->html();
	}

	public function html() {

		$wrapper_attributes = array();
		$css_classes = array('custom-gallery');
		$title = $tag_title = $title_color = $images = $css_animation = '';

		extract($this->atts);
		$images = explode( ',', $images);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, 0 );
		}

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
		
		<?php
		echo Jogasana_Vc_Config::getParamTitle(
			array(
				'title' => $title,
				'tag_title' => $tag_title,
				'description' => '',
				'title_color' => $title_color,
				'description_color' => '',
			)
		);
		?>

		<div class="carousel-type-2" >
		<div class="owl-carousel portfolio-holder" data-max-items="3" data-item-margin="30" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-timeout="<?php echo esc_attr($autoplaytimeout); ?>">

			<?php $i = 0; $img = array(); ?>

			<?php foreach ( $images as $id => $attach_id ): ?>

				<?php 
				$img = wpb_getImageBySize( array( 'attach_id' => (int) $attach_id, 'thumb_size' => array(384, 300) ) ); 
				$img_large = esc_url($img['p_img_large'][0])
				?>

                <div class="project">
                <div class="project-image">
					
                   <?php echo sprintf( '%s', $img['thumbnail'] ); ?>
                   <a href="<?php echo esc_url($img_large) ?>" class="project-link" data-fancybox="group"></a>
					
				</div>
                </div>
                
				<?php $i++; ?>

			<?php endforeach; ?>

		</div>
		</div>

		</div>
		<?php return ob_get_clean();
	}

}