<?php

class WPBakeryShortCode_VC_mad_media_holder extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image' => '',
			'link' => '',
			'link2' => '',
			'box_type' => 'style-1',
			'css_animation' => '',
		), $atts, 'vc_mad_media_holder');

		return $this->html($content);
	}

	public function html($content) {

		$wrapper_attributes = array();
		$image = $link = $link2 = $css_animation = '';

		extract($this->atts);

		$attach_id = preg_replace('/[^\d]/', '', $image);
		$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
		$img = Jogasana_Helper::get_post_attachment_image( $attach_id, 'full');

		if ( $img == null ) {
			$img_large =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large = esc_url($img);
		}
		
		$link = ( '||' === $link ) ? '' : $link;
		$link = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $link['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $link['url'];
			$a_title = $link['title'];
			$a_target = $link['target'];
			$a_rel = $link['rel'];
		}
		
		$link2 = ( '||' === $link2 ) ? '' : $link2;
		$link2 = vc_build_link( $link2 );
		$use_link2 = false;
		if ( strlen( $link2['url'] ) > 0 ) {
			$use_link2 = true;
			$a_href2 = $link2['url'];
			$a_title2 = $link2['title'];
			$a_target2 = $link2['target'];
			$a_rel2 = $link2['rel'];
		}

		$css_classes = array(
			'ys-media-holder',
			'media-holder',
			$box_type
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?> data-bg="<?php echo esc_url($img_large); ?>">

		
			<?php if ( $box_type == 'style-1' || $box_type == 'style-2' ): ?>
			<div class="container">
			<div class="align-center">
				
				<div class="content-element3">
				
				<?php echo wpb_js_remove_wpautop( $content, true ); ?>
				
				</div>
				
				<?php  if ( $use_link ) {
					$attributes = array();
					$attributes[] = 'href="' . trim( $a_href ) . '"';
					$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
					$attributes[] = 'class="' . esc_attr( 'btn btn-style-3 btn-lg' ) . '"';
					if ( ! empty( $a_target ) ) {
						$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
					}
					if ( ! empty( $a_rel ) ) {
						$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
					}
					$attributes = implode( ' ', $attributes );
					
					echo '<div class="content-element1"><a ' . $attributes . '>' . esc_html($a_title) . '</a></div>';
				} ?>
				
				<?php  if ( $use_link2 ) {
					$attributes2 = array();
					$attributes2[] = 'href="' . trim( $a_href2 ) . '"';
					$attributes2[] = 'title="' . esc_attr( trim( $a_title2 ) ) . '"';
					$attributes2[] = 'class="' . esc_attr( 'link2' ) . '"';
					if ( ! empty( $a_target2 ) ) {
						$attributes2[] = 'target="' . esc_attr( trim( $a_target2 ) ) . '"';
					}
					if ( ! empty( $a_rel2 ) ) {
						$attributes2[] = 'rel="' . esc_attr( trim( $a_rel2 ) ) . '"';
					}
					$attributes2 = implode( ' ', $attributes2 );
					
					echo '<div class="section-pre-title style-2"><a ' . $attributes2 . '>' . esc_html($a_title2) . '</a></div>';
				} ?>
				
			</div>
			</div>

			<?php elseif( $box_type == 'about-us' ): ?>
			
			<div class="container wide3">
			<div class="media-inner left-side">
		
				<?php echo wpb_js_remove_wpautop( $content, true ); ?>
		
			</div>
			</div>
			
			<?php elseif( $box_type == 'full-scr' ): ?>
			
			<div class="container wide3">
			<div class="media-inner">
		
				<div class="content-element5"><?php echo wpb_js_remove_wpautop( $content, true ); ?></div>
				<?php  if ( $use_link ) {
					$attributes = array();
					$attributes[] = 'href="' . trim( $a_href ) . '"';
					$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
					$attributes[] = 'class="' . esc_attr( 'btn btn-style-3 btn-big' ) . '"';
					if ( ! empty( $a_target ) ) {
						$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
					}
					if ( ! empty( $a_rel ) ) {
						$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
					}
					$attributes = implode( ' ', $attributes );
					
					echo '<div class="content-element1"><a ' . $attributes . '>' . esc_html($a_title) . '</a></div>';
				} ?>
		
			</div>
			</div>
			
			<?php endif; ?>

		</div>

		<?php return ob_get_clean();
	}

}