<?php
class WPBakeryShortCode_VC_mad_social_buttons extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'show_facebook' => '',
			'show_twitter' => '',
			'show_pinterest' => '',
			'show_email' => '',
			'info' => '',
			'css_animation' => '',
		), $atts, 'vc_mad_social_buttons');

		return $this->html($content);
	}

	public function html($content) {

		$wrapper_attributes = array();
		$css_animation = '';

		extract($this->atts);


		$css_classes = array(
			'ys-social-share-holder'
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}
		
		$image = wp_get_attachment_url( get_post_thumbnail_id() );
		$permalink = apply_filters('the_permalink', get_the_permalink());
		$title = get_the_title();
		$extra_attr = 'target="_blank"';

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?> >

		<div class="share-wrap ">
		<span class="share-title"><?php echo esc_html($info) ?></span>

			<ul class="social-icons var2 share ls-none">

				<?php if ( $show_facebook ): ?>
					<li><a class="sh-facebook" href="http://www.facebook.com/sharer.php?m2w&amp;s=100&amp;p&#091;url&#093;=<?php echo esc_url($permalink) ?>&amp;p&#091;images&#093;&#091;0&#093;=<?php echo esc_url($image) ?>&amp;p&#091;title&#093;=<?php echo urlencode(esc_attr($title)) ?>" <?php echo wp_kses_post($extra_attr) ?>><i class="icon-facebook"></i></a></li>
				<?php endif; ?>

				<?php if ( $show_twitter ): ?>
					<li><a class="sh-twitter" href="https://twitter.com/intent/tweet?text=<?php echo urlencode(esc_attr($title)) ?>&amp;url=<?php echo esc_url($permalink) ?>" <?php echo wp_kses_post($extra_attr) ?>><i class="icon-twitter"></i></a></li>
				<?php endif; ?>

				
				<?php if ( $show_pinterest ) : ?>
					<li><a class="sh-pinterest" href="https://pinterest.com/pin/create/button/?url=<?php echo esc_url($permalink) ?>&amp;media=<?php echo esc_url($image) ?>" <?php echo wp_kses_post($extra_attr) ?>><i class="icon-pinterest"></i></a></li>
				<?php endif; ?>

				<?php if ( $show_email ) : ?>
					<li><a class="sh-mail" href="mailto:?subject=<?php echo urlencode(esc_attr($title)) ?>&amp;body=<?php echo esc_url($permalink) ?>" <?php echo wp_kses_post($extra_attr) ?>><i class="icon-mail"></i></a></li>
				<?php endif; ?>

			</ul>

		</div>
			
		</div>

		<?php return ob_get_clean();
	}

}