<?php

class WPBakeryShortCode_VC_mad_team_list extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'title' 	 => '',
			'items' => -1,
			'categories' => array(),
			'orderby' => 'date',
			'order' => 'DESC',
			'css_animation' => ''
		), $atts, 'vc_mad_team_list');

		$this->query_entries();
		return $this->html();
	}

	public function query_entries() {
		$params = $this->atts;
		$page = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : get_query_var( 'page' );
		if (!$page || $params['pagination'] == 'no') $page = 1;

		$tax_query = array();

		if ( !empty($params['categories']) ) {
			$categories = explode(',', $params['categories']);
			$tax_query = array(
				'relation' => 'AND',
				array(
					'taxonomy' => 'team_category',
					'field' => 'id',
					'terms' => $categories
				)
			);
		}

		$query = array(
			'post_type' => 'team-members',
			'orderby' => $params['orderby'],
			'order' => $params['order'],
			'paged' => $page,
			'posts_per_page' => $params['items'],
			'tax_query' 	 => $tax_query
		);

		$this->entries = new WP_Query($query);
	}

	public function html() {

		if ( empty($this->entries) || empty($this->entries->posts) ) return;

		$params = $this->atts;
		$wrapper_attributes = array();
		$items = $categories = $orderby = $order = $style = '';
		$title = '';		
		$css_animation = !empty($params['css_animation']) ? $params['css_animation'] : '';
		
		extract($this->atts);

		$css_classes = array(
			'ys_team_list', 'team-single-widget', 'wpb_content_element'
		);
		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, 0 );
		}
		
		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>

			<?php if ( $title != '' ) { ?>
			
				<h6 class="widget-title"><?php echo esc_html( $title ) ?></h6>
				
			<?php } ?>
            
              <ul class="menu-list style-2 ls-none">
             
				<?php foreach ( $this->entries->posts as $entry ):
						$id = $entry->ID;
						$name = get_the_title($id);
						$link = get_permalink($id);
						?>
						<li><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></li>

					<?php endforeach; ?>

                </ul>
			
		</div>		

		<?php return ob_get_clean();
	}

}