<?php

class WPBakeryShortCode_VC_mad_team_members extends WPBakeryShortCode {

	public $atts = array();
	public $entries = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts( array(
			'subtitle' => '',
			'title' => '',
			'excerpt' => '',
			'tag_title' => 'h2',
			'description' => '',
			'title_color' => '',
			'description_color' => '',
			'title_align' => '',
			'description_align' => '',
			'sort' => '',
			'align_sort' => 'align-left',
			'carousel' => '',
			'type_carousel' => 'style-1',
			'columns' => 3,
			'items' => 3,
			'paginate' => 'none',
			'align_pagination' => 'align-left',
			'categories' => array(),
			'orderby' => 'date',
			'order' => 'DESC',
			'autoplay' => '',
			'autoplaytimeout' => 5000,
			'css_animation' => ''
		), $atts, 'vc_mad_team_members' );

		$this->query_entries();
		$html = $this->html();

		return $html;
	}

	public function query_entries() {
		$params = $this->atts;
		$tax_query = array();
		
		$page = get_query_var( 'paged' ) ? get_query_var( 'paged' ) : get_query_var( 'page' );
		if ( !$page || $params['paginate'] == 'none' ) $page = 1;

		if ( !empty($params['categories']) ) {
			$categories = explode(',', $params['categories']);
			$tax_query = array(
				'relation' => 'AND',
				array(
					'taxonomy' => 'team_category',
					'field' => 'id',
					'terms' => $categories
				)
			);
		}

		$query = array(
			'post_type' => 'team-members',
			'post_status'  => 'publish',
			'posts_per_page' => $params['items'],
			'orderby' => $params['orderby'],
			'order' => $params['order'],
			'paged' => $page,
			'tax_query' => $tax_query
		);

		$this->entries = new WP_Query($query);
	}

	protected function sort_links( $entries, $params ) {

		$categories = get_categories(array(
			'taxonomy'	=> 'team_category',
			'hide_empty'=> 0
		));
		$current_cats = array();
		$display_cats = is_array($params['categories']) ? $params['categories'] : array_filter(explode(',', $params['categories']));
		$align_sort = !empty($params['align_sort']) ? $params['align_sort'] : 'align-left';

		foreach ( $entries as $entry ) {
			if ( $current_item_cats = get_the_terms( $entry->ID, 'team_category' ) ) {
				if ( !empty($current_item_cats) ) {
					foreach ($current_item_cats as $current_item_cat) {
						if (empty($display_cats) || in_array($current_item_cat->term_id, $display_cats)) {
							$current_cats[$current_item_cat->term_id] = $current_item_cat->term_id;
						}
					}
				}
			}
		}

		$css_classes = array(
			'ys-filter', $align_sort
		);

		$wrapper_attributes = array();
		if ( '' !== $params['css_animation'] ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $params['css_animation'], 0, '-80' );
		}

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );

		ob_start(); ?>

		<div id="options" class="<?php echo esc_attr( trim($css_class) ) ?>" <?php echo implode( ' ', $wrapper_attributes ) ?>>
			<div id="filters" class="isotope-nav">
			    <button class="is-checked" data-filter="*"><?php esc_html_e('All', 'jogasana') ?></button>

				<?php foreach ( $categories as $category ): ?>
					<?php if ( in_array($category->term_id, $current_cats) ): ?>
						<?php $nicename = str_replace('%', '', $category->category_nicename); ?>
						<button data-filter=".<?php echo esc_attr($nicename) ?>"><?php echo esc_html(trim($category->cat_name)); ?></button>
					<?php endif; ?>

				<?php endforeach ?>

			</div>
		</div>

		<?php return ob_get_clean();
	}
	
	public function get_sort_class( $id ) {
		$classes = "";
		$item_categories = get_the_terms( $id, 'team_category' );
		if ( is_object($item_categories) || is_array($item_categories) ) {
			foreach ( $item_categories as $cat ) {
				$classes .= $cat->slug . ' ';
			}
		}
		return str_replace( '%', '', $classes );
	}
	
	public function html() {

		if ( empty($this->entries) || empty($this->entries->posts) ) return;

		global $jogasana_settings;

		$title = $style = $style2 = $excerpt = $layout = $tag_title = $description = $title_color = $description_color = $columns = $css_animation = $autoplay = $autoplaytimeout = '';
		$wrapper_attributes = array();
		
		$paginate = !empty($this->atts['paginate']) ? $this->atts['paginate'] : 'pagination';
		$align_pagination = !empty($this->atts['align_pagination']) ?$this->atts['align_pagination'] : 'align-left';
		$sort = $this->atts['sort'] == 'yes' ? true : false;
		
		$excerpt_count = 100;
		
		extract($this->atts);

		$css_classes = array(
			'team-holder', 'clearfix', 'ys-paginate-' . $paginate
		);

		$image_size = 'jogasana-masonry2';
		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';
		
		$title_align = !empty($title_align) ? $title_align : '';
		$description_align = !empty($description_align) ? $description_align : '';
		
		if ( $title_color ) {
			$style = 'style="' . vc_get_css_color( 'color', $title_color ) . '"';
		}
		if ( $description_color ) {
			$style2 = 'style="' . vc_get_css_color( 'color', $description_color ) . '"';
		}

		switch ( $columns ) {
				case '2':
					$css_classes[] = 'isotope two-collumn';
					break;
				case '3':
					$css_classes[] = 'isotope three-collumn';
					break;
				case '4':
					$css_classes[] = 'isotope fourth-collumn';
					break;	
			}	
		
		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		
		ob_start() ?>

		<div class="wpb_content_element ys_team_members_section">

			 <?php if ( $subtitle != '' ): ?>
        	<div class="section-pre-title  <?php echo esc_attr($description_align) ?>" <?php echo sprintf('%s', $style2) ?>><?php echo esc_html($subtitle) ?></div>
            <?php endif; ?>
			
			<?php
			echo Jogasana_Vc_Config::getParamTitle(
				array(
					'title' => $title,
					'tag_title' => $tag_title,
					'description' => $description,
					'title_color' => $title_color,
					'align' => $title_align,
					'align_des' => $description_align,
					'description_color' => $description_color,
				)
			);
			?>

			<?php if($sort) {
			echo sprintf( '%s', $this->sort_links( $this->entries->posts, $this->atts)); 
			}
			?>
			
			<?php if ( $carousel ) { ?>
			<div class="carousel-type-2">
			<div class="owl-carousel team-holder <?php echo esc_attr($type_carousel) ?>" data-max-items="<?php echo absint($columns); ?>" data-item-margin="30" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-timeout="<?php echo esc_attr($autoplaytimeout); ?>">
			<?php } else { ?>
			<div class="teams-inner">
			<div class="<?php echo esc_attr( trim($css_class) ) ?>" data-isotope-options='{"itemSelector" : ".team-item","layoutMode" : "fitRows","transitionDuration":"0.7s","fitRows" : {"columnWidth":".team-item"}}' >
			<?php } ?>

			
			    <?php foreach ( $this->entries->posts as $entry ): ?>
				<?php
						$id = $entry->ID;
						$name = get_the_title($id);
						$link  = get_permalink($id);
						$position = get_post_meta($id, 'jogasana_tm_position', true);
						$content = has_excerpt($id) ? $entry->post_excerpt : $entry->post_content;
						$thumbnail_atts = array(
							'alt'	=> trim(strip_tags($name))
						);
						$content = jogasana_get_excerpt( $content, $excerpt_count );
				?>
			
					<div class="item team-item <?php echo esc_attr($this->get_sort_class($id))?> ">
					
						<?php if ( has_post_thumbnail($id) ): ?>
						<a href="<?php echo esc_url($link); ?>" class="member-photo">
							<?php echo Jogasana_Helper::get_the_post_thumbnail ( $id, $image_size, false, array(), $thumbnail_atts ) ?>
						</a>
						<?php endif; ?>
						
						<div class="team-desc">
                        <div class="member-info">
							<h5 class="member-name"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($name); ?></a></h5>
							
							<?php if ( !empty($position) ): ?>
							<h6 class="member-position"><?php echo esc_html($position) ?></h6>
							<?php endif; ?>
							
							<?php if ( $excerpt ): ?>

							<div class="ys-member-about"><?php echo apply_filters( 'the_content', $content ); ?></div>

							<?php endif; ?>
							
							<?php if ( $type_carousel == 'style-2' ): ?>
							<a href="<?php echo esc_url($link); ?>" class="info-btn"><?php echo esc_html__( 'View Profile', 'jogasana' ) ?></a>
							<?php endif; ?>
							
						</div>
                        </div>
						
					</div>
			
				<?php endforeach; ?>
				
			</div>
			</div>
			
			<?php if ( $paginate == "pagination" && $jogasana_pagination = jogasana_pagination($this->entries) ) : ?>
				<div class="<?php echo esc_attr( $align_pagination ) ?>">
				<?php echo wp_kses_post($jogasana_pagination); ?>
				</div>
			<?php endif; ?>
			
		</div>

		<?php return ob_get_clean();
	}

}