<?php

class WPBakeryShortCode_VC_mad_text_with_image extends WPBakeryShortCode {

	public $atts = array();
	public $content = '';

	protected function content($atts, $content = null) {

		$this->atts = shortcode_atts(array(
			'image' => '',
			'subtitle' => '',
			'title' => '',
			'tag_title'  => 'h2',
			'type' => 'type_1',
			'wide' => 'wide2',
			'link_video' => '',
			'link' => '',
			'css_animation' => '',
		), $atts, 'vc_mad_text_with_image');

		return $this->html($content);
	}

	public function html($content) {

		$wrapper_attributes = array();
		$image = $css_animation = '';

		extract($this->atts);
		
		$custom_links = ( '||' === $link ) ? '' :$link;
		$custom_links = vc_build_link( $link );
		$use_link = false;
		if ( strlen( $custom_links['url'] ) > 0 ) {
			$use_link = true;
			$a_href = $custom_links['url'];
			$a_title = $custom_links['title'];
			$a_target = $custom_links['target'];
			$a_rel = $custom_links['rel'];
		}

		$attach_id = preg_replace('/[^\d]/', '', $image);
		$alt = trim( strip_tags( get_post_meta( $attach_id, '_wp_attachment_image_alt', true ) ) );
		$img = wpb_getImageBySize(array(
			'attach_id' => $attach_id,
			'thumb_size' => '',
		));

		if ( $img['p_img_large'] == null ) {
			$img_large =  vc_asset_url( 'vc/no_image.png' );
		} else {
			$img_large = esc_url($img['p_img_large'][0]);
		}

		$css_classes = array(
			'ys-text-with-image-area', 'page-section half-bg-col var2'
		);

		$css_class = preg_replace( '/\s+/', ' ', implode( ' ', array_filter( $css_classes ) ) );
		$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

		if ( '' !== $css_animation ) {
			$wrapper_attributes[] = Jogasana_Helper::create_data_string_animation( $css_animation, 0, '20' );
		}

		ob_start(); ?>

		<div <?php echo implode( ' ', $wrapper_attributes ) ?>>
        
			<?php if ( $type == 'type_1' ) {  ?>
            
        	<div class="img-col-right video-holder">
				<?php if ( $link_video != '' ) {  ?>
				<a href="<?php echo esc_url($link_video) ?>" class="video-btn" data-fancybox="video"></a>
				<?php }  ?>
			
            <div  class="col-bg" data-bg="<?php echo esc_url($img_large); ?>" ></div>
            </div>
            
           <div class="container <?php echo esc_attr($wide) ?>">
              <div class="row align-content-center">
                <div class="col-lg-6">
                  
                  <?php if ( $subtitle && $subtitle != '' ) { ?>
				  <h5 class="section-sub-title"><?php echo wp_kses_post($subtitle); ?></h5>
				  <?php } ?>
				  <?php if ( $title && $title != '' ) { ?>
                  <<?php echo esc_attr($tag_title) ?> class="title"><?php echo wp_kses_post($title); ?></<?php echo esc_attr($tag_title) ?>>
				  <?php } ?>
    
                    <?php if ( !empty($content) ){ ?>
					<div class="text-inner"><?php echo wpb_js_remove_wpautop( $content, true ) ?></div>
					<?php } ?>
    
                  <?php if ( $use_link ) { 
								$attributes = array();
								$attributes[] = 'href="' . trim( $a_href ) . '"';
								$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
								if ( ! empty( $a_target ) ) {
									$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
								}
								if ( ! empty( $a_rel ) ) {
									$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
								}
								$attributes = implode( ' ', $attributes );
					
								echo '<a class="btn btn-style-2" ' . $attributes . '>' . esc_html($a_title) . '</a>';
						} ?>
                 
                </div>
                <div class="col-lg-6"></div>
              </div>
            </div>
            
           <?php } elseif ( $type == 'type_2' ) {  ?>
            
        	<div class="img-col-left  video-holder">
            
              <?php if ( $link_video != '' ) {  ?>
				<a href="<?php echo esc_url($link_video) ?>" class="video-btn" data-fancybox="video"></a>
			  <?php }  ?>
			
			  <div class="col-bg" data-bg="<?php echo esc_url($img_large); ?>" ></div>
              
            </div>
            
           <div class="container <?php echo esc_attr($wide) ?>">
              <div class="row align-content-center">
                
				<div class="col-lg-6"></div>
				
				<div class="col-lg-6">
                  
                  <?php if ( $subtitle && $subtitle != '' ) { ?>
				  <h5 class="section-sub-title"><?php echo esc_html($subtitle); ?></h5>
				  <?php } ?>
				  <?php if ( $title && $title != '' ) { ?>
                  <h3 class="title"><?php echo esc_html($title); ?></h3>
				  <?php } ?>
    
                  <?php if ( !empty($content) ): ?>
				  <?php echo wpb_js_remove_wpautop( $content, true ) ?>
				  <?php endif; ?>
    
                  <?php if ( $use_link ) { 
								$attributes = array();
								$attributes[] = 'href="' . trim( $a_href ) . '"';
								$attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
								if ( ! empty( $a_target ) ) {
									$attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
								}
								if ( ! empty( $a_rel ) ) {
									$attributes[] = 'rel="' . esc_attr( trim( $a_rel ) ) . '"';
								}
								$attributes = implode( ' ', $attributes );
					
								echo '<a class="btn btn-style-2" ' . $attributes . '>' . esc_html($a_title) . '</a>';
						} ?>
                 
                </div>
              </div>
            </div>
            <?php }  ?>
 
		</div>

		<?php return ob_get_clean();
	}

}