<!DOCTYPE html>
<!--[if (gte IE 9)|!(IE)]><!--> <html class="not-ie no-js" <?php language_attributes(); ?>>  <!--<![endif]-->
<head>

	<!-- Basic Page Needs
    ==================================================== -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<?php wp_head(); ?>

</head>

<?php
global $jogasana_config;
$page_wrapper = $jogasana_config['page_wrapper'];
$header_classes = $jogasana_config['header_classes'];
$header_type = $jogasana_config['header_type'];
$sidebar_position = $jogasana_config['sidebar_position'];
$page_content_classes = $jogasana_config['page_content_classes'];

?>

<body <?php body_class('challenges_page'); ?>>

<?php do_action('jogasana_body_append'); ?>

<div id="wrapper" class="wrapper-container <?php echo esc_attr($page_wrapper) ?>">

	    <nav id="mobile-advanced" class="mobile-advanced"></nav>

		<?php do_action('jogasana_header_prepend') ?>

		<header id="header" class="ys-header <?php echo esc_attr($header_classes); ?>">
			<?php do_action( 'jogasana_header_layout', $header_type ); ?>
		</header>

		<?php do_action('jogasana_header_append') ?>


	<?php
		/**
		 * jogasana_header_after hook
		 *
		 * @hooked page_title_and_breadcrumbs
		 */

		do_action('jogasana_header_after');
	?>

	<div id="content" class="<?php echo esc_attr($page_content_classes) ?>">
	
			<?php if ( is_single() ) {?>
			<?php
			global $post;
			$this_id = get_the_ID();
			$title = get_the_title($this_id);
			$link = get_permalink($this_id);
			$teacher = get_post_meta($this_id, 'jogasana_ch_teacher', true);
			$teacher_info = get_post_meta($this_id, 'jogasana_ch_teacher_info', true);
			$teacher_video = get_post_meta($this_id, 'jogasana_ch_teacher_video', true);
			$teacher_image = get_post_meta($this_id, 'jogasana_ch_teacher_image', true);
			
			?>
			<div class="entry-body challenge-title align-center content-element6">
			
			<h1 class="entry-title"><?php echo esc_html($title) ?></h1>
            <div class="flex-row justify-content-center">
                <div class="entry-meta">
                   
					<?php $cur_terms = wp_get_post_terms($this_id, 'challenge_category'); ?>
					<?php if ( !empty($cur_terms) ): ?>
					<?php 
					foreach( $cur_terms as $cur_term ){
						echo '<a href="'. esc_url(get_term_link( (int)$cur_term->term_id, $cur_term->taxonomy )) .'">'. esc_html($cur_term->name) .'</a>,';
					}
					?>	
					<?php endif; ?>
				 
					<?php
					$cur_user_id = $post->post_author;
						printf( '<span>%1$s</span><a class="entry-cat entry-author" href="%2$s">%3$s</a>',
									esc_html__('with ', 'jogasana'),
									esc_url( get_author_posts_url( $cur_user_id ) ),
									$teacher
								);
					?>
                          
                </div>
                <div class="our-info">
                    
                  <div class="info-item">
                    <i class="licon-clock3"></i>
                    <div class="wrapper">
                      <span><?php echo esc_html($teacher_info) ?></span>
                    </div>
                  </div>
				  
                  <?php $cur_tags = wp_get_post_terms($this_id, 'challenge_level'); ?>
				  <?php if ( !empty($cur_tags) ): ?>
				  <div class="info-item">
                    <i class="licon-signal"></i>
                    <div class="wrapper">
						<?php 
						foreach( $cur_tags as $cur_tag ){
							echo '<a href="'. esc_url(get_term_link( (int)$cur_tag->term_id, $cur_tag->taxonomy )) .'">'. esc_html($cur_tag->name) .'</a>,';
						}
						?>	
                    </div>
                  </div>
				  <?php endif; ?>
				  
				</div>  
			</div>
			
			</div>
			<?php } elseif( is_tax( get_object_taxonomies( 'challenge' ) ) ) {?>
			<?php
			global $wp_query;
			$term =	$wp_query->queried_object;
	
			$this_id = $term->term_id;
			$title = $term->name;
			$link = get_category_link( $this_id );
			$post_count_cat  = $term->count;
			$level_cat = get_metadata('challenges', $this_id, 'level', true);
			$title_cat = get_metadata('challenges', $this_id, 'title', true);
			?>
			
			<div class="entry-body challenge-title align-center content-element6">
			
			<h1 class="entry-title"><?php echo esc_html($title) ?></h1>
            <div class="flex-row justify-content-center">
                <div class="entry-meta">
       
					<?php 
						echo '<a href="'. esc_url($link) .'">'. esc_html($title_cat) .'</a> ';
					?>	
				 
					<?php
					$users = get_users('has_published_posts=challenge');
					
					echo '<span>'.esc_html__('with ', 'jogasana').'</span>';
					foreach ($users as $user) {
						echo '<a class="entry-cat entry-author" >' . esc_html($user->display_name) . '</a> ';
					}
					?>
                          
                </div>
                <div class="our-info entry-meta">
                    
                  <div class="info-item">
                    <i class="licon-clock3"></i>
                    <div class="wrapper">
                      <span><?php echo esc_html($post_count_cat) ?> <?php echo esc_html__('Classes', 'jogasana') ?></span>
                    </div>
                  </div>
				  
				  <div class="info-item">
                    <i class="licon-signal"></i>
                    <div class="wrapper">
						<?php 
							echo '<a href="'. esc_url($link) .'">'. esc_html($level_cat) .'</a>';
						?>	
                    </div>
                  </div>
				  
				</div>  
			</div>
			
			</div>
			
			<?php } ?>
	
		<?php if ( $sidebar_position != 'ys-no-sidebar' ): ?>

			<div class="container">

				<div class="row">

					<main id="main" class="col-lg-8 col-md-12">

		<?php else: ?>

			<div class="container">

				<div class="row">

					<div class="col-sm-12">

		<?php endif; ?>