<!DOCTYPE html>
<!--[if (gte IE 9)|!(IE)]><!--> <html class="not-ie no-js" <?php language_attributes(); ?>>  <!--<![endif]-->
<head>

	<!-- Basic Page Needs
    ==================================================== -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<?php wp_head(); ?>

</head>

<?php
global $jogasana_config, $jogasana_settings;
$page_wrapper = $jogasana_config['page_wrapper'];
$header_classes = $jogasana_config['header_classes'];
$header_type = $jogasana_config['header_type'];
$sidebar_position = $jogasana_config['sidebar_position'];
$page_content_classes = $jogasana_config['page_content_classes'];

$single_classes_date = $jogasana_settings['single-classes-date'];
$single_classes_cat = $jogasana_settings['single-classes-cat'];
$single_classes_author = $jogasana_settings['single-classes-author'];
$single_classes_time = $jogasana_settings['single-classes-time'];
$single_classes_level = $jogasana_settings['single-classes-level'];

?>

<body <?php body_class('classes_page'); ?>>

<?php do_action('jogasana_body_append'); ?>

<div id="wrapper" class="wrapper-container <?php echo esc_attr($page_wrapper) ?>">

	    <nav id="mobile-advanced" class="mobile-advanced"></nav>

		<?php do_action('jogasana_header_prepend') ?>

		<header id="header" class="ys-header <?php echo esc_attr($header_classes); ?>">
			<?php do_action( 'jogasana_header_layout', $header_type ); ?>
		</header>

		<?php do_action('jogasana_header_append') ?>


	<?php
		/**
		 * jogasana_header_after hook
		 *
		 * @hooked page_title_and_breadcrumbs
		 */

		do_action('jogasana_header_after');
	?>

	<div id="content" class="<?php echo esc_attr($page_content_classes) ?>">
	
			<?php
			global $post;
			$this_id = get_the_ID();
			$title = get_the_title($this_id);
			$link = get_permalink($this_id);
			$image_size = 'jogasana-post-full';
			$teacher = get_post_meta($this_id, 'jogasana_mp_teacher', true);
			$teacher_position = get_post_meta($this_id, 'jogasana_mp_teacher_position', true);
			$teacher_image = get_post_meta($this_id, 'jogasana_mp_teacher_image', true);
			$teacher_info = get_post_meta($this_id, 'jogasana_mp_teacher_info', true);
			$teacher_video = get_post_meta($this_id, 'jogasana_mp_teacher_video', true);
			$open = get_post_meta($this_id, 'jogasana_mp_open', true);
			$duration = get_post_meta($this_id, 'jogasana_mp_duration', true);
			$thumbnail_atts = array(
				'alt'	=> trim(strip_tags(get_the_excerpt($this_id))),
				'title'	=> trim(strip_tags(get_the_title($this_id)))
			);
			
			
			?>
			<div class="entry-body classes-title align-center content-element4">
			
			<h1 class="entry-title"><?php echo esc_html($title) ?></h1>
            <div class="flex-row justify-content-center">
                
				<div class="entry-meta">
                    
					<?php if ( !empty($single_classes_date) && $single_classes_date ){ ?>
					<span><?php echo esc_html(get_the_date()) ?></span>
					<?php } ?>
					
					
					<?php if ( !empty($single_classes_cat) && $single_classes_cat ){ ?>
					<?php $cur_terms = wp_get_post_terms($this_id, 'class_category'); ?>
					<?php if ( !empty($cur_terms) ): ?>
					<span><?php echo esc_html__('in', 'jogasana') ?></span>	
					<?php 
					foreach( $cur_terms as $cur_term ){
						echo '<a href="'. esc_url(get_term_link( (int)$cur_term->term_id, $cur_term->taxonomy )) .'">'. esc_html($cur_term->name) .'</a>,';
					}
					?>	
					<?php endif; ?>
					<?php } ?>
					
					
				 
					<?php if ( !empty($single_classes_author) && $single_classes_author ){ ?>
					<?php
					$cur_user_id = $post->post_author;
						printf( '<span>%1$s</span><a class="entry-cat entry-author" href="%2$s">%3$s</a>',
									esc_html__('with ', 'jogasana'),
									esc_url( get_author_posts_url( $cur_user_id ) ),
									$teacher
								);
					?>
					<?php } ?>
					
					
                          
                </div>
                <div class="our-info">
                    
                  <?php if ( !empty($single_classes_time) && $single_classes_time ){ ?>
				  <div class="info-item">
                    <i class="licon-clock3"></i>
                    <div class="wrapper">
                      <span><?php echo esc_html($duration) ?></span>
                    </div>
                  </div>
				  <?php } ?>
				  
				  
				  <?php if ( !empty($single_classes_level) && $single_classes_level ){ ?>
                  <?php $cur_tags = wp_get_post_terms($this_id, 'class_level_category'); ?>
				  <?php if ( !empty($cur_tags) ): ?>
				  <div class="info-item">
                    <i class="licon-signal"></i>
                    <div class="wrapper">
						<?php 
						foreach( $cur_tags as $cur_tag ){
							echo '<a href="'. esc_url(get_term_link( (int)$cur_tag->term_id, $cur_tag->taxonomy )) .'">'. esc_html($cur_tag->name) .'</a> ';
						}
						?>	
                    </div>
                  </div>
				  <?php endif; ?>
				  <?php } ?>
				  
				</div>  
				
			</div>
			
			</div>
	
	
		<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : 
			$video_class= '';
			if($teacher_video != '') {
			$video_class= 'video-holder';	
			}
			?>
			<div class="container content-element3">
			<div class="row">
            <div class="col-lg-12">	
				
				<div class="thumbnail-attachment <?php echo esc_attr($video_class) ?>">
					<?php 
					echo Jogasana_Helper::get_the_post_thumbnail( $this_id, $image_size, true, '', $thumbnail_atts );
					?>
					<?php if($teacher_video != '') {?>
					<a href="<?php echo esc_url($teacher_video); ?>" class="video-btn" data-fancybox="video"></a>
					<?php } ?>
					
				</div>
				
			</div>	
			</div>	
			</div>	
				
		<?php endif; ?>
	
	
	
	
		<?php if ( $sidebar_position != 'ys-no-sidebar' ): ?>

			<div class="container">

				<div class="row">

					<main id="main" class="col-lg-8 col-md-12">

		<?php else: ?>

			<div class="container">

				<div class="row">

					<div class="col-sm-12">

		<?php endif; ?>