
<?php $item[ 'post' ] = get_post( $item[ 'event_id' ] ); ?>
<div data-event-id="<?php echo esc_attr($item[ 'event_id' ]) ?>" data-start="<?php echo empty( $startIndex ) ? $item[ 'start_index' ] : $startIndex ?>" data-start-item="<?php echo esc_attr($item[ 'start_index' ]) ?>"
     data-end="<?php echo esc_attr($item[ 'end_index' ]) ?>"
     class="mptt-event-container id-<?php echo esc_attr($item[ 'id' ]); ?> mptt-colorized"
     data-type="event"
     data-bg_hover_color="<?php if($item[ 'post' ]->hover_color) { echo esc_attr($item[ 'post' ]->hover_color); } ?>"
     data-bg_color="<?php if($item[ 'post' ]->color) { echo esc_attr($item[ 'post' ]->color); } ?>"
     data-hover_color="<?php if($item[ 'post' ]->hover_text_color) { echo esc_attr($item[ 'post' ]->hover_text_color); } ?>"
     data-color="<?php if($item[ 'post' ]->text_color) { echo esc_attr($item[ 'post' ]->text_color); } ?>"
     data-min-height=""
     style="text-align:<?php if( ! empty($params[ 'text_align' ]) ) { echo esc_attr($params[ 'text_align' ]); } ?>;
     background-color:<?php if($item[ 'post' ]->color) { echo esc_attr($item[ 'post' ]->color);  }?>;
     color:<?php if($item[ 'post' ]->text_color) { echo  esc_attr($item[ 'post' ]->text_color); } ?>;
     height:<?php if( ! empty( $height ) ) { echo esc_attr($height); } ?>%;">
	<div class="mptt-inner-event-content">
		<?php if ( $params[ 'title' ] ) {
			$disable_url = (bool) $item[ 'post' ]->timetable_disable_url || (bool) $params[ 'disable_event_url' ];
			
			if( $item[ 'post' ]->timetable_custom_url != "" ) { 
			$item_url =  $item[ 'post' ]->timetable_custom_url; 
			} else {
			$item_url =  get_permalink( $item[ 'event_id' ] ); 
			}
			
			if ( ! $disable_url ) { ?>
				<h6><a title="<?php echo esc_attr($item[ 'post' ]->post_title); ?>" href="<?php echo esc_url($item_url); ?>" class="event-title">
				<?php echo wp_kses_post($item[ 'post' ]->post_title); ?>
				</a></h6>
			<?php }
			
			if ( $disable_url ) { ?>
				<h6><span class="event-title"><?php echo wp_kses_post($item[ 'post' ]->post_title); ?></span></h6>
			<?php }
		}
		
		if ( $params[ 'time' ] ): ?>
			<p class="timeslot">
				<time datetime="<?php echo esc_attr($item[ 'event_start' ]); ?>" class="timeslot-start"><?php echo date( get_option( 'time_format' ), strtotime( $item[ 'event_start' ] ) ); ?></time>
				<span class="timeslot-delimiter"><?php echo apply_filters( 'mptt_timeslot_delimiter', ' - ' ); ?></span>
				<time datetime="<?php echo esc_attr($item[ 'event_end' ]); ?>" class="timeslot-end"><?php echo date( get_option( 'time_format' ), strtotime( $item[ 'event_end' ] ) );; ?></time>
			</p>
		<?php endif;
		
		if ( $params[ 'sub-title' ] && ! empty( $item[ 'post' ]->sub_title ) ): ?>
			<p class="event-subtitle"><?php echo wp_kses_post($item[ 'post' ]->sub_title); ?></p>
		<?php endif;
		
		if ( $params[ 'description' ] && ! empty( $item[ 'description' ] ) ): ?>
			<p class="event-description"><?php echo wp_kses_post($item[ 'description' ]); ?></p>
		<?php endif;
		
		if ( $params[ 'user' ] && $item[ 'user_id' ] != '-1' ): ?>
			<p class="event-user"><?php $user_info = get_userdata( $item[ 'user_id' ] );
				if ( $user_info ) {
					echo get_avatar( $item[ 'user_id' ], apply_filters( 'mptt-event-user-avatar-size', 24 ), '', $user_info->data->display_name );
					echo wp_kses_post($user_info->data->display_name);
				} ?>
			</p>
		<?php endif; ?>
		
		<div class="tribe-events-tooltip">
                    <header>
                      <h6><?php echo wp_kses_post($item[ 'post' ]->post_title); ?></h6>
                      <span><?php echo wp_kses_post($item[ 'post' ]->sub_title); ?></span>
                    </header>
                    <div class="clearfix">
						<?php 
						$thumbnail_atts = array(
							'alt'	=> trim(strip_tags(wp_kses_post($item[ 'post' ]->post_title))),
							'title'	=> trim(strip_tags(wp_kses_post($item[ 'post' ]->post_title)))
						);
						$thumbnail = Jogasana_Helper::get_the_post_thumbnail( $item[ 'event_id' ], 'jogasana-gallery-small', true, '', $thumbnail_atts );
						echo wp_kses_post($thumbnail);
						?>
                      <p><?php echo wp_kses_post($item[ 'description' ]); ?></p>
                    </div>
        </div>
		
	</div>
</div>