
<?php
// reset all previous queries
wp_reset_postdata();

global $jogasana_settings, $jogasana_config;
$post_id = jogasana_post_id();
$custom_sidebar = $jogasana_settings['sidebar'];
if ( is_singular(array('post')) ) {
	$custom_sidebar = $jogasana_settings['single-post-sidebar'];
}
if ( is_archive() ) {
	$custom_sidebar = $jogasana_settings['archive-post-sidebar'];
}

if (class_exists('WooCommerce')) {
	if ( JOGASANA_WOOCOMMERCE_CONFIG::is_realy_woocommerce_page() ) {
		$custom_sidebar = $jogasana_settings['product-sidebar'];
	}
}

$page_sidebar = trim(get_post_meta( $post_id, 'jogasana_page_sidebar', true ));

if ( $page_sidebar ) {
	$custom_sidebar = $page_sidebar;
}

if ( is_singular(array('page', 'post')) && !empty($post_id) && $page_sidebar) {
	$custom_sidebar = $page_sidebar;
}

?>
<aside id="sidebar" class="col-lg-3 col-md-12 ys-sidebar">
	<?php
	if ( !empty($custom_sidebar) ) {
		dynamic_sidebar($custom_sidebar);
	} else {
		if ( is_active_sidebar('general-widget-area') ) {
			dynamic_sidebar('General Widget Area');
		} else {
		 ?>
			<div class="widget widget_archive">
				<h6 class="ys-widget-title widget-title"><?php esc_html_e('Archives', 'jogasana'); ?></h6>
				<ul>
					<?php wp_get_archives('type=monthly'); ?>
				</ul>
			</div>

			<div class="widget widget_meta">
				<h6 class="ys-widget-title widget-title"><?php esc_html_e('Meta', 'jogasana'); ?></h6>
				<ul>
					<?php wp_register(); ?>
						<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</div>
		<?php
		}
	}
	?>
</aside>


