<?php
/**
 * The template for displaying all single posts
 *
 * @package WordPress
 * @subpackage Jogasana
 * @since Jogasana 1.0
 */
get_header('challenge'); ?>

<?php if ( have_posts() ): ?>

	<?php global $jogasana_settings; ?>

	<div class="ys-single-challenge-entry-holder">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php
			global $post;
			$this_id = get_the_ID();
			$title = get_the_title($this_id);
			$link = get_permalink($this_id);
			$teacher = get_post_meta($this_id, 'jogasana_ch_teacher', true);
			$teacher_info = get_post_meta($this_id, 'jogasana_ch_teacher_info', true);
			$teacher_video = get_post_meta($this_id, 'jogasana_ch_teacher_video', true);
			$teacher_image = get_post_meta($this_id, 'jogasana_ch_teacher_image', true);
			$thumbnail_atts = array(
				'alt'	=> trim(strip_tags(get_the_excerpt($this_id))),
				'title'	=> trim(strip_tags(get_the_title($this_id)))
			);
			$image_size = jogasana_blog_alias( 'standard', '', 'ys-big-thumbs', 'ys-type-2' );
			?>

			<div id="<?php echo get_the_ID() ?>" <?php post_class('single-challenge-content'); ?>>
             
				<?php if ( has_post_thumbnail() && ! post_password_required() && ! is_attachment() ) : 
					$video_class= '';
					if($teacher_video != '') {
					$video_class= 'video-holder';	
					}
					?>
						<div class="thumbnail-attachment <?php echo esc_attr($video_class) ?>">
							<?php 
							echo Jogasana_Helper::get_the_post_thumbnail( $this_id, $image_size, true, '', $thumbnail_atts );
							?>
							<?php if($teacher_video != '') {?>
							<a href="<?php echo esc_url($teacher_video); ?>" class="video-btn" data-fancybox="video"></a>
							<?php } ?>
						</div>
				<?php endif; ?>
			
				<div class="content-element8 single-challenge">
					<?php the_content(); ?>
				</div>
				
				<?php if ( comments_open() || '0' != get_comments_number() ){ ?>
					<?php comments_template(); ?>
				<?php } ?>
			
			</div>

		<?php endwhile ?>

	</div>

<?php endif; ?>

<?php get_footer('challenge'); ?>