<?php
/**
 * The template for displaying all single posts
 *
 * @package WordPress
 * @subpackage Jogasana
 * @since Jogasana 1.0
 */
get_header('classes'); ?>

<?php if ( have_posts() ): ?>

	<?php global $jogasana_settings; ?>

	<div class="ys-single-entry-holder">
	<div class="entry-box single-post">
	<div class="entry">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php
			global $post;
			$this_id = get_the_ID();
			$name = get_the_title($this_id);
			$link = get_permalink($this_id);
			$image_size = jogasana_blog_alias( 'standard', '', 'ys-big-thumbs', 'ys-type-2' );
			$teacher = get_post_meta($this_id, 'jogasana_mp_teacher', true);
			$teacher_position = get_post_meta($this_id, 'jogasana_mp_teacher_position', true);
			$teacher_image = get_post_meta($this_id, 'jogasana_mp_teacher_image', true);
			$teacher_info = get_post_meta($this_id, 'jogasana_mp_teacher_info', true);
			
			
			$teacher_video = get_post_meta($this_id, 'jogasana_mp_teacher_video', true);
			$open = get_post_meta($this_id, 'jogasana_mp_open', true);
			$duration = get_post_meta($this_id, 'jogasana_mp_duration', true);
			
			$thumbnail_atts = array(
				'alt'	=> trim(strip_tags(get_the_excerpt($this_id))),
				'title'	=> trim(strip_tags(get_the_title($this_id)))
			);
			?>

			
			<div class="row">
              <div class="col-lg-12">
			 
			   <?php the_content(); ?>
			
				<?php if ( function_exists('jogasana_base_mp_event_share_btn') ): ?>
				<div class="content-element6">
					  <?php echo jogasana_base_mp_event_share_btn();  ?>
				</div>
				<?php endif; ?>
				
				<div class="post-nav">
            
                  <div class="row">
                    <div class="col-sm-6">
                      
                      <a href="#" class="post-button favorite"><i class="licon-star"></i></a>
                      <div class="switcher">
                        
                        <a href="javascript:void(0)" class="post-button <?php if($open == 'open') { echo 'active'; } ?>"><?php echo esc_html__('Open', 'jogasana') ?></a>
                        <a href="javascript:void(0)" class="post-button <?php if($open != 'open') { echo 'active'; } ?>"><?php echo esc_html__('Done', 'jogasana') ?></a>

                      </div>

                    </div>
                    <div class="col-sm-6">
                      
                      <div class="align-right">
                        <?php 
						$next_post = get_next_post();
						$next_post_text = esc_html__('Next class', 'jogasana');
						
						if ( is_object($next_post) ) {
							$next_post_url = get_permalink($next_post->ID);
							$next_post_title = $next_post->post_title;
						}
						
						if ( !empty($next_post_url) ) {  
						?>
						<a href="<?php echo esc_url($next_post_url) ?>" class="link-text"><?php echo esc_html($next_post_text); ?></a>
                        <h6><a href="<?php echo esc_url($next_post_url) ?>"><?php echo esc_html($next_post_title); ?></a></h6>
						<?php 
						}
						?>
                       
                      </div>

                    </div>
                  </div>

                </div>

				<?php if ( comments_open() || '0' != get_comments_number() ){ ?>
					<?php comments_template(); ?>
				<?php } ?>
				
			  </div>
			  
			</div> 
			  
		<?php endwhile ?>

	</div>
	</div>
	</div>

<?php endif; ?>

<?php get_footer('classes'); ?>