<?php
global $jogasana_settings;

$id = get_the_ID();
$link = get_permalink();
$title = get_the_title();
$teacher = get_post_meta($id, 'jogasana_ch_teacher', true);
$teacher_video = get_post_meta($id, 'jogasana_ch_teacher_video', true);
$post_thumbnail = get_the_post_thumbnail_url($id, 'thumbnail');

$teacher_image = get_post_meta($id, 'jogasana_ch_teacher_image', true);
$teacher_image = wp_get_attachment_image_url( $teacher_image, 'full' );

$check_class = get_post_meta($id, 'jogasana_ch_check_class', true);
$duration = get_post_meta($id, 'jogasana_ch_duration_video', true);

$post_content = has_excerpt() ? get_the_excerpt() : get_the_content();
?>

	<div id="post-<?php echo (int) $id; ?>" class="entry">

		<a href="#" class="entry-icon <?php if($check_class) { echo 'check'; } ?> "><i class="<?php if($check_class) { echo 'licon-checkmark-circle'; } else { echo 'licon-play-circle'; } ?>"></i></a>

		  <?php if ( $teacher_image ) { ?>
		  <div class="thumbnail-attachment">
			<a href="<?php echo esc_url($link); ?>">
			<img src="<?php echo esc_url($teacher_image); ?>" alt="<?php echo trim(strip_tags($title));?>" >
			</a>
		  </div>
		  <?php } ?>
		  
		  <div class="entry-body">

			<h6 class="entry-title"><a href="<?php echo esc_url($link); ?>"><?php echo esc_html($title) ?></a></h6>
			<div class="entry-meta">
	  
			  <span><?php echo esc_html($duration) ?> <?php echo esc_html__('with','jogasana') ?></span>
			  <a href="<?php echo esc_url($link); ?>" class="entry-cat"><?php echo esc_html($teacher) ?></a>
					  
			</div>
			
		   </div>

	</div>

						