<?php
global $jogasana_settings;

$this_post = array();
$this_post['id'] = $id = get_the_ID();
$this_post['link'] = $link = get_permalink();
$this_post['title'] = $title = get_the_title();
$this_post['post_format'] = $format = get_post_format() ? get_post_format() : 'standard';

extract($this_post);

$post_content = has_excerpt() ? get_the_excerpt() : get_the_content();
$before = $bg_img = '';
?>

	<div id="post-<?php echo (int) $id; ?>" class="entry ys-<?php echo esc_attr($format) ?>-entry-format">

		<?php if ( is_sticky($id) && is_home() && ! is_paged() ): ?>
			<?php printf( '<div class="sticky-post label-top">%s</div>', esc_html__( 'Featured', 'jogasana' ) ); ?>
		<?php endif; ?>
		
		
		<?php if($format == 'quote') { 
		preg_match('~<blockquote\b[^>]*>(?:[^<]+|(?R)|<(?!/(?:blockquote|p)>))*</blockquote>~', $post_content, $match_quote);
		
		if ( !empty($match_quote) ) {
			$quote = $match_quote[0];

			$before .= do_shortcode($quote);
			
			if ( is_string($before) && !empty($before) ) {
				echo '<div class="thumbnail-attachment testimonial-holder style-2">';
				echo "<div class='blockquote-holder testimonial' >";
				echo sprintf( '%s', wpautop($before) ); 
				
					echo '<div class="entry-body"><div class="flex-row justify-content-between">';
					echo jogasana_blog_post_meta($id,
							array(
								'author' => true,
								'date' => true,
								'comments' => true
							));  
							echo jogasana_base_post_share_btn(get_the_ID());  
					echo '</div></div>';
				
				echo '</div>';
				echo '</div>';
			}
		}
		?>
		
		
		<?php } else { ?>
		
		<?php if ( has_post_thumbnail($id) ) { ?>
		<div class="thumbnail-attachment">
			<?php jogasana_post_thumbnail(); ?>
			
			<?php if ( in_array('cats', $jogasana_settings['post-metas']) ): ?>
				<?php $categories = get_the_category_list(' ', '', $id);?>
				<?php if ( !empty($categories) ): ?>
				<div class="entry-label"><?php echo wp_kses_post($categories); ?></div>		
				<?php endif; ?>
			<?php endif; ?>		
			
		</div>
		<?php } ?>

		<div class="entry-body">
		
			<h2 class="ys-entry-title entry-title">
				<a href="<?php echo esc_url($link) ?>"><?php echo wp_kses_post($title) ?></a>
			</h2>
			
			<?php echo jogasana_blog_post_meta($id,
					array(
						'author' => true,
						'date' => true,
						'comments' => false,
						'cat' => true
					));  ?>
			<?php 
			echo get_the_excerpt();
			wp_link_pages(array(
					'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages', 'jogasana' ) . ':</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '%',
					'separator'   => ''
				));
			?>
			
		</div>
		
		<?php } ?>
		
		<?php $tag_list = get_the_tag_list( '', ' ', '', $id ); ?>
		<?php if ( !empty($tag_list) ): ?>
			<div class="tagcloud"><?php echo wp_kses_post($tag_list); ?></div>	
		<?php endif; ?>
			
		
	</div>
						