
<?php
$id = get_the_author_meta('ID');
$name  = get_the_author_meta('display_name', $id);
$email = get_the_author_meta('email', $id);
$heading = esc_html__("About", 'jogasana') ." ". $name;
$description = get_the_author_meta('description', $id);

if ( empty($description) ) return;

if ( current_user_can('edit_users') || get_current_user_id() == $id ) {
	$description .= " <a href='" . admin_url( 'profile.php?user_id=' . $id ) . "'>". esc_html__( '[ Edit the profile ]', 'jogasana' ) ."</a>";
}
?>

<div class="ys-entry-author ys-author-box content-element">
<div class="widget">

	<h4 class="section-title"><?php echo esc_html($heading); ?></h4>

	<div class="team-holder var2">
    <div class="team-item">
    <div class="team-member">
    
        <div class="member-photo">
            <a class="ys-avatar">
                <?php echo get_avatar($email, '140', '', esc_html($name)); ?>
            </a>
        </div>
        
        <div class="ys-author-info wrapper">
            <h5 class="member-name"><?php echo esc_html($name); ?></h5>
           
			<?php if ( !empty($description) ): ?>
                <p class="ys-author-about member-about">
                    <?php echo sprintf('%s', $description); ?>
                </p>
            <?php endif; ?>
            
            <?php
            $user_profile = new jogasana_admin_user_profile();
            echo wp_kses_post($user_profile->output_social_links());
            ?>
            
        </div>

	</div>
    </div>
    </div>

</div>
</div>
