
<?php
$id = get_the_ID();
$image_size = array(100,78);
$tags = wp_get_post_tags($id);
$numberposts = 3;
$data_rel = '';
$counter=0;
$query = array(
		'post_type' => 'classes',
		'numberposts' => $numberposts,
		'orderby' => 'comment_count',
		'ignore_sticky_posts'=> 1,
		'post__not_in' => array($id)
	);
	
if (!empty($tags) && is_array($tags)) {
	foreach ($tags as $tag ) {
		$tag_ids[] = (int) $tag->term_id;
	}
}

$entries = get_posts($query);

if (empty($entries)) return;
?>

<div class="related-mp-event">

	<h6 class="widget-title"><?php echo esc_html__('Popular Classes', 'jogasana') ?></h6>
	
    <div class="entry-box entry-small style-2">
	
	<?php foreach($entries as $post): setup_postdata($post); ?>
		<?php
		$related_id = get_the_ID();
		$title = get_the_title($related_id);
		$related_link = get_permalink($related_id);
		$comments_count = get_comments_number($related_id);
		$post_thumbnail = get_post_thumbnail_id($related_id);
		$teacher = get_post_meta($related_id, 'jogasana_mp_teacher', true);
		$cur_terms = get_the_terms( $related_id, 'class_category' );
		
		if (isset($post_thumbnail) && $post_thumbnail > 0) {
			$thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($related_id), '');
			if (is_array($thumbnail) && isset($thumbnail[0])) {
				$thumbnail = $thumbnail[0];
			}
		}
		
		$thumbnail_atts = array(
			'class'	=> "tr_all",
			'alt'	=> esc_attr($title),
			'title'	=> esc_attr($title),
		);
	    ?>
		
        <div class="entry">
        	
            <div class="thumbnail-attachment">
				<a title="<?php echo esc_attr($title) ?>"  <?php echo esc_attr($data_rel) ?> href="<?php echo esc_url($related_link) ?>" >
				<?php echo Jogasana_Helper::get_the_post_thumbnail( $related_id, $image_size, true, array(), $thumbnail_atts ); ?>
                </a>
            </div>
			
			<div class="entry-body">
                <h6 class="entry-title"><a href="<?php echo esc_url($related_link) ?>"><?php echo esc_html( $title ) ?></a></h6>
                
				<div class="entry-meta">
                  
                        <?php if ( !empty($cur_terms) ): ?>
						
						  <?php foreach($cur_terms as $cur_term): ?>
						  <a class="project-cats" href="<?php echo get_term_link( (int) $cur_term->term_id, $cur_term->taxonomy ) ?>"><?php echo esc_html($cur_term->name) ?></a>
						  <?php endforeach; ?>
						
						<?php endif; ?>
						
                          <span><?php echo esc_html__('with', 'jogasana') ?></span>
                          <a href="#" class="entry-cat"><?php echo esc_html($teacher) ?></a>
                                  
                        </div>
				       
        	</div>
        
        </div>
        
	<?php 
	$counter++;
	endforeach; ?>
	
	<?php wp_reset_postdata(); ?>
	
    </div>
</div>