
<?php
$id = get_the_ID();
$image_size = array(555,442);
$tags = wp_get_post_tags($id);
$numberposts = -1;
$data_rel = '';
$columns = 3;
$counter=0;
$query = array(
		'post_type' => 'mp-event',
		'numberposts' => $numberposts,
		'ignore_sticky_posts'=> 1,
		'post__not_in' => array($id)
	);
	
if (!empty($tags) && is_array($tags)) {
	foreach ($tags as $tag ) {
		$tag_ids[] = (int) $tag->term_id;
	}
}
if (!empty($tag_ids)) {
	$query['tag__in'] = $tag_ids;
}
$entries = get_posts($query);

if (empty($entries)) return;
?>

<div class="related-mp-event">

	<h3 class="section-title"><?php echo esc_html__('Related Classes', 'jogasana') ?></h3>
	
    <div class="entry-box">
	
	<div class="owl-custom">
	<div class="carousel-type-2">
	<div class="owl-carousel flex-row entry-box" data-max-items="<?php echo esc_attr( $columns ) ?>" data-item-margin="30">
	
	<?php foreach($entries as $post): setup_postdata($post); ?>
		<?php
		$related_id = get_the_ID();
		$title = get_the_title($related_id);
		$related_link = get_permalink($related_id);
		$comments_count = get_comments_number($related_id);
		$post_thumbnail = get_post_thumbnail_id($related_id);
		$teacher = get_post_meta($related_id, 'jogasana_mp_teacher', true);
		$cur_terms = get_the_terms( $related_id, 'mp-event_category' );
		
		if (isset($post_thumbnail) && $post_thumbnail > 0) {
			$thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($related_id), '');
			if (is_array($thumbnail) && isset($thumbnail[0])) {
				$thumbnail = $thumbnail[0];
			}
		}
		
		$thumbnail_atts = array(
			'class'	=> "tr_all",
			'alt'	=> esc_attr($title),
			'title'	=> esc_attr($title),
		);
	    ?>
		
        <div class="entry">
        	
            <div class="thumbnail-attachment">
				<a title="<?php echo esc_attr($title) ?>"  <?php echo esc_attr($data_rel) ?> href="<?php echo esc_url($related_link) ?>" >
				<?php echo Jogasana_Helper::get_the_post_thumbnail( $related_id, $image_size, true, array(), $thumbnail_atts ); ?>
                </a>
            </div>
			
			<div class="entry-body">
                <h5 class="entry-title"><a href="<?php echo esc_url($related_link) ?>"><?php echo esc_html( $title ) ?></a></h5>
                
				<div class="entry-meta">
                  
				    <a href="#" class="entry-cat"><?php echo esc_html($teacher) ?></a>
                                  
                </div>
				       
        	</div>
        
        </div>
        
	<?php 
	$counter++;
	endforeach; ?>
	
	<?php wp_reset_postdata(); ?>
	
	</div>
	</div>
	</div>
	
    </div>
</div>