
<?php
$id = get_the_ID();
$image_size = 'jogasana-gallery-small';
$tags = wp_get_post_tags($id);
$numberposts = 2;
$column_class = 'col-md-6 col-sm-12';
$counter=0;
$query = array(
		'post_type' => 'post',
		'numberposts' => $numberposts,
		'ignore_sticky_posts'=> 1,
		'post__not_in' => array($id)
	);
	
if (!empty($tags) && is_array($tags)) {
	foreach ($tags as $tag ) {
		$tag_ids[] = (int) $tag->term_id;
	}
}
if (!empty($tag_ids)) {
	$query['tag__in'] = $tag_ids;
}
$entries = get_posts($query);

if (empty($entries)) return;
?>

<div class="related-news content-element">

	<h4 class="related-news-title section-title" ><?php echo esc_html__('Related News', 'jogasana'); ?></h4>
	
	<div class="entry-box">
    <div class="row">
	
	<?php foreach($entries as $post): setup_postdata($post); ?>
		<?php
		$related_id = get_the_ID();
		$title = get_the_title($related_id);
		$related_link = get_permalink($related_id);
		$comments_count = get_comments_number($related_id);
		$post_thumbnail = get_post_thumbnail_id($related_id);
		
		if (isset($post_thumbnail) && $post_thumbnail > 0) {
			$thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($related_id), '');
			if (is_array($thumbnail) && isset($thumbnail[0])) {
				$thumbnail = $thumbnail[0];
			}
		}
		
		$thumbnail_atts = array(
			'class'	=> "tr_all",
			'alt'	=> esc_attr($title),
			'title'	=> esc_attr($title),
		);
	    ?>
		
		<div class="<?php echo esc_attr($column_class) ?>"> 
		<div class="entry">
		
			<div class="thumbnail-attachment">
				
				<a class="ys-related-thumb" href="<?php echo esc_url(get_permalink($related_id)); ?>">
					<?php 
					if (isset($post_thumbnail) && $post_thumbnail > 0) {
					echo Jogasana_Helper::get_the_post_thumbnail( $related_id, $image_size, true, '', $thumbnail_atts );
					}
					?>
				</a>
			
				<?php $categories_post = get_the_category_list(' ', '', $related_id);?>
				<?php if ( !empty($categories_post) ): ?>
				<div class="entry-label">
				<?php echo wp_kses_post($categories_post); ?>	
				</div>
				<?php endif; ?>
				
			</div>
			
			
			<div class="entry-body">
				<h5 class="entry-title"><a href="<?php echo esc_url(get_permalink($related_id)) ?>"><?php echo esc_html($title) ?></a></h5>
				
				<div class="entry-meta">
                <time class="entry-date" datetime="<?php echo esc_attr(get_the_date(DATE_W3C, $related_id)); ?>"><?php echo esc_html(get_the_date('', $related_id)); ?></time>
              
					<?php
					printf( '<span>%1$s</span><a class="entry-cat entry-author" href="%2$s">%3$s</a>',
								esc_html__('posted by ', 'jogasana'),
								esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
								get_the_author()
							);
					?>
               
                </div>
				
			</div>
		
		</div>
		</div>
	<?php 
	$counter++;
	endforeach; ?>
	
	<?php wp_reset_postdata(); ?>
	</div>
    </div>

</div>