<?php
/**
 * Day View Single Event
 * This file contains one event in the day view
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/day/single-event.php
 *
 * @version 4.5.11
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

$venue_details = tribe_get_venue_details();

// Venue microformats
$has_venue         = ( $venue_details ) ? ' vcard' : '';
$has_venue_address = ( ! empty( $venue_details['address'] ) ) ? ' location' : '';

// The address string via tribe_get_venue_details will often be populated even when there's
// no address, so let's get the address string on its own for a couple of checks below.
$venue_address = tribe_get_address();
?>

<?php echo tribe_event_featured_image( null, 'medium' ); ?>

<div class="entry-body">

<?php do_action( 'tribe_events_before_the_event_title' ) ?>
<h5 class="tribe-events-list-event-title summary">
	<a class="url" href="<?php echo esc_url( tribe_get_event_link() ); ?>" title="<?php the_title_attribute() ?>" rel="bookmark">
		<?php the_title() ?>
	</a>
	
	<?php if ( tribe_get_cost() ) : ?>
	
		<span class="ticket-cost product-price"><?php echo tribe_get_cost( null, true ); ?></span>
		<?php
		do_action( 'tribe_events_inside_cost' )
		?>
	
	<?php endif; ?>	
	
</h5>
<?php do_action( 'tribe_events_after_the_event_title' ) ?>

<?php do_action( 'tribe_events_before_the_meta' ) ?>
<div class="tribe-events-event-meta <?php echo esc_attr( $has_venue . $has_venue_address ); ?>">

	<div class="tribe-updated published time-details tribe-event-schedule-details">
	<i class="licon-clock3"></i>
		<?php echo tribe_events_event_schedule_details(); ?>
	</div>

	<?php if ( $venue_details ) : ?>
		<div class="tribe-events-venue-details">
		<i class="licon-map-marker"></i>
		<?php
			$address_delimiter = empty( $venue_address ) ? ' ' : ', ';

			echo implode( $address_delimiter, $venue_details );
		?>
		</div>
	<?php endif; ?>

</div>

<?php do_action( 'tribe_events_after_the_meta' ) ?>

<?php do_action( 'tribe_events_before_the_content' ) ?>
<div class="tribe-events-list-event-description tribe-events-content description entry-summary">
	<?php echo tribe_events_get_the_excerpt(); ?>
	<a href="<?php echo esc_url( tribe_get_event_link() ); ?>" class="tribe-events-read-more" rel="bookmark"><?php esc_html_e( 'MORE DETAILS', 'jogasana' ) ?></a>
</div>
<?php
do_action( 'tribe_events_after_the_content' );
 ?>

</div>
