<?php
/**
 * List View Single Featured Event
 * This file contains one featured event in the list view
 *
 * Override this template in your own theme by creating a file at [your-theme]/tribe-events/list/single-featured.php
 *
 * @version 4.6.3
 *
 */
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

// Setup an array of venue details for use later in the template
$venue_details = tribe_get_venue_details();

// Venue
$has_venue_address = ( ! empty( $venue_details['address'] ) ) ? ' location' : '';

// Organizer
$organizer = tribe_get_organizer();

echo tribe_event_featured_image( null, 'jogasana-gallery-grid' );
?>

<?php do_action( 'tribe_events_before_the_event_title' ) ?>
<h5 class="tribe-events-list-event-title">
	<a class="tribe-event-url" href="<?php echo esc_url( tribe_get_event_link() ); ?>" title="<?php the_title_attribute() ?>" rel="bookmark">
		<?php the_title() ?>
	</a>
</h5>
<?php do_action( 'tribe_events_after_the_event_title' ) ?>

<?php do_action( 'tribe_events_before_the_meta' ) ?>
<div class="tribe-events-event-meta">
	<div class="author <?php echo esc_attr( $has_venue_address ); ?>">

		<div class="tribe-event-schedule-details">
			<i class="licon-clock3"></i><?php echo tribe_events_event_schedule_details() ?>
		</div>

		<?php if ( $venue_details ) : ?>
			<div class="tribe-events-venue-details">
			<i class="licon-map-marker"></i>
				<?php echo implode( ', ', $venue_details ); ?>
				<?php
				if ( tribe_show_google_map_link() ) {
					echo tribe_get_map_link_html();
				}
				?>
			</div>
		<?php endif; ?>

	</div>
</div>
<?php do_action( 'tribe_events_after_the_meta' ) ?>

<?php if ( tribe_get_cost() ) : ?>
	<div class="tribe-events-event-cost featured-event">
		<span class="ticket-cost"><?php echo esc_html( tribe_get_cost( null, true ) ); ?></span>
		<?php
		do_action( 'tribe_events_inside_cost' )
		?>
	</div>
<?php endif; ?>

<?php do_action( 'tribe_events_before_the_content' ) ?>
<div class="tribe-events-list-event-description tribe-events-content description entry-summary">
	<?php echo tribe_events_get_the_excerpt( null, wp_kses_allowed_html( 'post' ) ); ?>
	<a href="<?php echo esc_url( tribe_get_event_link() ); ?>" class="tribe-events-read-more" rel="bookmark"><?php esc_html_e( 'MORE DETAILS', 'jogasana' ) ?></a>
</div>
<?php
do_action( 'tribe_events_after_the_content' );
