<?php

$target_arr = array(
	esc_html__( 'Same window', 'jogasana' ) => '_self',
	esc_html__( 'New window', 'jogasana' ) => '_blank',
);

$attributes = array(
    'type' => 'checkbox',
    'heading' => esc_html__( 'Add scroll button bottom?', 'jogasana' ),
    'param_name' => 'scroll_bottom',
    'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
    'description' => esc_html__( 'If checked row will be set scroll button bottom.', 'jogasana' )
);
vc_add_param( 'rev_slider_vc', $attributes );

function jogasana_vc_map_add_css_animation( $label = true ) {
	$data = array(
		'type' => 'dropdown',
		'heading' => esc_html__( 'CSS Animation', 'jogasana' ),
		'param_name' => 'css_animation',
		'admin_label' => $label,
		'value' => array(
			esc_html__( 'No', 'jogasana' ) => '',
			esc_html__( 'Fade In Up', 'jogasana' ) => 'fadeInUp',
			esc_html__( 'Zoom In Down', 'jogasana' ) => 'zoomInDown',
			esc_html__( 'Bounce In Down', 'jogasana' ) => 'bounceInDown',
			esc_html__( 'Bounce In Up', 'jogasana' ) => 'bounceInUp',
			esc_html__( 'Flip In Y', 'jogasana' ) => 'flipInY',
		),
		'group' => esc_html__( 'Animations', 'jogasana' ),
		'description' => esc_html__( 'Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.', 'jogasana' )
	);

	return apply_filters( 'jogasana_vc_map_add_css_animation', $data, $label );
}

function jogasana_vc_map_add_animation_delay( $label = true ) {
	$data = array(
		'type' => 'number',
		'heading' => esc_html__( 'Animation delay', 'jogasana' ),
		'param_name' => 'animation_delay',
		'admin_label' => $label,
		'description' => '',
		'value' => 0,
		'dependency' => array(
			'element' => 'css_animation',
			'not_empty' => true
		),
		'group' => esc_html__( 'Animations', 'jogasana' )
	);

	return apply_filters( 'jogasana_vc_map_add_animation_delay', $data, $label );
}

function jogasana_vc_map_add_scroll_factor( $label = true ) {
	$data = array(
		'type' => 'number',
		'heading' => esc_html__( 'Scroll factor', 'jogasana' ),
		'param_name' => 'scroll_factor',
		'admin_label' => $label,
		'description' => esc_html__( 'Scroll factor', 'jogasana' ),
		'value' => '-80',
		'dependency' => array(
			'element' => 'css_animation',
			'not_empty' => true
		),
		'group' => esc_html__( 'Animations', 'jogasana' )
	);

	return apply_filters( 'jogasana_vc_map_add_scroll_factor', $data, $label );
}

function jogasana_vc_map_add_short_css_animation( $label = true ) {
	$data = array(
		'type' => 'dropdown',
		'heading' => esc_html__( 'CSS Animation', 'jogasana' ),
		'param_name' => 'css_animation',
		'admin_label' => $label,
		'value' => array(
			esc_html__( 'No', 'jogasana' ) => '',
			esc_html__( 'Yes', 'jogasana' ) => 'yes'
		),
		'group' => esc_html__( 'Animations', 'jogasana' ),
		'description' => esc_html__( 'Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.', 'jogasana' )
	);

	return apply_filters( 'jogasana_vc_map_add_short_css_animation', $data, $label );
}

/* Default Custom Shortcodes
/* --------------------------------------------------------------------- */

/* Row
----------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Row' , 'jogasana' ),
	'base' => 'vc_row',
	'is_container' => true,
	'icon' => 'icon-wpb-row',
	'show_settings_on_create' => false,
	'category' => esc_html__( 'Content', 'jogasana' ),
	'description' => esc_html__( 'Place content elements inside the row', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Row stretch', 'jogasana' ),
			'param_name' => 'full_width',
			'value' => array(
				esc_html__( 'Default', 'jogasana' ) => '',
				esc_html__( 'Stretch row', 'jogasana' ) => 'stretch_row',
				esc_html__( 'Stretch row and content', 'jogasana' ) => 'stretch_row_content',
				esc_html__( 'Stretch row and content (no paddings)', 'jogasana' ) => 'stretch_row_content_no_spaces',
			),
			'description' => esc_html__( 'Select stretching options for row and content (Note: stretched may not work properly if parent container has "overflow: hidden" CSS property).', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Content Width', 'jogasana' ),
			'param_name' => 'content_width',
			'value' => array(
				esc_html__( 'Normal', 'jogasana' ) => '',
				esc_html__( 'Extra width 1', 'jogasana' ) => 'wide',
				esc_html__( 'Extra width 2', 'jogasana' ) => 'wide2',
				esc_html__( 'Extra width 3', 'jogasana' ) => 'wide3',
			),
			'description' => esc_html__( 'Select Content Width', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns gap', 'jogasana' ),
			'param_name' => 'gap',
			'value' => array(
				'0px' => '0',
				'1px' => '1',
				'2px' => '2',
				'3px' => '3',
				'4px' => '4',
				'5px' => '5',
				'10px' => '10',
				'15px' => '15',
				'20px' => '20',
				'25px' => '25',
				'30px' => '30',
				'35px' => '35',
			),
			'std' => '0',
			'description' => esc_html__( 'Select gap between columns in row.', 'jogasana' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Full height row?', 'jogasana' ),
			'param_name' => 'full_height',
			'description' => esc_html__( 'If checked row will be set to full height.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns position', 'jogasana' ),
			'param_name' => 'columns_placement',
			'value' => array(
				esc_html__( 'Middle', 'jogasana' ) => 'middle',
				esc_html__( 'Top', 'jogasana' ) => 'top',
				esc_html__( 'Bottom', 'jogasana' ) => 'bottom',
				esc_html__( 'Stretch', 'jogasana' ) => 'stretch',
			),
			'description' => esc_html__( 'Select columns position within row.', 'jogasana' ),
			'dependency' => array(
				'element' => 'full_height',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Equal height', 'jogasana' ),
			'param_name' => 'equal_height',
			'description' => esc_html__( 'If checked columns will be set to equal height.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Content position', 'jogasana' ),
			'param_name' => 'content_placement',
			'value' => array(
				esc_html__( 'Default', 'jogasana' ) => '',
				esc_html__( 'Top', 'jogasana' ) => 'top',
				esc_html__( 'Middle', 'jogasana' ) => 'middle',
				esc_html__( 'Bottom', 'jogasana' ) => 'bottom',
			),
			'description' => esc_html__( 'Select content position within columns.', 'jogasana' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Use video background?', 'jogasana' ),
			'param_name' => 'video_bg',
			'description' => esc_html__( 'If checked, video will be used as row background.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Use scrolldown icon?', 'jogasana' ),
			'param_name' => 'scrolldown_icon',
			'description' => esc_html__( 'If checked, scrolldown icon will be used as icon in bottom.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'full_height',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'YouTube link', 'jogasana' ),
			'param_name' => 'video_bg_url',
			'value' => 'https://www.youtube.com/watch?v=lMJXxhRFO1k',
			'description' => esc_html__( 'Add YouTube link.', 'jogasana' ),
			'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Parallax', 'jogasana' ),
			'param_name' => 'video_bg_parallax',
			'value' => array(
				esc_html__( 'None', 'jogasana' ) => '',
				esc_html__( 'Simple', 'jogasana' ) => 'content-moving'
			),
			'description' => esc_html__( 'Add parallax type background for row.', 'jogasana' ),
			'dependency' => array(
				'element' => 'video_bg',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Parallax', 'jogasana' ),
			'param_name' => 'parallax',
			'value' => array(
				esc_html__( 'None', 'jogasana' ) => '',
				esc_html__( 'Simple', 'jogasana' ) => 'content-moving',
			),
			'description' => esc_html__( 'Add parallax type background for row (Note: If no image is specified, parallax will use background image from Design Options).', 'jogasana' ),
			'dependency' => array(
				'element' => 'video_bg',
				'is_empty' => true,
			)
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'parallax_image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
			'group' => esc_html__( 'Parallax', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Overlay background color', 'jogasana' ),
			'param_name' => 'overlay_color',
			'description' => esc_html__( 'Select custom overlay color for background.', 'jogasana' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
			'group' => esc_html__( 'Parallax', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Parallax opacity', 'jogasana' ),
			'param_name' => 'parallax_opacity',
			'value' => '1',
			'description' => esc_html__( 'The opacity property can take a value from 0.0 - 1.0. The lower value, the more transparent. (Note: Default value is 0.5, min value 0 max value is 1)', 'jogasana' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true
			),
			'group' => esc_html__( 'Parallax', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Parallax speed', 'jogasana' ),
			'param_name' => 'parallax_speed_video',
			'value' => '1.5',
			'description' => esc_html__( 'Enter parallax speed ratio (Note: Default value is 1.5, min value is 1)', 'jogasana' ),
			'dependency' => array(
				'element' => 'video_bg_parallax',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Parallax speed', 'jogasana' ),
			'param_name' => 'parallax_speed_bg',
			'value' => '1.5',
			'description' => esc_html__( 'Enter parallax speed ratio (Note: Default value is 1.5, min value is 1)', 'jogasana' ),
			'dependency' => array(
				'element' => 'parallax',
				'not_empty' => true,
			),
		),
		array(
			'type' => 'el_id',
			'heading' => esc_html__( 'Row ID', 'jogasana' ),
			'param_name' => 'el_id',
			'description' => sprintf( wp_kses(__( 'Enter row ID (Note: make sure it is unique and valid according to <a href="%s" target="_blank">w3c specification</a>).', 'jogasana' ), 'default'), 'http://www.w3schools.com/tags/att_global_id.asp' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Disable row', 'jogasana' ),
			'param_name' => 'disable_element', // Inner param name.
			'description' => esc_html__( 'If checked the row won\'t be visible on the public side of your website. You can switch it back any time.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'jogasana' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'jogasana' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'jogasana' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'jogasana' ),
		),
	),
	'js_view' => 'VcRowView',
) );

vc_map(
	array(
		'name' => esc_html__( 'Text Block', 'jogasana' ),
		'base' => 'vc_column_text',
		'icon' => 'icon-wpb-layer-shape-text',
		'wrapper_class' => 'clearfix',
		'category' => esc_html__( 'Content', 'jogasana' ),
		'description' => esc_html__( 'A block of text with WYSIWYG editor', 'jogasana' ),
		'params' => array(
			array(
				'type' => 'textarea_html',
				'holder' => 'div',
				'heading' => esc_html__( 'Text', 'jogasana' ),
				'param_name' => 'content',
				'value' => esc_html__( 'I am text block. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.', 'jogasana' ),
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Extra class name', 'jogasana' ),
				'param_name' => 'el_class',
				'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'jogasana' ),
			),
			array(
				'type' => 'css_editor',
				'heading' => esc_html__( 'CSS box', 'jogasana' ),
				'param_name' => 'css',
				'group' => esc_html__( 'Design Options', 'jogasana' ),
			),
			jogasana_vc_map_add_css_animation(),
			jogasana_vc_map_add_animation_delay(),
			jogasana_vc_map_add_scroll_factor(),
		),
	)
);

/* Custom Heading element
----------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Custom Heading', 'jogasana' ),
	'base' => 'vc_custom_heading',
	'icon' => 'icon-wpb-ui-custom_heading',
	'show_settings_on_create' => true,
	'category' => esc_html__( 'Content', 'jogasana' ),
	'description' => esc_html__( 'Text with Google fonts', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Text source', 'jogasana' ),
			'param_name' => 'source',
			'value' => array(
				esc_html__( 'Custom text', 'jogasana' ) => '',
				esc_html__( 'Post or Page Title', 'jogasana' ) => 'post_title',
			),
			'std' => '',
			'description' => esc_html__( 'Select text source.', 'jogasana' ),
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'text',
			'admin_label' => true,
			'value' => esc_html__( 'This is custom heading element', 'jogasana' ),
			'description' => esc_html__( 'Note: If you are using non-latin characters be sure to activate them under Settings/Visual Composer/General Settings.', 'jogasana' ),
			'dependency' => array(
				'element' => 'source',
				'is_empty' => true,
			),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to custom heading.', 'jogasana' ),
		),
		array(
			'type' => 'font_container',
			'param_name' => 'font_container',
			'value' => 'tag:h2|text_align:left',
			'settings' => array(
				'fields' => array(
					'tag' => 'h2', // default value h2
					'text_align',
					'font_size',
					'line_height',
					'color',
					'tag_description' => esc_html__( 'Select element tag.', 'jogasana' ),
					'text_align_description' => esc_html__( 'Select text alignment.', 'jogasana' ),
					'font_size_description' => esc_html__( 'Enter font size.', 'jogasana' ),
					'line_height_description' => esc_html__( 'Enter line height.', 'jogasana' ),
					'color_description' => esc_html__( 'Select heading color.', 'jogasana' ),
				),
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Use theme default font family?', 'jogasana' ),
			'param_name' => 'use_theme_fonts',
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => 'yes' ),
			'description' => esc_html__( 'Use font family from the theme.', 'jogasana' ),
			'std' => 'yes'
		),
		array(
			'type' => 'google_fonts',
			'param_name' => 'google_fonts',
			'value' => 'font_family:Droid Serif:regular,italic,700,700italic',
			'settings' => array(
				'fields' => array(
					'font_family_description' => esc_html__( 'Select font family.', 'jogasana' ),
					'font_style_description' => esc_html__( 'Select font styling.', 'jogasana' ),
				),
			),
			'dependency' => array(
				'element' => 'use_theme_fonts',
				'value_not_equal_to' => 'yes',
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'With border?', 'jogasana' ),
			'param_name' => 'with_border',
			'value' => array( esc_html__( 'Yes', 'jogasana' ) => true ),
			'description' => esc_html__( 'Use border bottom.', 'jogasana' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'jogasana' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'jogasana' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'jogasana' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'jogasana' ),
		),
		jogasana_vc_map_add_css_animation(),
		jogasana_vc_map_add_animation_delay(),
		jogasana_vc_map_add_scroll_factor()
	),
) );

/* Gallery/Slideshow
---------------------------------------------------------- */
vc_map( array(
	'name' => esc_html__( 'Image Gallery', 'jogasana' ),
	'base' => 'vc_gallery',
	'icon' => 'icon-wpb-images-stack',
	'category' => esc_html__( 'Content', 'jogasana' ),
	'description' => esc_html__( 'Responsive image gallery', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Widget title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text used as widget title (Note: located above content element).', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Image source', 'jogasana' ),
			'param_name' => 'source',
			'value' => array(
				esc_html__( 'Media library', 'jogasana' ) => 'media_library',
				esc_html__( 'External links', 'jogasana' ) => 'external_link',
			),
			'std' => 'media_library',
			'description' => esc_html__( 'Select image source.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
				esc_html__( '5 Columns', 'jogasana' ) => 5,
				esc_html__( '6 Columns', 'jogasana' ) => 6
			),
			'std' => 4,
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' )
		),
		array(
			'type' => 'attach_images',
			'heading' => esc_html__( 'Images', 'jogasana' ),
			'param_name' => 'images',
			'value' => '',
			'description' => esc_html__( 'Select images from media library.', 'jogasana' ),
			'dependency' => array(
				'element' => 'source',
				'value' => 'media_library',
			),
		),
		array(
			'type' => 'exploded_textarea',
			'heading' => esc_html__( 'External links', 'jogasana' ),
			'param_name' => 'custom_srcs',
			'description' => esc_html__( 'Enter external link for each gallery image (Note: divide links with linebreaks (Enter)).', 'jogasana' ),
			'dependency' => array(
				'element' => 'source',
				'value' => 'external_link',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image size', 'jogasana' ),
			'param_name' => 'img_size',
			'value' => 'thumbnail',
			'description' => esc_html__( 'Enter image size. Example: thumbnail, medium, large, full or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use "thumbnail" size.', 'jogasana' ),
			'dependency' => array(
				'element' => 'source',
				'value' => 'media_library',
			),
			'std' => '275x275'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image size', 'jogasana' ),
			'param_name' => 'external_img_size',
			'value' => '',
			'description' => esc_html__( 'Enter image size in pixels. Example: 200x100 (Width x Height).', 'jogasana' ),
			'dependency' => array(
				'element' => 'source',
				'value' => 'external_link',
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Enable carousel', 'jogasana' ),
			'param_name' => 'carousel',
			'description' => esc_html__( 'Enable carousel.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'On click action', 'jogasana' ),
			'param_name' => 'onclick',
			'value' => array(
				esc_html__( 'Open lightbox', 'jogasana' ) => 'link_image',
				esc_html__( 'Open custom link', 'jogasana' ) => 'custom_link',
			),
			'description' => esc_html__( 'Select action for click action.', 'jogasana' ),
			'std' => 'link_image',
		),
		array(
			'type' => 'exploded_textarea',
			'heading' => esc_html__( 'Custom links', 'jogasana' ),
			'param_name' => 'custom_links',
			'description' => esc_html__( 'Enter links for each slide (Note: divide links with linebreaks (Enter)).', 'jogasana' ),
			'dependency' => array(
				'element' => 'onclick',
				'value' => array( 'custom_link' ),
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Custom link target', 'jogasana' ),
			'param_name' => 'custom_links_target',
			'description' => esc_html__( 'Select where to open  custom links.', 'jogasana' ),
			'dependency' => array(
				'element' => 'onclick',
				'value' => array( 'custom_link', 'img_link_large' ),
			),
			'value' => $target_arr,
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'jogasana' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'jogasana' ),
		),
		array(
			'type' => 'css_editor',
			'heading' => esc_html__( 'CSS box', 'jogasana' ),
			'param_name' => 'css',
			'group' => esc_html__( 'Design Options', 'jogasana' ),
		),
	),
) );

/* Theme Shortcodes
/* ---------------------------------------------------------------- */

/* Button
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Button', 'jogasana' ),
	'base' => 'vc_mad_btn',
	'icon' => 'icon-wpb-mad-button',
	'category' => array( esc_html__( 'Jogasana', 'jogasana' ) ),
	'description' => esc_html__( 'Eye catching button', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'title',
			'value' => esc_html__( 'Text on the button', 'jogasana' ),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Style', 'jogasana' ),
			'param_name' => 'style',
			'description' => esc_html__( 'Select style color.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Default', 'jogasana' ) => '',
				esc_html__( 'Theme Gray', 'jogasana' ) => 'btn-style-2',
				esc_html__( 'Theme Red', 'jogasana' ) => 'btn-style-3',
				esc_html__( 'Theme Gray2', 'jogasana' ) => 'btn-style-4',
				esc_html__( 'Theme Purple', 'jogasana' ) => 'btn-style-5',
				esc_html__( 'Theme Green', 'jogasana' ) => 'btn-style-6',
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Size', 'jogasana' ),
			'param_name' => 'size',
			'description' => esc_html__( 'Select button display size.', 'jogasana' ),
			'std' => 'btn-small',
			'value' => array(
				esc_html__('Small', 'jogasana') => 'btn-small',
				esc_html__('Medium', 'jogasana') => 'btn-medium',
				esc_html__('Big', 'jogasana') => 'btn-big',
				esc_html__('Large', 'jogasana') => 'btn-lg',
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment', 'jogasana' ),
			'param_name' => 'align',
			'description' => esc_html__( 'Select button alignment.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Inline', 'jogasana' ) => 'ys-inline',
				esc_html__( 'Left', 'jogasana' ) => 'ys-left',
				esc_html__( 'Right', 'jogasana' ) => 'ys-right',
				esc_html__( 'Center', 'jogasana' ) => 'ys-center',
			),
		),
		array(
			"type" => "choose_icons",
			"heading" => esc_html__("Icon", 'jogasana'),
			"param_name" => "icon",
			"value" => 'none',
			"description" => esc_html__('Select icon from library.', 'jogasana')
		),
	),
));

/* Message
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Message Box', 'jogasana' ),
	'base' => 'vc_mad_message',
	'icon' => 'icon-wpb-mad-message-box',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Notification boxes', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Style', 'jogasana' ),
			'param_name' => 'message_box_style',
			'value' => array(
				esc_html__('Success', 'jogasana') => 'alert-success',
				esc_html__('Warning', 'jogasana') => 'alert-warning',
				esc_html__('Info', 'jogasana') => 'alert-info',
				esc_html__('Fail', 'jogasana') => 'alert-fail',
			),
			'description' => esc_html__( 'Select message box style.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'message_box_type',
			'value' => array(
				esc_html__('Type 1', 'jogasana') => 'ys-type-1',
				esc_html__('Type 2', 'jogasana') => 'ys-type-2',
			),
			'description' => esc_html__( 'Select message box type design.', 'jogasana' ),
		),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'class' => 'messagebox_text',
			'heading' => esc_html__( 'Message text', 'jogasana' ),
			'param_name' => 'content',
			'value' => wp_kses(__( '<p>I am message box. Click edit button to change this text.</p>', 'jogasana' ), 'default'),
		)
	),
));

/* List Styles
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'List Styles', 'jogasana' ),
	'base' => 'vc_mad_list_styles',
	'icon' => 'icon-wpb-mad-list-styles',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'List styles', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'exploded_textarea',
			'heading' => esc_html__( 'List Items', 'jogasana' ),
			'param_name' => 'values',
			'description' => esc_html__( 'Input list items values. Divide values with (|). Example: Development|Design', 'jogasana' ),
			'value' => ''
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout', 'jogasana' ),
			'param_name' => 'layout',
			'value' => array(
				esc_html__('Type 1', 'jogasana') => 'type-1',
				esc_html__('Type 2', 'jogasana') => 'type-2',
				esc_html__('Type 3', 'jogasana') => 'type-3',
				esc_html__('Type 4', 'jogasana') => 'type-4',
				esc_html__('Type 5', 'jogasana') => 'type-1 var2'
			),
			'std' => '',
			'description' => esc_html__('Choose layout style.', 'jogasana')
		),
	)
) );

/* Team Members
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Team Members', 'jogasana' ),
	'base' => 'vc_mad_team_members',
	'icon' => 'icon-wpb-mad-team-members',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Team Members post type', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as subtitle. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Description align", 'jogasana'),
			"param_name" => "description_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
				esc_html__( '5 Columns', 'jogasana' ) => 5
			),
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 30, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Enable excerpt', 'jogasana' ),
			'param_name' => 'excerpt',
			'description' => esc_html__( 'Enable excerpt.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Carousel', 'jogasana' ),
			'param_name' => 'carousel',
			'description' => esc_html__( 'Enable carousel.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'carousel',
				'not_empty' => true
			)
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type Carousel', 'jogasana' ),
			'param_name' => 'type_carousel',
			'description' => esc_html__( 'Select type carousel.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'style-1',
				esc_html__( 'Type 2', 'jogasana' ) => 'style-2',
			),
			'std' => 'style-1',
			'dependency' => array(
				'element' => 'carousel',
				'not_empty' => true
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Filter', 'jogasana' ),
			'param_name' => 'sort',
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => '',
				esc_html__( 'Yes', 'jogasana' ) => 'yes'
			),
			'description' => esc_html__( 'Should the sorting options based on categories be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment Filter', 'jogasana' ),
			'param_name' => 'align_sort',
			'description' => esc_html__( 'Select filter alignment.', 'jogasana' ),
			'group' => esc_html__( 'Filter', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'align-left',
				esc_html__( 'Right', 'jogasana' ) => 'align-right',
				esc_html__( 'Center', 'jogasana' ) => 'align-center',
			),
			'dependency' => array(
				'element' => 'sort',
				'not_empty' => true
			)
		),
		array(
			"type" => "get_terms",
			"term" => "team_category",
			'heading' => esc_html__( 'Which categories should be used for the team?', 'jogasana' ),
			"param_name" => "categories",
			"holder" => "div",
			'description' => esc_html__('The Page will then show team from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => '',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Pagination', 'jogasana' ),
			'param_name' => 'paginate',
			'value' => array(
				esc_html__( 'Display Pagination', 'jogasana' ) => 'pagination',
				esc_html__( 'No Pagination', 'jogasana' ) => 'none'
			),
			'std' => 'none',
			'description' => esc_html__( 'Should a pagination be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment Pagination', 'jogasana' ),
			'param_name' => 'align_pagination',
			'description' => esc_html__( 'Select pagination alignment.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'align-left',
				esc_html__( 'Right', 'jogasana' ) => 'align-right',
				esc_html__( 'Center', 'jogasana' ) => 'align-center',
			),
			'dependency' => array(
				'element' => 'paginate',
				'value' => array( 'pagination' )
			)
		),
		jogasana_vc_map_add_css_animation()
	)
) );


/* Challenges
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Challenges', 'jogasana' ),
	'base' => 'vc_mad_challenge',
	'icon' => 'icon-wpb-mad-services',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Challenges categories', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => '',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Description align", 'jogasana'),
			"param_name" => "description_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3
			),
			'std' => 2,
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 50, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		jogasana_vc_map_add_css_animation()
	)
) );


/* Place
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Place', 'jogasana' ),
	'base' => 'vc_mad_place',
	'icon' => 'icon-wpb-mad-services',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Place post type', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => '',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Description align", 'jogasana'),
			"param_name" => "description_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout', 'jogasana' ),
			'param_name' => 'layout',
			'value' => array(
				esc_html__( 'Layout 1', 'jogasana' ) => 'type-1',
				esc_html__( 'Layout 2', 'jogasana' ) => 'type-2',
			),
			'std' => 'type-1',
			'description' => esc_html__( 'Choose the default layout here.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3
			),
			'std' => 2,
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-1' )
			),
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 50, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			"type" => "get_terms",
			"term" => "place_category",
			'heading' => esc_html__( 'Which categories should be used for the challenge?', 'jogasana' ),
			"param_name" => "categories",
			"holder" => "div",
			'description' => esc_html__('The Page will then show challenge from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Pagination', 'jogasana' ),
			'param_name' => 'paginate',
			'value' => array(
				esc_html__( 'Display Pagination', 'jogasana' ) => 'pagination',
				esc_html__( 'No Pagination', 'jogasana' ) => 'none'
			),
			'std' => 'none',
			'description' => esc_html__( 'Should a pagination be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment Pagination', 'jogasana' ),
			'param_name' => 'align_pagination',
			'description' => esc_html__( 'Select pagination alignment.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'align-left',
				esc_html__( 'Right', 'jogasana' ) => 'align-right',
				esc_html__( 'Center', 'jogasana' ) => 'align-center',
			),
			'dependency' => array(
				'element' => 'paginate',
				'value' => array( 'pagination' )
			)
		),
		jogasana_vc_map_add_css_animation()
	)
) );


/* Team list
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Team list', 'jogasana' ),
	'base' => 'vc_mad_team_list',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Team list', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 30, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed?', 'jogasana' )
		),
		array(
			"type" => "get_terms",
			"term" => "team_category",
			'heading' => esc_html__( 'Which categories should be used for the team?', 'jogasana' ),
			"param_name" => "categories",
			"holder" => "div",
			'description' => esc_html__('The Page will then show team from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		jogasana_vc_map_add_css_animation()
	)
) );

/* Events
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Events', 'jogasana' ),
	'base' => 'vc_mad_events',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Events post type', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for subtitle', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for subtitle.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout', 'jogasana' ),
			'param_name' => 'layout',
			'value' => array(
				esc_html__( 'Carousel 1', 'jogasana' ) => 'type-1',
				esc_html__( 'Carousel 2', 'jogasana' ) => 'type-2',
				esc_html__( 'Grid', 'jogasana' ) => 'type-3',
			),
			'std' => 'type-1',
			'description' => esc_html__( 'Choose the default layout here.', 'jogasana' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Pagination', 'jogasana' ),
			'param_name' => 'pagination',
			'description' => esc_html__( 'Enables pagination.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-3' )
			)
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-1', 'type-2' )
			)
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image Left', 'jogasana' ),
			'param_name' => 'image1',
			'value' => '',
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-2' )
			),
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image Right', 'jogasana' ),
			'param_name' => 'image2',
			'value' => '',
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-2' )
			),
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '1 Columns', 'jogasana' ) => 1,
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
			),
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
			'std' => 2,
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 30, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
			'group' => esc_html__( 'Button', 'jogasana' ),
		),
		array(
			"type" => "get_terms",
			"term" => "tribe_events_cat",
			'heading' => esc_html__( 'Which categories should be used for the events?', 'jogasana' ),
			"param_name" => "categories",
			"holder" => "div",
			'description' => esc_html__('The Page will then show events from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		jogasana_vc_map_add_css_animation()
	)
) );


/* Testimonials
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Testimonials', 'jogasana' ),
	'base' => 'vc_mad_testimonials',
	'icon' => 'icon-wpb-mad-testimonials',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Testimonials post type', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => '',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Description align", 'jogasana'),
			"param_name" => "description_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for divider', 'jogasana' ),
			'param_name' => 'divider_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for divider.', 'jogasana' ),
		),
		array(
		'type' => 'checkbox',
		'heading' => esc_html__( 'Show divider', 'jogasana' ),
		'param_name' => 'divider',
		'group' => esc_html__( 'Styling', 'jogasana' ),
		'description' => esc_html__( 'Show divider.', 'jogasana' ),
		'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for author position', 'jogasana' ),
			'param_name' => 'author_color',
			'std' => '#999',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for author position.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout', 'jogasana' ),
			'param_name' => 'layout',
			'value' => array(
				esc_html__( 'Layout 1', 'jogasana' ) => 'type-1',
				esc_html__( 'Layout 2', 'jogasana' ) => 'type-2',
				esc_html__( 'Carousel type1', 'jogasana' ) => 'type-3',
				esc_html__( 'Carousel type2', 'jogasana' ) => 'type-4',
				esc_html__( 'Carousel type3', 'jogasana' ) => 'type-5',
				esc_html__( 'Carousel type4', 'jogasana' ) => 'type-6',
				esc_html__( 'Carousel type5', 'jogasana' ) => 'type-4 light_style',
			),
			'std' => 'type-1',
			'description' => esc_html__( 'Choose the default layout here.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
			),
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-3', 'type-5' )
			),
			'std' => 3,
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'type-3', 'type-4', 'type-5', 'type-6', 'type-4 light_style' )
			)
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 30, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
			'group' => esc_html__( 'Button', 'jogasana' ),
		),
		array(
			"type" => "get_terms",
			"term" => "testimonials_category",
			'heading' => esc_html__( 'Which categories should be used for the testimonials?', 'jogasana' ),
			"param_name" => "categories",
			"holder" => "div",
			'description' => esc_html__('The Page will then show testimonials from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		jogasana_vc_map_add_css_animation()
	)
) );

/* Banners
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Banners', 'jogasana' ),
	'base' => 'vc_mad_banners',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Banners', 'jogasana' ),
	'params' => array(
	    array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle1', 'jogasana' ),
			'param_name' => 'subtitle1',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title1', 'jogasana' ),
			'param_name' => 'title1',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image Left', 'jogasana' ),
			'param_name' => 'image1',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'URL', 'jogasana' ),
			'param_name' => 'link_1',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle2', 'jogasana' ),
			'param_name' => 'subtitle2',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title2', 'jogasana' ),
			'param_name' => 'title2',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image Right', 'jogasana' ),
			'param_name' => 'image2',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'URL', 'jogasana' ),
			'param_name' => 'link_2',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
		)
	),
));

/* Banner
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Banner', 'jogasana' ),
	'base' => 'vc_mad_banner',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Banner', 'jogasana' ),
	'params' => array(
	    array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle1',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title1',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image1',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'URL', 'jogasana' ),
			'param_name' => 'link_1',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
		)
	),
));

/* Text with image
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Text with image', 'jogasana' ),
	'base' => 'vc_mad_text_with_image',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Text with image', 'jogasana' ),
	'params' => array(
	    array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'std' => 'type_1',
			'description' => esc_html__( 'Select type.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'type_1',
				esc_html__( 'Type 2', 'jogasana' ) => 'type_2',
			)
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Wide', 'jogasana' ),
			'param_name' => 'wide',
			'std' => 'wide2',
			'description' => esc_html__( 'Select type.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'wide2',
				esc_html__( 'Type 2', 'jogasana' ) => 'wide3',
			)
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL Button', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Video link', 'jogasana' ),
			'param_name' => 'link_video',
			'value' => 'https://vimeo.com/51589652',
			'admin_label' => true,
			'description' => sprintf( wp_kses(__( 'Enter link to video (Note: read more about available formats at WordPress <a href="%s" target="_blank">codex page</a>).', 'jogasana' ), 'default'), 'http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F' ),
		),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Message text', 'jogasana' ),
			'param_name' => 'content',
			'value' => esc_html__( 'I am message box. Click edit button to change this text.', 'jogasana' ),
		)
	),
));

/* Countdown
---------------------------------------------------------- */

vc_map( array(
	"name" => esc_html__( "Countdown", 'jogasana' ),
	"base" => "vc_mad_countdown",
	"icon" => "icon-wpb-mad-countdown",
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Countdown', 'jogasana' ),
	"params" => array(
		array(
			"type" => "textfield",
			"holder" => "div",
			"class" => "",
			"heading" => esc_html__( "Title", 'jogasana' ),
			"param_name" => "title",
			"value" => '',
		),
		array(
			"type" => "datetimepicker",
			"class" => "",
			"heading" => esc_html__("Target Time For Countdown", 'jogasana'),
			"param_name" => "datetime",
			"value" => "",
			"description" => esc_html__("Date and time format (yyyy/mm/dd hh:mm:ss).", 'jogasana'),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Text align", 'jogasana'),
			"param_name" => "text_align",
			"value" => array(
				esc_html__("Left",'jogasana') => "left",
				esc_html__("Right",'jogasana') => "right",
				esc_html__("Center",'jogasana') => "center"
			)
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Extra class name', 'jogasana' ),
			'param_name' => 'el_class',
			'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'jogasana' )
		)
	)
) );

/* Gallery
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Custom Gallery', 'jogasana' ),
	'base' => 'vc_mad_gallery',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Gallery', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'attach_images',
			'heading' => esc_html__( 'Images', 'jogasana' ),
			'param_name' => 'images',
			'value' => '',
			'description' => esc_html__( 'Select images from media library.', 'jogasana' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		jogasana_vc_map_add_css_animation()
	)
) );

/* Brands Logo
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Brands Logo', 'jogasana' ),
	'base' => 'vc_mad_brands_logo',
	'icon' => 'icon-wpb-mad-brands-logo',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Brands logo', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3',
				'h4' => 'h4'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Description align", 'jogasana'),
			"param_name" => "description_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'attach_images',
			'heading' => esc_html__( 'Images', 'jogasana' ),
			'param_name' => 'images',
			'value' => '',
			'description' => esc_html__( 'Select images from media library.', 'jogasana' )
		),
		array(
			"type" => "textarea",
			"heading" => esc_html__( 'Links', 'jogasana' ),
			"param_name" => "links",
			"holder" => "span",
			"description" => esc_html__( 'Input links values. Divide values with linebreaks (|). Example: http://brand.com | http://brand2.com', 'jogasana' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Enable carousel', 'jogasana' ),
			'param_name' => 'carousel',
			'description' => esc_html__( 'Enable carousel.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		jogasana_vc_map_add_css_animation()
	)
) );

/* Blockquotes
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Blockquotes', 'jogasana' ),
	'base' => 'vc_mad_blockquotes',
	'icon' => 'icon-wpb-mad-testimonials',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Blockquotes styles', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Style', 'jogasana' ),
			'param_name' => 'style',
			'value' => array(
				esc_html__( 'Style 1', 'jogasana' ) => 'with-bg-image',
				esc_html__( 'Style 2', 'jogasana' ) => 'with-bg',
			),
			'std' => 'with-bg-image',
			'description' => esc_html__( 'Choose the default style for blockquote.', 'jogasana' )
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image',
			'value' => '',
			'dependency' => array(
				'element' => 'style',
				'value' => array( 'with-bg-image' ),
			),
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Author', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as author description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Info', 'jogasana' ),
			'param_name' => 'info',
			'description' => esc_html__( 'Enter text which will be used as author description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'content',
			'value' => esc_html__( '<p>I am text block. Click edit button to change this text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut elit tellus, luctus nec ullamcorper mattis, pulvinar dapibus leo.</p>', 'jogasana' ),
		)

	)
));

/* Home Block Media Holder
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Home Block Media Holder', 'jogasana' ),
	'base' => 'vc_mad_media_holder',
	'icon' => 'icon-wpb-mad-team-members',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Block Media Holder', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'box_type',
			'value' => array(
				esc_html__('Type 1', 'jogasana') => 'style-1',
				esc_html__('Type 2', 'jogasana') => 'about-us',
				esc_html__('Type 3', 'jogasana') => 'full-scr',
				esc_html__('Type 4', 'jogasana') => 'style-2',
			),
			'description' => esc_html__( 'Select type design.', 'jogasana' ),
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Message text', 'jogasana' ),
			'param_name' => 'content',
			'value' => esc_html__( 'I am message box. Click edit button to change this text.', 'jogasana' ),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'dependency' => array(
				'element' => 'box_type',
				'value' => array( 'style-1', 'style-2', 'full-scr' )
			),
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
			'group' => esc_html__( 'Button', 'jogasana' ),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link2',
			'dependency' => array(
				'element' => 'box_type',
				'value' => array( 'style-1', 'style-2' )
			),
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
			'group' => esc_html__( 'Button', 'jogasana' ),
		),
	),
));

/* Call to Action
---------------------------------------------------------- */

$wysija_forms = array();

if ( defined('WYSIJA') ) {
	$model_forms = WYSIJA::get( 'forms', 'model' );
	$model_forms->reset();
	$forms = $model_forms->getRows( array( 'form_id', 'name' ) );
	if ( $forms ) {
		foreach( $forms as $form ) {
			if ( isset($form) )
				$wysija_forms[$form['name']] = $form['form_id'];
		}
	}
}

vc_map( array(
	'name' => esc_html__( 'Call to Action', 'jogasana' ),
	'base' => 'vc_mad_cta',
	'icon' => 'icon-wpb-mad-cta',
	'category' => array( esc_html__( 'Jogasana', 'jogasana' ) ),
	'description' => esc_html__( 'Catch visitors attention with CTA block', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Heading', 'jogasana' ),
			'admin_label' => true,
			'param_name' => 'title',
			'value' => esc_html__( 'Hey! I am first heading line feel free to change me', 'jogasana' ),
			'description' => esc_html__( 'Enter text for heading line. \n = LF (Line Feed) - Used as a new line character', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-9',
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Text color', 'jogasana' ),
			'param_name' => 'title_color',
			'description' => esc_html__( 'Select custom text color.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-3',
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Subheading', 'jogasana' ),
			'param_name' => 'subtitle',
			'value' => '',
			'description' => esc_html__( 'Enter text for subheading line.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-9',
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Subheading Text color', 'jogasana' ),
			'param_name' => 'subheading_text_color',
			'description' => esc_html__( 'Select custom text color.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-3',
		),
		
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'value' => array(
				esc_html__( 'Type1', 'jogasana' ) => 'type1',
				esc_html__( 'Type2', 'jogasana' ) => 'type2',
				esc_html__( 'Type3', 'jogasana' ) => 'type3',
				esc_html__( 'Type4', 'jogasana' ) => 'type4',
				esc_html__( 'Type5', 'jogasana' ) => 'type5',
			),
			'description' => esc_html__( 'Type call to action.', 'jogasana' ),
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Background Image', 'jogasana' ),
			'param_name' => 'image1',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Background color', 'jogasana' ),
			'param_name' => 'custom_bg_color',
			'description' => esc_html__( 'Select color for background.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'CSS Animation', 'jogasana' ),
			'param_name' => 'css_animation',
			'admin_label' => true,
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => '',
				esc_html__( 'Fade In Up', 'jogasana' ) => 'fadeInUp',
				esc_html__( 'Zoom In Down', 'jogasana' ) => 'zoomInDown',
				esc_html__( 'Bounce In Down', 'jogasana' ) => 'bounceInDown',
				esc_html__( 'Bounce In Up', 'jogasana' ) => 'bounceInUp',
				esc_html__( 'Flip In Y', 'jogasana' ) => 'flipInY',
			),
			'description' => esc_html__( 'Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.', 'jogasana' )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
			'group' => esc_html__( 'Button', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Button title color', 'jogasana' ),
			'param_name' => 'custom_button_color',
			'description' => esc_html__( 'Select custom text color for button.', 'jogasana' ),
			'group' => esc_html__( 'Button', 'jogasana' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Phone', 'jogasana' ),
			'param_name' => 'second_link',
			'description' => esc_html__( 'Enter text for phone.', 'jogasana' ),
			'group' => esc_html__( 'Phone', 'jogasana' ),
			'dependency' => array(
				'element' => 'type',
				'value' => array( 'type4' )
			),
		)
	),
	'js_view' => 'VcCallToActionView3',
));

/* Blog Posts
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Blog Posts', 'jogasana' ),
	'base' => 'vc_mad_blog_posts',
	'icon' => 'icon-wpb-mad-blog-posts',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Blog posts', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as subtitle. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for divider', 'jogasana' ),
			'param_name' => 'divider_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for divider.', 'jogasana' ),
		),
		array(
		'type' => 'checkbox',
		'heading' => esc_html__( 'Show divider', 'jogasana' ),
		'param_name' => 'divider',
		'group' => esc_html__( 'Styling', 'jogasana' ),
		'description' => esc_html__( 'Show divider.', 'jogasana' ),
		'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Blog Layout', 'jogasana' ),
			'param_name' => 'layout',
			'value' => array(
				esc_html__( 'Grid', 'jogasana' ) => 'ys-type-1',
				esc_html__( 'Small or Big thumbs', 'jogasana' ) => 'ys-type-2',
			),
			'std' => 'ys-type-2',
			'description' => esc_html__( 'Choose the default blog layout here.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Blog Style', 'jogasana' ),
			'param_name' => 'style',
			'value' => array(
				esc_html__( 'Big Thumbs', 'jogasana' ) => 'ys-big-thumbs',
				esc_html__( 'Small Thumbs', 'jogasana' ) => 'ys-small-thumbs',
			),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'ys-type-2' )
			),
			'std' => 'ys-small-thumbs',
			'description' => esc_html__( 'Choose the default blog layout here.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Filter', 'jogasana' ),
			'param_name' => 'sort',
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => '',
				esc_html__( 'Yes', 'jogasana' ) => 'yes'
			),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'ys-type-1' )
			),
			'description' => esc_html__( 'Should the sorting options based on categories be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
			),
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'ys-type-1' )
			),
			'std' => 3,
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Masonry', 'jogasana' ),
			'param_name' => 'show_masonry',
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'ys-type-1' )
			),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Carousel', 'jogasana' ),
			'param_name' => 'carousel',
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'ys-type-1' )
			),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'carousel',
				'not_empty' => true
			)
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		array(
			"type" => "get_terms",
			"term" => "category",
			'heading' => esc_html__( 'Which categories should be used for the blog?', 'jogasana' ),
			"param_name" => "categories",
			"holder" => "div",
			'description' => esc_html__('The Page will then show entries from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'std' => 'date',
			'description' => esc_html__( 'Sort retrieved posts by parameter', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC'
			),
			'description' => esc_html__( 'In what direction order?', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Posts Count', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 50, 1, array('-1' => 'All')),
			'std' => 8,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Ignore sticky posts', 'jogasana' ),
			'param_name' => 'ignore_sticky_posts',
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => 0,
				esc_html__( 'Yes', 'jogasana' ) => 1
			),
			'description' => esc_html__( 'Ignore sticky posts', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Pagination', 'jogasana' ),
			'param_name' => 'paginate',
			'value' => array(
				esc_html__( 'Display Pagination', 'jogasana' ) => 'pagination',
				esc_html__( 'Hide Pagination', 'jogasana' ) => 'none'
			),
			'std' => 'none',
			'description' => esc_html__( 'Should a pagination be displayed?', 'jogasana' )
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Pagination align", 'jogasana'),
			"param_name" => "pagination_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Author', 'jogasana' ),
			'param_name' => 'show_author',
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Date', 'jogasana' ),
			'param_name' => 'show_date',
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Comments', 'jogasana' ),
			'param_name' => 'show_comments',
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
			'param_name' => 'custom_links',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
		),
		jogasana_vc_map_add_css_animation()
	)
) );

/* Progress Bar
---------------------------------------------------------- */

vc_map(array(
	'name' => esc_html__( 'Progress Bar', 'jogasana' ),
	'base' => 'vc_mad_progress_bar',
	'icon' => 'icon-wpb-mad-progress-bar',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Animated progress bar', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Color', 'jogasana' ),
			'param_name' => 'color',
			'value' => array(
					esc_html__( 'Default', 'jogasana' ) => 'style-1',
				) + array(
					esc_html__( 'Purple', 'jogasana' ) => 'style-2',
				),
			'description' => esc_html__( 'Select single bar background color.', 'jogasana' ),
			'admin_label' => true,
			'param_holder_class' => 'vc_colored-dropdown',
		),
		array(
			'type' => 'param_group',
			'heading' => esc_html__( 'Values', 'jogasana' ),
			'param_name' => 'values',
			'description' => esc_html__( 'Enter values for graph - value, title and color.', 'jogasana' ),
			'value' => urlencode( json_encode( array(
				array(
					'label' => esc_html__( 'Development', 'jogasana' ),
					'value' => '90',
				),
				array(
					'label' => esc_html__( 'Design', 'jogasana' ),
					'value' => '80',
				),
				array(
					'label' => esc_html__( 'Marketing', 'jogasana' ),
					'value' => '70',
				),
			) ) ),
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Label', 'jogasana' ),
					'param_name' => 'label',
					'description' => esc_html__( 'Enter text used as title of bar.', 'jogasana' ),
					'admin_label' => true,
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Value', 'jogasana' ),
					'param_name' => 'value',
					'description' => esc_html__( 'Enter value of bar.', 'jogasana' ),
					'admin_label' => true,
				),
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Units', 'jogasana' ),
			'param_name' => 'units',
			'description' => esc_html__( 'Enter measurement units (Example: %, px, points, etc. Note: graph value and units will be appended to graph title).', 'jogasana' ),
		),
		jogasana_vc_map_add_css_animation(),
	),
));

/* Portfolio
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Portfolio', 'jogasana' ),
	'base' => 'vc_mad_portfolio',
	'icon' => 'icon-wpb-mad-portfolio',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Displayed for portfolio items', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for divider', 'jogasana' ),
			'param_name' => 'divider_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for divider.', 'jogasana' ),
		),
		array(
		'type' => 'checkbox',
		'heading' => esc_html__( 'Show divider', 'jogasana' ),
		'param_name' => 'divider',
		'group' => esc_html__( 'Styling', 'jogasana' ),
		'description' => esc_html__( 'Show divider.', 'jogasana' ),
		'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Masonry?', 'jogasana' ),
			'param_name' => 'masonry',
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => false,
				esc_html__( 'Yes', 'jogasana' ) => true
			),
			'description' => ' '
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Filter', 'jogasana' ),
			'param_name' => 'sort',
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => '',
				esc_html__( 'Yes', 'jogasana' ) => 'yes'
			),
			'description' => esc_html__( 'Should the sorting options based on categories be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment Filter', 'jogasana' ),
			'param_name' => 'align_sort',
			'description' => esc_html__( 'Select filter alignment.', 'jogasana' ),
			'group' => esc_html__( 'Filter', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'align-left',
				esc_html__( 'Right', 'jogasana' ) => 'align-right',
				esc_html__( 'Center', 'jogasana' ) => 'align-center',
			),
			'dependency' => array(
				'element' => 'sort',
				'not_empty' => true
			)
		),
		array(
			"type" => "get_terms",
			"term" => "portfolio_categories",
			'heading' => esc_html__( 'Which categories should be used for the portfolio?', 'jogasana' ),
			"param_name" => "categories",
			'description' => esc_html__('The Page will then show portfolio from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
			),
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
			'std' => 2,
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 60, 1, array('All' => '-1')),
			'std' => '-1',
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Display Category', 'jogasana' ),
			'param_name' => 'show_cat',
			'value' => array(
				esc_html__( 'show', 'jogasana' ) => 'show',
				esc_html__( 'hide', 'jogasana' ) => 'hide'
			),
			'std' => 'show',
			'description' => esc_html__( 'Display Category', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Title length', 'jogasana' ),
			'param_name' => 'title_length',
			'value' => Jogasana_Vc_Config::array_number(0, 100, 1),
			'std' => 50,
			'description' => esc_html__( 'Title length', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Excerpt length', 'jogasana' ),
			'param_name' => 'excerpt',
			'value' => Jogasana_Vc_Config::array_number(0, 200, 1),
			'std' => 50,
			'description' => esc_html__( 'Excerpt length', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Position info', 'jogasana' ),
			'param_name' => 'position_info',
			'value' => array(
				esc_html__( 'bottom', 'jogasana' ) => 'bottom',
				esc_html__( 'inner', 'jogasana' ) => 'inner',
				esc_html__( 'none', 'jogasana' ) => 'none'
			),
			'std' => 'bottom',
			'description' => esc_html__( 'Position info', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Pagination', 'jogasana' ),
			'param_name' => 'paginate',
			'value' => array(
				esc_html__( 'Display Pagination', 'jogasana' ) => 'pagination',
				esc_html__( 'No Pagination', 'jogasana' ) => 'none'
			),
			'std' => 'none',
			'description' => esc_html__( 'Should a pagination be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment Pagination', 'jogasana' ),
			'param_name' => 'align_pagination',
			'description' => esc_html__( 'Select pagination alignment.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'align-left',
				esc_html__( 'Right', 'jogasana' ) => 'align-right',
				esc_html__( 'Center', 'jogasana' ) => 'align-center',
			),
			'dependency' => array(
				'element' => 'paginate',
				'value' => array( 'pagination' )
			)
		),
		jogasana_vc_map_add_css_animation(),
	)
) );

/* About Team
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'About Team', 'jogasana' ),
	'base' => 'vc_mad_about_team',
	'icon' => 'icon-wpb-single-image',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'description' => esc_html__( 'To display the detailed team page', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Address', 'jogasana' ),
			'param_name' => 'output_address',
			'description' => esc_html__( 'Output Address', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Phone', 'jogasana' ),
			'param_name' => 'output_phone',
			'description' => esc_html__( 'output phone', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Fax', 'jogasana' ),
			'param_name' => 'output_fax',
			'description' => esc_html__( 'output fax', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'E-mail', 'jogasana' ),
			'param_name' => 'output_mail',
			'description' => esc_html__( 'output mail', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'vCard', 'jogasana' ),
			'param_name' => 'output_card',
			'description' => esc_html__( 'output vCard', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
	)
) );

/* About Portfolio
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'About Portfolio', 'jogasana' ),
	'base' => 'vc_mad_about_portfolio',
	'icon' => 'icon-wpb-single-image',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'description' => esc_html__( 'To display the detailed portfolio page', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'content',
			'value' => wp_kses(__( '<p>Click edit button to change this text.</p>', 'jogasana' ), 'default')
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'type1',
				esc_html__( 'Type 2', 'jogasana' ) => 'type2'
			),
			'std' => 'type1',
			'description' => esc_html__( 'Select Type', 'jogasana' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Date', 'jogasana' ),
			'param_name' => 'output_date',
			'description' => esc_html__( 'output date', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Category', 'jogasana' ),
			'param_name' => 'output_category',
			'description' => esc_html__( 'output category', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Author', 'jogasana' ),
			'param_name' => 'output_author',
			'description' => esc_html__( 'output author', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Tag', 'jogasana' ),
			'param_name' => 'output_tag',
			'description' => esc_html__( 'output tag', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
	)
) );


/* About Mp-event post
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'About Schedule', 'jogasana' ),
	'base' => 'vc_mad_about_mp_event',
	'icon' => 'icon-wpb-single-image',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'description' => esc_html__( 'To display the detailed single schedule page', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'content',
			'value' => wp_kses(__( '<p>Click edit button to change this text.</p>', 'jogasana' ), 'default')
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Teacher URL', 'jogasana' ),
			'param_name' => 'teacher_link',
			'description' => esc_html__( 'Add link to teacher.', 'jogasana' ),
		),		
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Level', 'jogasana' ),
			'param_name' => 'output_level',
			'description' => esc_html__( 'output level', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Size', 'jogasana' ),
			'param_name' => 'output_size',
			'description' => esc_html__( 'output size', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Duration', 'jogasana' ),
			'param_name' => 'output_duration',
			'description' => esc_html__( 'output duration', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Price', 'jogasana' ),
			'param_name' => 'output_price',
			'description' => esc_html__( 'output price', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' )
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Button URL (Link)', 'jogasana' ),
			'param_name' => 'custom_link1',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Button URL (Link)', 'jogasana' ),
			'param_name' => 'custom_link2',
			'description' => esc_html__( 'Add link to button.', 'jogasana' ),
		),
	)
) );

/* Move Image
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Move Image', 'jogasana' ),
	'base' => 'vc_mad_move_image',
	'icon' => 'icon-wpb-single-image',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'description' => esc_html__( 'Move Image', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
	)
) );

/* About Author
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'About Author', 'jogasana' ),
	'base' => 'vc_mad_about_author',
	'icon' => 'icon-wpb-single-image',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'description' => esc_html__( 'To display the about page', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'content',
			'value' => wp_kses(__( '<p>Click edit button to change this text.</p>', 'jogasana' ), 'default')
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Author URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to page.', 'jogasana' ),
		),
	)
) );

/* Contact Details
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Contact Details', 'jogasana' ),
	'base' => 'vc_mad_contact_info',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'description' => esc_html__( 'Contact information', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Address', 'jogasana' ),
			'param_name' => 'content',
			'value' => wp_kses(__( '<p>Contact information.</p>', 'jogasana' ), 'default')
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for info', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for info.', 'jogasana' ),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Map URL (Link)', 'jogasana' ),
			'param_name' => 'link',
			'description' => esc_html__( 'Add link to address.', 'jogasana' ),
		),
		array(
			'type' => 'textarea_raw_html',
			'heading' => esc_html__( 'Phone', 'jogasana' ),
			'param_name' => 'phone',
			'description' => esc_html__( 'Phone', 'jogasana' )
		),
		array(
			'type' => 'textarea_raw_html',
			'heading' => esc_html__( 'E-mail', 'jogasana' ),
			'param_name' => 'mail',
			'description' => esc_html__( 'E-mail', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Website', 'jogasana' ),
			'param_name' => 'website',
			'description' => esc_html__( 'Website', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Time', 'jogasana' ),
			'param_name' => 'time',
			'description' => esc_html__( 'Time', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'type1',
				esc_html__( 'Type 2', 'jogasana' ) => 'type2',
				esc_html__( 'Type 3', 'jogasana' ) => 'type3'
			),
			'std' => 'type1',
			'description' => esc_html__( 'Select Type', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Facebook', 'jogasana' ),
			'param_name' => 'social_facebook',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Twitter', 'jogasana' ),
			'param_name' => 'social_twitter',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Gplus', 'jogasana' ),
			'param_name' => 'social_gplus',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'LinkedIn', 'jogasana' ),
			'param_name' => 'social_linkedin',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Instagram', 'jogasana' ),
			'param_name' => 'social_instagram',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Youtube', 'jogasana' ),
			'param_name' => 'social_youtube',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Pinterest', 'jogasana' ),
			'param_name' => 'social_pinterest',
			'description' => esc_html__( 'Enter url.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),	
		
	)
) );

/* Instagram widget
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Instagram widget', 'jogasana' ),
	'base' => 'vc_mad_instagram_widget',
	'icon' => 'icon-wpb-mad-instagram',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Instagram', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'value' => array(
				esc_html__('Type 1', 'jogasana') => 'type1',
				esc_html__('Type 2', 'jogasana') => 'type2'
			),
			'std' => 'type1',
			'description' => esc_html__('Choose the type style.', 'jogasana')
			),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Number of columns', 'jogasana' ),
			'param_name' => 'cols',
			'description' => esc_html__( 'Number of columns', 'jogasana' ),
			'value' => 5,
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Number of photos', 'jogasana' ),
			'param_name' => 'number',
			'description' => esc_html__( 'Number of photos', 'jogasana' ),
			'value' => 5,
		),
	)
) );

/* Instagram gallery
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Instagram gallery', 'jogasana' ),
	'base' => 'vc_mad_instagram',
	'icon' => 'icon-wpb-mad-instagram',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Instagram gallery', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Number of columns', 'jogasana' ),
			'param_name' => 'cols',
			'description' => esc_html__( 'Number of columns', 'jogasana' ),
			'value' => 3,
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Number', 'jogasana' ),
			'param_name' => 'number',
			'description' => esc_html__( 'Number of photos', 'jogasana' ),
			'value' => 9,
		),
	)
) );

/* Video Button
---------------------------------------------------------- */

vc_map( array(
	"name" => esc_html__("Video Button", 'jogasana' ),
	"base"=> 'vc_mad_video_button',
	"icon" => 'icon-wpb-mad-video-button',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	"description" => esc_html__( 'Video Button', 'jogasana' ),
	"params" => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Video link', 'jogasana' ),
			'param_name' => 'link',
			'value' => 'https://vimeo.com/51589652',
			'admin_label' => true,
			'description' => sprintf( wp_kses(__( 'Enter link to video (Note: read more about available formats at WordPress <a href="%s" target="_blank">codex page</a>).', 'jogasana' ), 'default'), 'http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F' ),
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Image', 'jogasana' ),
			'param_name' => 'image',
			'value' => '',
			'description' => esc_html__( 'Select image from media library.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment', 'jogasana' ),
			'param_name' => 'align',
			'description' => esc_html__( 'Select video button alignment.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'left',
				esc_html__( 'Right', 'jogasana' ) => 'right',
				esc_html__( 'Center', 'jogasana' ) => 'center',
			),
		),
	)
));

/* Counter Bar
---------------------------------------------------------- */

vc_map( array(
	"name" => esc_html__("Counter", 'jogasana' ),
	"base"=> 'vc_mad_counter',
	"icon" => 'icon-wpb-mad-counter',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	"description" => esc_html__( 'Animated counter', 'jogasana' ),
	"params" => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3'
			),
			'std' => 'h2',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title block.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description block.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for count number', 'jogasana' ),
			'param_name' => 'number_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for count number.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for count label', 'jogasana' ),
			'param_name' => 'label_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for count label.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for count info', 'jogasana' ),
			'param_name' => 'info_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for count info.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for count icon', 'jogasana' ),
			'param_name' => 'icon_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for count icon.', 'jogasana' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'std' => 'style-1',
			'description' => esc_html__( 'Select type.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'style-1',
				esc_html__( 'Type 2', 'jogasana' ) => 'style-2',
			)
		),
		array(
			'type' => 'param_group',
			'heading' => esc_html__( 'Values', 'jogasana' ),
			'param_name' => 'values',
			'description' => esc_html__( 'Enter values - value and title.', 'jogasana' ),
			'value' => urlencode( json_encode( array(
				array(
					'label' => esc_html__( 'Successful projects', 'jogasana' ),
					'info' => '',
					'value' => '135',
					'type' => 'type1',
					'icon'  => ''
				),
				array(
					'label' => esc_html__( 'Talanted Professionals', 'jogasana' ),
					'info' => '',
					'value' => '12',
					'type' => 'type1',
					'icon'  => ''
				),
				array(
					'label' => esc_html__( 'Awards Winned', 'jogasana' ),
					'info' => '',
					'value' => '42',
					'type' => 'type1',
					'icon'  => ''
				),
				array(
					'label' => esc_html__( 'Years of Hardwork', 'jogasana' ),
					'info' => '',
					'value' => '9',
					'type' => 'type1',
					'icon'  => ''
				),
			) ) ),
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Info', 'jogasana' ),
					'param_name' => 'info',
					'description' => esc_html__( 'Enter text used as info.', 'jogasana' ),
					'admin_label' => true,
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Label', 'jogasana' ),
					'param_name' => 'label',
					'description' => esc_html__( 'Enter text used as title.', 'jogasana' ),
					'admin_label' => true,
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Value', 'jogasana' ),
					'param_name' => 'value',
					'description' => esc_html__( 'Enter value.', 'jogasana' ),
					'admin_label' => true,
				),
				array(
					"type" => "choose_icons",
					"heading" => esc_html__("Icon", 'jogasana'),
					"param_name" => "icon",
					"value" => 'none',
					"description" => esc_html__( 'Select icon from library.', 'jogasana')
				),
			)
		),
		jogasana_vc_map_add_css_animation()
	)
));

/* Widget Newsletter
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Jogasana Newsletter(mailchimp)', 'jogasana' ),
	'base' => 'vc_mad_newsletter',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'icon' => '',
	'description' => esc_html__( 'Widget Newsletter', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' )
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'info',
			'value'=> '',
			'description' => esc_html__( 'Enter text.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'std' => 'type_1',
			'description' => esc_html__( 'Select type.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'type_1',
				esc_html__( 'Type 2', 'jogasana' ) => 'type_2',
				esc_html__( 'Type 3', 'jogasana' ) => 'type_3',
			)
		),
	)
) );

/* Widget Facebook
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Jogasana Facebook Widget', 'jogasana' ),
	'base' => 'vc_mad_facebook_likebox',
	'category' => esc_html__( 'Jogasana', 'jogasana'),
	'icon' => '',
	'description' => esc_html__( 'Widget Facebook', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Page ID', 'jogasana' ),
			'param_name' => 'profile_id',
			'description' => esc_html__( 'Enter profile id.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'width', 'jogasana' ),
			'param_name' => 'width',
			'description' => esc_html__( 'Enter width.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'height', 'jogasana' ),
			'param_name' => 'height',
			'description' => esc_html__( 'Enter height.', 'jogasana' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Number of connections', 'jogasana' ),
			'param_name' => 'connections',
			'description' => esc_html__( 'Enter connections.', 'jogasana' )
		),
		
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Facebook Like box Theme', 'jogasana' ),
			'param_name' => 'facebook_likebox_theme',
			'std' => 'light',
			'description' => esc_html__( 'Select type.', 'jogasana' ),
			'value' => array(
				esc_html__( 'light', 'jogasana' ) => 'light',
				esc_html__( 'dark', 'jogasana' ) => 'dark',
			)
		),
	)
) );

/* Dropcap
---------------------------------------------------------- */
vc_map( array(
	'name' => esc_html__( 'Dropcap', 'jogasana' ),
	'base' => 'vc_mad_dropcap',
	'icon' => 'icon-wpb-mad-dropcap',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Dropcap', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Type', 'jogasana' ),
			'param_name' => 'type',
			'value' => array(
				esc_html__( 'Type 1', 'jogasana' ) => 'type-1',
				esc_html__( 'Type 2', 'jogasana' ) => 'type-2'
			),
			'description' => esc_html__('Choose the first letter style.', 'jogasana')
		),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'content',
			'value' => ''
		),
		jogasana_vc_map_add_css_animation(),
		jogasana_vc_map_add_animation_delay(),
		jogasana_vc_map_add_scroll_factor()
	)
));

/* Custom Title
---------------------------------------------------------- */
vc_map( array(
	'name' => esc_html__( 'Custom Title with divider', 'jogasana' ),
	'base' => 'vc_mad_custom_title',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Custom title', 'jogasana' ),
	'params' => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Top Title', 'jogasana' ),
				'param_name' => 'top_title',
				'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'jogasana' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Tag for title', 'jogasana' ),
				'param_name' => 'tag_title',
				'value' => array(
					'h2' => 'h2',
					'h3' => 'h3'
				),
				'std' => 'h2',
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
			),
			array(
				'type' => 'number',
				'heading' => esc_html__( 'Bottom title', 'jogasana' ),
				'param_name' => 'margin_bottom_title',
				'description' => esc_html__( 'Margin bottom title', 'jogasana' ),
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'value' => 0,
			),
			array(
				'type' => 'number',
				'heading' => esc_html__( 'Bottom description', 'jogasana' ),
				'param_name' => 'margin_bottom_description',
				'description' => esc_html__( 'Margin bottom description', 'jogasana' ),
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'value' => 0,
			),
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Color for title', 'jogasana' ),
				'param_name' => 'title_color',
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
			),
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Color for divider', 'jogasana' ),
				'param_name' => 'divider_color',
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__( 'Select custom color for divider.', 'jogasana' ),
			),
			array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show divider', 'jogasana' ),
			'param_name' => 'divider',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'description' => esc_html__( 'Show divider.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Type divider', 'jogasana' ),
				'param_name' => 'type_divider',
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'value' => array(
					esc_html__( 'Type 1', 'jogasana' ) => 'type-1',
					esc_html__( 'Type 2', 'jogasana' ) => 'type-2'
				),
				'description' => esc_html__('Choose the type divider.', 'jogasana')
			),
			array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
				)
			),
		array(
			'type' => 'textarea_html',
			'holder' => 'div',
			'heading' => esc_html__( 'Text', 'jogasana' ),
			'param_name' => 'content',
			'value' => ''
		),
		jogasana_vc_map_add_css_animation(),
		jogasana_vc_map_add_animation_delay(),
		jogasana_vc_map_add_scroll_factor()
	)
));


if ( class_exists('WooCommerce') ) {

	/* Product Grid
	---------------------------------------------------------- */

	vc_map( array(
		'name' => esc_html__( 'Products', 'jogasana' ),
		'base' => 'vc_mad_products',
		'icon' => 'icon-wpb-mad-woocommerce',
		'category' => esc_html__( 'Jogasana', 'jogasana' ),
		'description' => esc_html__( 'Displayed for product grid', 'jogasana' ),
		'params' => array(
			array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Subtitle', 'jogasana' ),
			'param_name' => 'subtitle',
			'description' => esc_html__( 'Enter text which will be used as subtitle. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		    ),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Title', 'jogasana' ),
				'param_name' => 'title',
				'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Tag for title', 'jogasana' ),
				'param_name' => 'tag_title',
				'value' => array(
					'h2' => 'h2',
					'h3' => 'h3'
				),
				'std' => 'h2',
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
			),
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Description', 'jogasana' ),
				'param_name' => 'description',
				'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
			),
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Color for title', 'jogasana' ),
				'param_name' => 'title_color',
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
			),
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__( 'Color for description', 'jogasana' ),
				'param_name' => 'description_color',
				'group' => esc_html__( 'Styling', 'jogasana' ),
				'edit_field_class' => 'vc_col-sm-6',
				'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
			),
			array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Description align", 'jogasana'),
				"param_name" => "description_align",
				'group' => esc_html__( 'Styling', 'jogasana' ),
				"value" => array(
					esc_html__("Left",'jogasana') => "align-left",
					esc_html__("Right",'jogasana') => "align-right",
					esc_html__("Center",'jogasana') => "align-center"
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Type View', 'jogasana' ),
				'param_name' => 'type',
				'value' => array(
					esc_html__('Grid', 'jogasana') => 'ys-view-grid',
					esc_html__('Carousel', 'jogasana') => 'ys-view-carousel'
				),
				'std' => 'ys-view-grid',
				'description' => esc_html__('Choose the type style.', 'jogasana')
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Columns', 'jogasana' ),
				'param_name' => 'columns',
				'value' => array(
					esc_html__( '2 Columns', 'jogasana' ) => 2,
					esc_html__( '3 Columns', 'jogasana' ) => 3,
					esc_html__( '4 Columns', 'jogasana' ) => 4,
					esc_html__( '5 Columns', 'jogasana' ) => 5,
				),
				'std' => 4,
				'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' ),
				'param_holder_class' => ''
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Count Items', 'jogasana' ),
				'param_name' => 'items',
				'value' => Jogasana_Vc_Config::array_number(1, 50, 1, array('All' => -1)),
				'std' => 8,
				'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
			),
			array(
				"type" => "get_terms",
				"term" => "product_cat",
				'heading' => esc_html__( 'Which categories should be used for the products?', 'jogasana' ),
				"param_name" => "categories",
				'admin_label' => true,
				'group' => esc_html__( 'Data Settings', 'jogasana' ),
				'description' => esc_html__('The Page will then show products from only those categories.', 'jogasana')
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Show', 'jogasana' ),
				'param_name' => 'show',
				'value' => array(
					esc_html__( 'All Products', 'jogasana' ) => '',
					esc_html__( 'Featured Products', 'jogasana' ) => 'featured',
					esc_html__( 'On-sale Products', 'jogasana' ) => 'onsale',
					esc_html__( 'Best Selling Products', 'jogasana' ) => 'bestselling',
					esc_html__( 'Top Rated Products', 'jogasana' ) => 'toprated',
					esc_html__( 'New', 'jogasana' ) => 'new'
				),
				'description' => '',
				'std' => '',
				'group' => esc_html__( 'Data Settings', 'jogasana' )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Order by', 'jogasana' ),
				'param_name' => 'orderby',
				'value' => array(
					esc_html__('Default sorting', 'jogasana' ) => 'menu_order',
					esc_html__('Sort by popularity', 'jogasana' ) => 'popularity',
					esc_html__('Sort by average rating', 'jogasana' ) => 'rating',
					esc_html__('Sort by newness', 'jogasana' ) => 'date',
					esc_html__('Sort by price: low to high', 'jogasana' ) => 'price',
					esc_html__('Sort by price: high to low', 'jogasana' ) => 'price-desc'
				),
				'description' => esc_html__( 'Here you can choose how to display the products', 'jogasana' ),
				'group' => esc_html__( 'Data Settings', 'jogasana' )
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Sorting Order', 'jogasana' ),
				'param_name' => 'order',
				'value' => array(
					esc_html__( 'ASC', 'jogasana' ) => 'asc',
					esc_html__( 'DESC', 'jogasana' ) => 'desc'
				),
				'description' => esc_html__( 'Here you can choose how to display the products', 'jogasana' ),
				'std' => 'desc',
				'group' => esc_html__( 'Data Settings', 'jogasana' )
			),
			array(
				'type' => 'autocomplete',
				'settings' => array(
					'multiple' => true,
					'min_length' => 2,
					'groups' => true,
					'unique_values' => true,
					'display_inline' => true,
					'delay' => 500,
					'auto_focus' => true,
				),
				'heading' => esc_html__( 'Select identificators', 'jogasana' ),
				'param_name' => 'by_id',
				'admin_label' => true,
				'group' => esc_html__( 'Data Settings', 'jogasana' ),
				'description' => esc_html__('Input product ID or product SKU or product title to see suggestions', 'jogasana')
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Pagination', 'jogasana' ),
				'param_name' => 'paginate',
				'value' => array(
					esc_html__( 'Display Pagination', 'jogasana' ) => 'pagination',
					esc_html__( 'No option to view additional entries', 'jogasana' ) => 'none'
				),
				'std' => 'none',
				'description' => esc_html__( 'Should a pagination be displayed?', 'jogasana' )
			),
			array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'URL (Link)', 'jogasana' ),
				'param_name' => 'link',
				'description' => esc_html__( 'Add link to button.', 'jogasana' ),
				'group' => esc_html__( 'Button', 'jogasana' ),
			),
			jogasana_vc_map_add_css_animation()
		)
	) );

	$Vc_Vendor_Woocommerce = new Vc_Vendor_Woocommerce();

	add_filter( 'vc_autocomplete_vc_mad_products_by_id_callback', array($Vc_Vendor_Woocommerce, 'productIdAutocompleteSuggester' ), 10, 1 );
	add_filter( 'vc_autocomplete_vc_mad_products_by_id_render', array($Vc_Vendor_Woocommerce, 'productIdAutocompleteRender' ), 10, 1 );
	add_filter( 'vc_form_fields_render_field_vc_mad_products_by_id_param_value', array($Vc_Vendor_Woocommerce, 'productIdDefaultValue' ), 10, 4 );

}

/* Classes
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Classes', 'jogasana' ),
	'base' => 'vc_mad_classes',
	'icon' => 'icon-wpb-mad-portfolio',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Displayed for classes items', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Description', 'jogasana' ),
			'param_name' => 'description',
			'description' => esc_html__( 'Enter text which will be used as description. Leave blank if no description is needed.', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Tag for title', 'jogasana' ),
			'param_name' => 'tag_title',
			'value' => array(
				'h2' => 'h2',
				'h3' => 'h3',
				'h4' => 'h4'
			),
			'std' => 'h3',
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for title', 'jogasana' ),
			'param_name' => 'title_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for title.', 'jogasana' ),
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for item background', 'jogasana' ),
			'param_name' => 'item_bg_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for item background.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Title align", 'jogasana'),
			"param_name" => "title_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for description', 'jogasana' ),
			'param_name' => 'description_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for description.', 'jogasana' ),
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Description align", 'jogasana'),
			"param_name" => "description_align",
			'group' => esc_html__( 'Styling', 'jogasana' ),
			"value" => array(
				esc_html__("Left",'jogasana') => "align-left",
				esc_html__("Right",'jogasana') => "align-right",
				esc_html__("Center",'jogasana') => "align-center"
			)
		),
		array(
			'type' => 'colorpicker',
			'heading' => esc_html__( 'Color for divider', 'jogasana' ),
			'param_name' => 'divider_color',
			'group' => esc_html__( 'Styling', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-6',
			'description' => esc_html__( 'Select custom color for divider.', 'jogasana' ),
		),
		array(
		'type' => 'checkbox',
		'heading' => esc_html__( 'Show divider', 'jogasana' ),
		'param_name' => 'divider',
		'group' => esc_html__( 'Styling', 'jogasana' ),
		'description' => esc_html__( 'Show divider.', 'jogasana' ),
		'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout', 'jogasana' ),
			'param_name' => 'layout',
			'value' => array(
			esc_html__( 'Grid', 'jogasana' ) => 'grid',
			esc_html__( 'Carousel', 'jogasana' ) => 'carousel',
			),
			'description' => esc_html__( 'Layout be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Image Size', 'jogasana' ),
			'param_name' => 'img_size',
			'value' => array(
				esc_html__( 'Small', 'jogasana' ) => 'jogasana-masonry1',
				esc_html__( 'Full', 'jogasana' ) => 'full'
			),
			'std' => 'jogasana-masonry1',
			'edit_field_class' => 'vc_col-sm-12',
			'description' => esc_html__( 'Choose tag for title.', 'jogasana' )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Autoplay', 'jogasana' ),
			'param_name' => 'autoplay',
			'description' => esc_html__( 'Enables autoplay mode.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => 'yes' ),
			'dependency' => array(
				'element' => 'layout',
				'value' => array( 'carousel' )
			)
		),
		array(
			'type' => 'number',
			'heading' => esc_html__( 'Autoplay timeout', 'jogasana' ),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__( 'Autoplay interval timeout', 'jogasana' ),
			'value' => 5000,
			'dependency' => array(
				'element' => 'autoplay',
				'value' => array( 'yes' )
			)
		),
		array(
		   "type" => "vc_link",
		   "heading" => esc_html__( 'Add URL to the block (optional)', 'jogasana' ),
		   "param_name" => "link_btn",
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Search Filter', 'jogasana' ),
			'param_name' => 'sort',
			'value' => array(
				esc_html__( 'No', 'jogasana' ) => '',
				esc_html__( 'Yes', 'jogasana' ) => 'yes'
			),
			'dependency' => array(
				'element' => 'layout',
				'value' => array('grid')
			),
			'description' => esc_html__( 'Search filter', 'jogasana' )
		),
		array(
			"type" => "get_terms",
			"term" => "class_category",
			'heading' => esc_html__( 'Which categories should be used for the classes?', 'jogasana' ),
			"param_name" => "categories",
			'description' => esc_html__('The Page will then show classes from only those categories.', 'jogasana'),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order By', 'jogasana' ),
			'param_name' => 'orderby',
			'value' => array(
				esc_html__( 'Date', 'jogasana' ) => 'date',
				esc_html__( 'ID', 'jogasana' ) => 'ID',
				esc_html__( 'Author', 'jogasana' ) => 'author',
				esc_html__( 'Title', 'jogasana' ) => 'title',
				esc_html__( 'Modified', 'jogasana' ) => 'modified',
				esc_html__( 'Random', 'jogasana' ) => 'rand',
				esc_html__( 'Comment count', 'jogasana' ) => 'comment_count',
				esc_html__( 'Menu order', 'jogasana' ) => 'menu_order'
			),
			'description' => esc_html__( 'Sort retrieved items by parameter', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Order', 'jogasana' ),
			'param_name' => 'order',
			'value' => array(
				esc_html__( 'DESC', 'jogasana' ) => 'DESC',
				esc_html__( 'ASC', 'jogasana' ) => 'ASC',
			),
			'description' => esc_html__( 'Direction Order', 'jogasana' ),
			'group' => esc_html__( 'Data Settings', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Columns', 'jogasana' ),
			'param_name' => 'columns',
			'value' => array(
				esc_html__( '2 Columns', 'jogasana' ) => 2,
				esc_html__( '3 Columns', 'jogasana' ) => 3,
				esc_html__( '4 Columns', 'jogasana' ) => 4,
				esc_html__( '5 Columns', 'jogasana' ) => 5,
			),
			'dependency' => array(
				'element' => 'layout',
				'value' => array('carousel')
			),
			'std' => 3,
			'description' => esc_html__( 'How many columns should be displayed?', 'jogasana' )
		),

		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Count Items', 'jogasana' ),
			'param_name' => 'items',
			'value' => Jogasana_Vc_Config::array_number(1, 60, 1, array('All' => '-1')),
			'std' => -1,
			'description' => esc_html__( 'How many items should be displayed per page?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Pagination', 'jogasana' ),
			'param_name' => 'paginate',
			'value' => array(
				esc_html__( 'Display Pagination', 'jogasana' ) => 'pagination',
				esc_html__( 'No Pagination', 'jogasana' ) => 'none'
			),
			'dependency' => array(
				'element' => 'layout',
				'value' => array('grid')
			),
			'std' => 'none',
			'description' => esc_html__( 'Should a pagination be displayed?', 'jogasana' )
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Alignment Pagination', 'jogasana' ),
			'param_name' => 'align_pagination',
			'description' => esc_html__( 'Select pagination alignment.', 'jogasana' ),
			'value' => array(
				esc_html__( 'Left', 'jogasana' ) => 'align-left',
				esc_html__( 'Right', 'jogasana' ) => 'align-right',
				esc_html__( 'Center', 'jogasana' ) => 'align-center',
			),
			'dependency' => array(
				'element' => 'paginate',
				'value' => array( 'pagination' )
			)
		),
		jogasana_vc_map_add_css_animation(),
	)
) );

/* Classes featured
---------------------------------------------------------- */

vc_map( array(
	'name' => esc_html__( 'Featured Classes', 'jogasana' ),
	'base' => 'vc_mad_classes_featured',
	'icon' => 'icon-wpb-mad-portfolio',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Displayed for featured classes item', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'jogasana' ),
			'param_name' => 'title',
			'description' => esc_html__( 'Enter text which will be used as title. Leave blank if no title is needed.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Featured ID', 'jogasana' ),
			'param_name' => 'item_id',
			'description' => esc_html__( 'Enter class id.', 'jogasana' ),
			'edit_field_class' => 'vc_col-sm-12',
		),
		jogasana_vc_map_add_css_animation(),
	)
) );


vc_map(array(
	'name' => esc_html__( 'Share Social Buttons (for single post)', 'jogasana' ),
	'base' => 'vc_mad_social_buttons',
	'icon' => '',
	'category' => esc_html__( 'Jogasana', 'jogasana' ),
	'description' => esc_html__( 'Block Social Buttons', 'jogasana' ),
	'params' => array(
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Facebook', 'jogasana' ),
			'param_name' => 'show_facebook',
			'description' => esc_html__( 'Show Facebook.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Twitter', 'jogasana' ),
			'param_name' => 'show_twitter',
			'description' => esc_html__( 'Show Twitter.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Pinterest', 'jogasana' ),
			'param_name' => 'show_pinterest',
			'description' => esc_html__( 'Show Pinterest.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Show Email', 'jogasana' ),
			'param_name' => 'show_email',
			'description' => esc_html__( 'Show Email.', 'jogasana' ),
			'value' => array( esc_html__( 'Yes, please', 'jogasana' ) => true )
		),
		array(
			'type' => 'textfield',
			'holder' => 'div',
			'heading' => esc_html__( 'Message text', 'jogasana' ),
			'param_name' => 'info',
		),
	),
));


/*** Visual Composer Content elements refresh ***/
class jogasanaVcSharedLibrary {
	// Here we will store plugin wise (shared) settings. Colors, Locations, Sizes, etc...
	/**
	 * @var array
	 */
	private static $colors = array(
		'Blue' => 'blue',
		'Turquoise' => 'turquoise',
		'Pink' => 'pink',
		'Violet' => 'violet',
		'Peacoc' => 'peacoc',
		'Chino' => 'chino',
		'Mulled Wine' => 'mulled_wine',
		'Vista Blue' => 'vista_blue',
		'Black' => 'black',
		'Grey' => 'grey',
		'Orange' => 'orange',
		'Sky' => 'sky',
		'Green' => 'green',
		'Juicy pink' => 'juicy_pink',
		'Sandy brown' => 'sandy_brown',
		'Purple' => 'purple',
		'White' => 'white'
	);

	/**
	 * @var array
	 */
	public static $icons = array(
		'Glass' => 'glass',
		'Music' => 'music',
		'Search' => 'search'
	);

	/**
	 * @var array
	 */
	public static $sizes = array(
		'Mini' => 'xs',
		'Small' => 'sm',
		'Normal' => 'md',
		'Large' => 'lg'
	);

	/**
	 * @var array
	 */
	public static $button_styles = array(
		'Rounded' => 'rounded',
		'Square' => 'square',
		'Round' => 'round',
		'Outlined' => 'outlined',
		'3D' => '3d',
		'Square Outlined' => 'square_outlined'
	);

	/**
	 * @var array
	 */
	public static $message_box_styles = array(
		'Standard' => 'standard',
		'Solid' => 'solid',
		'Solid icon' => 'solid-icon',
		'Outline' => 'outline',
		'3D' => '3d',
	);

	/**
	 * Toggle styles
	 * @var array
	 */
	public static $toggle_styles = array(
		'Default' => 'default',
		'Simple' => 'simple',
		'Round' => 'round',
		'Round Outline' => 'round_outline',
		'Rounded' => 'rounded',
		'Rounded Outline' => 'rounded_outline',
		'Square' => 'square',
		'Square Outline' => 'square_outline',
		'Arrow' => 'arrow',
		'Text Only' => 'text_only',
	);

	/**
	 * Animation styles
	 * @var array
	 */
	public static $animation_styles = array(
		'Bounce' => 'easeOutBounce',
		'Elastic' => 'easeOutElastic',
		'Back' => 'easeOutBack',
		'Cubic' => 'easeinOutCubic',
		'Quint' => 'easeinOutQuint',
		'Quart' => 'easeOutQuart',
		'Quad' => 'easeinQuad',
		'Sine' => 'easeOutSine'
	);

	/**
	 * @var array
	 */
	public static $cta_styles = array(
		'Rounded' => 'rounded',
		'Square' => 'square',
		'Round' => 'round',
		'Outlined' => 'outlined',
		'Square Outlined' => 'square_outlined'
	);

	/**
	 * @var array
	 */
	public static $txt_align = array(
		'Left' => 'left',
		'Right' => 'right',
		'Center' => 'center',
		'Justify' => 'justify'
	);

	/**
	 * @var array
	 */
	public static $el_widths = array(
		'100%' => '',
		'90%' => '90',
		'80%' => '80',
		'70%' => '70',
		'60%' => '60',
		'50%' => '50'
	);

	/**
	 * @var array
	 */
	public static $sep_widths = array(
		'1px' => '',
		'2px' => '2',
		'3px' => '3',
		'4px' => '4',
		'5px' => '5',
		'6px' => '6',
		'7px' => '7',
		'8px' => '8',
		'9px' => '9',
		'10px' => '10'
	);

	/**
	 * @var array
	 */
	public static $sep_styles = array(
		'Border' => '',
		'Dashed' => 'dashed',
		'Dotted' => 'dotted',
		'Double' => 'double'
	);

	/**
	 * @var array
	 */
	public static $box_styles = array(
		'Default' => '',
		'Rounded' => 'vc_box_rounded',
		'Border' => 'vc_box_border',
		'Outline' => 'vc_box_outline',
		'Shadow' => 'vc_box_shadow',
		'Bordered shadow' => 'vc_box_shadow_border',
		'3D Shadow' => 'vc_box_shadow_3d',
		'Round' => 'vc_box_circle', //new
		'Round Border' => 'vc_box_border_circle', //new
		'Round Outline' => 'vc_box_outline_circle', //new
		'Round Shadow' => 'vc_box_shadow_circle', //new
		'Round Border Shadow' => 'vc_box_shadow_border_circle', //new
		'Circle' => 'vc_box_circle_2', //new
		'Circle Border' => 'vc_box_border_circle_2', //new
		'Circle Outline' => 'vc_box_outline_circle_2', //new
		'Circle Shadow' => 'vc_box_shadow_circle_2', //new
		'Circle Border Shadow' => 'vc_box_shadow_border_circle_2' //new
	);

	/**
	 * @return array
	 */
	public static function getColors() {
		return self::$colors;
	}

	/**
	 * @return array
	 */
	public static function getIcons() {
		return self::$icons;
	}

	/**
	 * @return array
	 */
	public static function getSizes() {
		return self::$sizes;
	}

	/**
	 * @return array
	 */
	public static function getButtonStyles() {
		return self::$button_styles;
	}

	/**
	 * @return array
	 */
	public static function getMessageBoxStyles() {
		return self::$message_box_styles;
	}

	/**
	 * @return array
	 */
	public static function getToggleStyles() {
		return self::$toggle_styles;
	}

	/**
	 * @return array
	 */
	public static function getAnimationStyles() {
		return self::$animation_styles;
	}

	/**
	 * @return array
	 */
	public static function getCtaStyles() {
		return self::$cta_styles;
	}

	/**
	 * @return array
	 */
	public static function getTextAlign() {
		return self::$txt_align;
	}

	/**
	 * @return array
	 */
	public static function getBorderWidths() {
		return self::$sep_widths;
	}

	/**
	 * @return array
	 */
	public static function getElementWidths() {
		return self::$el_widths;
	}

	/**
	 * @return array
	 */
	public static function getSeparatorStyles() {
		return self::$sep_styles;
	}

	/**
	 * @return array
	 */
	public static function getBoxStyles() {
		return self::$box_styles;
	}

	public static function getColorsDashed() {
		$colors = array(
			esc_html__( 'Blue', 'jogasana' ) => 'blue',
			esc_html__( 'Turquoise', 'jogasana' ) => 'turquoise',
			esc_html__( 'Pink', 'jogasana' ) => 'pink',
			esc_html__( 'Violet', 'jogasana' ) => 'violet',
			esc_html__( 'Peacoc', 'jogasana' ) => 'peacoc',
			esc_html__( 'Chino', 'jogasana' ) => 'chino',
			esc_html__( 'Mulled Wine', 'jogasana' ) => 'mulled-wine',
			esc_html__( 'Vista Blue', 'jogasana' ) => 'vista-blue',
			esc_html__( 'Black', 'jogasana' ) => 'black',
			esc_html__( 'Grey', 'jogasana' ) => 'grey',
			esc_html__( 'Orange', 'jogasana' ) => 'orange',
			esc_html__( 'Sky', 'jogasana' ) => 'sky',
			esc_html__( 'Green', 'jogasana' ) => 'green',
			esc_html__( 'Juicy pink', 'jogasana' ) => 'juicy-pink',
			esc_html__( 'Sandy brown', 'jogasana' ) => 'sandy-brown',
			esc_html__( 'Purple', 'jogasana' ) => 'purple',
			esc_html__( 'White', 'jogasana' ) => 'white'
		);

		return $colors;
	}
}

/**
 * @param string $asset
 *
 * @return array
 */
function jogasanagetVcShared( $asset = '' ) {
	switch ( $asset ) {
		case 'colors':
			return jogasanaVcSharedLibrary::getColors();
			break;

		case 'colors-dashed':
			return jogasanaVcSharedLibrary::getColorsDashed();
			break;

		case 'icons':
			return jogasanaVcSharedLibrary::getIcons();
			break;

		case 'sizes':
			return jogasanaVcSharedLibrary::getSizes();
			break;

		case 'button styles':
		case 'alert styles':
			return jogasanaVcSharedLibrary::getButtonStyles();
			break;
		case 'message_box_styles':
			return jogasanaVcSharedLibrary::getMessageBoxStyles();
			break;
		case 'cta styles':
			return jogasanaVcSharedLibrary::getCtaStyles();
			break;

		case 'text align':
			return jogasanaVcSharedLibrary::getTextAlign();
			break;

		case 'cta widths':
		case 'separator widths':
			return jogasanaVcSharedLibrary::getElementWidths();
			break;

		case 'separator styles':
			return jogasanaVcSharedLibrary::getSeparatorStyles();
			break;

		case 'separator border widths':
			return jogasanaVcSharedLibrary::getBorderWidths();
			break;

		case 'single image styles':
			return jogasanaVcSharedLibrary::getBoxStyles();
			break;

		case 'toggle styles':
			return jogasanaVcSharedLibrary::getToggleStyles();
			break;

		case 'animation styles':
			return jogasanaVcSharedLibrary::getAnimationStyles();
			break;

		default:
			# code...
			break;
	}

	return '';
}